#/*-------------------------------------------------------
#
# name:         fix_mt.pl
#
# project:      Theomatics Research
#
# Author:       Mr. Tim Hayes; Dallas TX
#
# Revision History:
# created:      Dec; 2003
#
# Purpose: to reconfigure a format of a New Testament document for Theomatics research.


#-------Fix MT text---------------------------------------------------------------------------------
open( INFILE, "<mt.txt");
open(OUTFILE, ">_References.txt");
while(defined($line = <INFILE>)){
	chomp($line); 						#Remove trailing newline character
	if($line eq '' or $line=~/^#/ ){next}; 			#Skip if blank or commented;
	while(index($line,'  ')>-1){$line =~ s/  / /g};		#compact consecutive spaces
	@field = split(/ /,$line); 				#Parse with space delimiter
	
	$b	= $field[0];					#book or verse reference depending on record
	$c	= $field[1];					#chapter or text depending on record

	if(!$b){		 					#when book is blank
		$len = $#field;
		$verse = '';
		for ($jj = 2; $jj<$len;$jj++){$verse = $verse.$field[$jj].' '};
		$verse = ' '.$verse.$field[$len];			#get last word
		$verse =~ s/[1234567890:.]//g;				#remove numbers and punctuation from verse
		$vs = $verse;
		while(index($vs,'[')>-1){				#remove brackets
			$x=index($vs,'[');
			$tv = substr($vs,0,$x).substr($vs,$x+1);
			$vs = $tv;
		}while(index($vs,']')>-1){
			$x=index($vs,']');
			$tv = substr($vs,0,$x).substr($vs,$x+1);
			$vs = $tv;
		}
		while(index($vs,'  ')>-1){$vs =~ s/  / /g};	#compact consecutive spaces
		$c =~ s/\.//g;					#remove period from verse referene
		if($vs ne ' '){
			$ref = $book.' '.$chap.' '.$c.$vs;		#construct complete record
			print OUTFILE "$ref\n";}
	}else{						#if first character of book is not blank
		$book=$b;$chap=$c}			#store book and chapter
	
}close(INFILE);close(OUTFILE);

