#/*-------------------------------------------------------------------------------------------------
#
# name:	 	theomatics.pl
# project:      Theomatics Research
# Author:       Dr. Tim Hayes
# created:	Feb 2004
# updated:	Aug 2004
#

######------------##################################################################################
###### Initialize ##################################################################################
######------------##################################################################################

#-------Directories---------------------------------------------------------------------------------
	$data_in = "./";
	$data_ex = $data_in;
	$log_dir = $data_in;
	$err_dir = $data_in;
#---------------------------------------------------------------------------------------------------


#-------Clean up format of directories -------------------------------------------------------------
if(substr($data_in,-1) ne "/"){$data_in=$data_in."/";};
if(substr($data_ex,-1) ne "/"){$data_ex=$data_ex."/";};
if(substr($log_dir,-1) ne "/"){$log_dir=$log_dir."/";};
if(substr($err_dir,-1) ne "/"){$err_dir=$err_dir."/";};

open( LOG,">".$log_dir."Log.txt");		# For general comments
open( ERR,">".$err_dir."Err.txt");		# For errors

######---SUBROUTINES---#############################################################################

#-------Function Subroutines------------------------------------------------------------------------
sub Abs #-------------------------------------------------------------------------------------------
{my @inp;@inp = @_;
	my $x = $inp[0];

	if($x >= 0){	return  $x
	}else{		return -$x}
}

sub Check #------------------------------------------------------------------------------------------
# Warns user of unknown characters, understanding only characters in $AS

{my @inp;@inp = @_; 
	my $text = $inp[0];
	my $i = 0;
	my $l = substr($text,$i,1);
	
	while($l) {
		$p = index($AS,$l);
		if($p<0){print ERR "Unknown character $l in $text\n";$ER++}
		$i++;
		$l = substr($text,$i,1);
}	}

sub Max #-------------------------------------------------------------------------------------------
{my @inp;@inp = @_;
	my $x = $inp[0];
	my $y = $inp[1];

	if($x > $y){	return $x
	}else{		return $y}
}

sub Min #-------------------------------------------------------------------------------------------
{my @inp;@inp = @_;
	my $x = $inp[0];
	my $y = $inp[1];

	if($x < $y){	return $x
	}else{		return $y}
}

sub Mod #-------------------------------------------------------------------------------------------
#Returns the modulus: Mod(x,y) = x - y*int(x/y); x,y>0
{my @inp;@inp = @_; 
	my $x=$inp[0];
	my $y=$inp[1];

	return $x - $y*int($x/$y);
}

sub Rad #-------------------------------------------------------------------------------------------
#Rad(x,y) returns the radius: the difference between the nearest multiple of y and x
{my @inp;@inp = @_; 
	my $x=$inp[0];
	my $y=$inp[1];

	return $y*int($x/$y+.5) - $x;	#get nearest multiple and take difference
}

sub Round #-----------------------------------------------------------------------------------------
#Rounds the argument to the nearest N digits if N is specified as a 2nd argument, else rounds to the nearest integer.
#usage 	Round($inp, $no_of_digits), or Round($inp). E.g: Round(29.446,2) -> 29.45; Round(29.446) -> 29
{my @inp;@inp = @_; 
	my $val = $inp[0];
	my $dig = $inp[1];

	if($val == int($val)){return $val}
	else{	
		if($dig){
			$zeroes = 1;
			for ($jj=0;$jj<$dig;$jj++){$zeroes *=10;}
			return ((int ($val*$zeroes+0.5))/$zeroes);
		}else{return int($val+.5);}}
}

sub RoundUp #-----------------------------------------------------------------------------------------
#Rounds the argument up to next integer.
{my @inp;@inp = @_; 
	my $x = $inp[0];

	if($x == int($x)){	return $x
	}else{ 			return int($x+1) }
}

sub Val #------------------------------------------------------------------------------------------
# Returns the numerical value of a word or phrase, ignoring undefined characters.

{my @inp;@inp = @_;  
	my $text = $inp[0];	
	my $i=0; my $val=0;

	my $l = substr($text,$i,1);
	while($l) {				#for all letters in text
		$p = index($A,$l);		
		if($p>=0){			#if character is defined
			$val = $val + $N{$l};	#sum values
		}
		$i++;
		$l = substr($text,$i,1);
	}
	return $val
}


#-------Sorting Subroutines-------------------------------------------------------------------------

sub SortPHRASEDATA{	$a->{'Order'}	<=>	$b->{'Order'}
		or	$a->{'Words'}	<=>	$b->{'Words'}
		or	$a->{'Form'}	cmp	$b->{'Form' }
}

sub SortREFERENCES{	$a->{'Order'}	<=>	$b->{'Order'}	}		#Sort verses in input order



######----------------------########################################################################
###### Variable Definitions ########################################################################
######----------------------########################################################################

#-------Strings-------------------------------------------------------------------------------------
$A;			#Letter Set
%ART;			#Articles
%CNJ;			#Conjunctions
$CR;			#Theomatic Test Criterion
%RT;			#Reference Tracker: phrase length for each hit 
$file_name;		#base name for output file
$GEM;			#gemmatria mapping
@Line;			#Line text
@Log;			#Log text
@P;			#Phrase By Counter
@PHRASEDATA;		#Phrase Pool Data
%PP;			#Phrase Pool by count
@PR;			#Phrase Reference Pool by count
@REFERENCES;		#Reference data
%RP;			#Non-Redundant Phrase References
%Subject;		#Subjects
%VBL;			#Variables
%Word;			#Word by reference and position
%Words;			#Number of words in each Subject Derivative 

#-------Integers------------------------------------------------------------------------------------
%BigM;			#Big Number
%BP;			#Binomial Probabilities, Constants
%BR;			#Benchmark Reference Hits
$CFX=-1;		#Cummulative Factor count over test run
%CH;			#Check for Factor hits by phrase count
@CP;			#Chi Square Calcs
%CS;			#Chi Square P-Values
%CT;			#Factor Cluster Sum
$DF;			#Display factors
$ER;			#Errors in biblical text read
%Factor;		#Test Factor By Subject
$FB;			#Factor Bound: Largest Factor
%FH;			#Factor Hits
@FN;			#Factor N ratio value
@FO;			#Factor O stat value
@FP;			#Factor Pool by count
%FR;			#Factor Reference Hit Count, Len 1 To L
$FX;			#Factor count
@HL;			#Hit List for each factor by count
$L;			#Phrase Length (# Words)
$LF;			#Largest Factor by subject
$LogLines;		#No lines in log
%M;			#Mean
$MaxRefLen;		#Max Reference Length
@MO;			#Mean of O stat value
%N;@NN;			#Letter-Number Map, Sequence-Number Map
$pc;			#Total Phrase Counter
@PC;			#Phrase Counter By Length
@PL;			#Phrase Length By Counter
@PS;			#Phrase Sum By Counter
$Q;			#Temp Mean
$R;			#Cluster Radius
@RC;			#Reference Counter
@RD;			#Random Decimals
$RF;			#Randomization Flag (>0 Means Randomize Letter-Number Maping)
@RN;			#Random Numbers
@RO;			#Reference Order by count
$SD;			#St Dev
$sf;			#Smallest Factor default
$SF;			#Smallest Factor by subject
%SH;			#Shortest Hit per reference
$SO;			#Sum of MOS O stat values to current trial
$SOL;			#Sum of MOS O stat values to last trial
$TB;			#Trial Bound
$TC;			#Trial Counter
$TF;			#Test Factor
$TP;			#Prob Success
%VC;			#Variable Combinatoric Tracker
%VT;			#Variable Tracker
%VT1;			#Variable Tracker: Start Position
%VT2;			#Variable Tracker: End   Position
%PV;			#Phrase Value Tracker
$wc;			#Phrase Total Word Count
$WC;			#Phrase Base Word Count
%WH;			#Factor Wla Hit, Len 1 To Mw
%WBH;			#Bencmark Word Length Average for hits
%WBR;			#Bencmark Word Length Average for references
%WR;			#Factor Wla Ref, Len 1 To Mw
$XO;			#Max O stat value per trial


######------------##################################################################################
###### Initialize ##################################################################################
######------------##################################################################################

#-------Constants-----------------------------------------------------------------------------------
$ds = '-' x 600;	#Dash filler
$tl = 8; 		#tab length
$BigM = 9999999999;

$sp = ' ' x 100;	#Space fillers
$sp1= ' ' x 1;  $sp11= ' ' x 11;  $sp21= ' ' x 21;	
$sp2= ' ' x 2;  $sp12= ' ' x 12;  $sp22= ' ' x 22;	
$sp3= ' ' x 3;  $sp13= ' ' x 13;  $sp23= ' ' x 23;	
$sp4= ' ' x 4;  $sp14= ' ' x 14;  $sp24= ' ' x 24;	
$sp5= ' ' x 5;  $sp15= ' ' x 15;  $sp25= ' ' x 25;	
$sp6= ' ' x 6;  $sp16= ' ' x 16;  $sp26= ' ' x 26;	
$sp7= ' ' x 7;  $sp17= ' ' x 17;  $sp27= ' ' x 27;	
$sp8= ' ' x 8;  $sp18= ' ' x 18;  $sp28= ' ' x 28;	
$sp9= ' ' x 9;  $sp19= ' ' x 19;  $sp29= ' ' x 29;	
$sp10=' ' x 10; $sp20= ' ' x 20;  $sp30= ' ' x 30;	


#-------Define Number-Letter Mapping----------------------------------------------------------------
#     123456789 123456789 1234
$A = 'ABGDEZHQIKLMNCOPRSTUFXYWJ';		#Define ordered alphabet
$AS= $A.' +';					#add space and "ignore" character to alphabet for text Check

$N{'A'}=1;	$N{'I'}=10;	$N{'R'}=100;
$N{'B'}=2;	$N{'K'}=20;	$N{'S'}=200;
$N{'G'}=3;	$N{'L'}=30;	$N{'T'}=300;
$N{'D'}=4;	$N{'M'}=40;	$N{'U'}=400;
$N{'E'}=5;	$N{'N'}=50;	$N{'F'}=500;
$N{'Z'}=7;	$N{'C'}=60;	$N{'X'}=600;
$N{'H'}=8;	$N{'O'}=70;	$N{'Y'}=700;
$N{'Q'}=9;	$N{'P'}=80;	$N{'W'}=800;

$N{'J'} = $N{'S'};

for ($i=1;$i<=24;$i++){				#Define indexed mapping for randomization
	$l = substr($A,$i-1,1);
	$NN[$i] =$N{$l};
}

goto Tables;


######------------##################################################################################
###### File Input ##################################################################################
######------------##################################################################################
Input:

#-------Get Conjunctions--------------------------------------------------------------------------------
open( INFILE, "<".$data_in."_Conjunctions.txt") or die print "cannot open file ".$data_in."_Conjunctions.txt\a";
while(defined($line = <INFILE>)){	chomp($line); if($line eq '' or $line=~/^#/ ){next}; @field = split(/\t/,$line); 
	$word= $field[0];
	
	$CNJ{$word} = $word;
	$VBL{$word} = $word;
	
}close(INFILE);


#-------Get Articles--------------------------------------------------------------------------------
open( INFILE, "<".$data_in."_Articles.txt") or die print "cannot open file ".$data_in."_Articles.txt\a";
while(defined($line = <INFILE>)){	chomp($line); if($line eq '' or $line=~/^#/ ){next}; @field = split(/\t/,$line); 
	$word= $field[0];
	
	$ART{$word} = $word;
	$VBL{$word} = $word;
	
}close(INFILE);


#-------Get Theomatic Settings----------------------------------------------------------------------
$R=2; $L=5; $sf=0; $lf=0; $DF=10; $CR ='J'; $RF=0; $TB=1000; $x=0;
open( INFILE, "<".$data_in."_Settings.txt") or print LOG "Cannot open file ".$data_in."Settings.txt. Using defaults\n";
while(defined($line = <INFILE>)){	chomp($line); if($line eq '' or $line=~/^#/ ){next}; @field = split(/\t/,$line); 
	$x++;$l=$field[0];
	if($x==3 and index($A,$l)>=0){
		if(index('ABCEHJLOPRWYZ',$l)>=0){$str = $l}	#get Test Criterion
		else{print LOG "Unknown entry: $l\n";}
	}elsif($l){$num[$x] = $l};				#get integer
}close(INFILE);

if($num[1]>=0){	$R  = $num[1]};	#Radius: Cluster Radius
if($num[2]>0){	$L  = $num[2]};	#Length: Max number of base words in Phrase
if($str)  {	$CR = $str};	#CRiterion for test 
		$sf = $num[4];	#Smallest Factor
		$lf = $num[5];	#Largest Factor
if($num[6])  {	$DF = $num[6]};	#number of Factors to Display
		$RF = $num[7];	#Random Flag
if($num[8])  {	$TB = $num[8]};	#Trial Bound during randomization
	
if($RF==1){srand}
else{srand $RF};



#-------Get Subjects--------------------------------------------------------------------------------
open( INFILE, "<".$data_in."_Subjects.txt") or die print "cannot open file ".$data_in."_Subjects.txt\a";
while(defined($line = <INFILE>)){	chomp($line); if($line eq '' or $line=~/^#/ ){next}; @field = split(/\t/,$line); 
	$subject= $field[0];
	$factor	= $field[1];
	
	$Factor{$subject} = $factor;
	if($sf>1){	$SF{$subject} = $sf;
	}elsif($sf){    $SF{$subject} = int($sf * $factor - 0.000001)+1;
		  print LOG "$subject\tSmallest Factor: $SF{$subject}\n";
	}
	if($lf>$factor){$LF{$subject} = $lf;
	}elsif($lf <=3){$LF{$subject} = $SF{$subject} + Round($lf * 1000) -1;
	}elsif($lf){    $LF{$subject} = Round($lf * $factor);
	}print LOG "$subject\tLargest  Factor: $LF{$subject}\n";
	
	print LOG "$subject\tSettings: Cluster Radius: $R\n$subject\t\t  Phrase  Length: $L\n$subject\t\t  Test Criterion: $CR\n";
	if($RF){print LOG "\tRandom Trials:\t  ",$TB/1000,"K\n"};

	$n= @field-1;						# get number of records
	if($n<3){print LOG "No derivatives for subject: $subject.\n"}
	else{
		for ($ii=2;$ii<=$n;$ii++){
			$form = $field[$ii];
			$Form{$subject}{$form} = $form;		#store form of Subject
			Check($form);				#search for unkown characters
			@phrase = split(/ /,$form); $x=@phrase;	#get number of words in phrase
			$Words{$subject}{$form} = $x;
			$First{$subject}{$form} = $phrase[0];
	}	}
	if(!$ER){	print LOG "$subject\tSubjects loaded successfully\n"}
	else{		print LOG "$subject\tSubjects loaded: $ER errors. Please check Err.txt.\n"};
	print LOG "\n";
}close(INFILE);

#-------Get References------------------------------------------------------------------------------
open( INFILE, "<".$data_in."_References.txt") or die print "cannot open ".$data_in."NT.txt\n";
while(defined($line = <INFILE>)){	chomp($line); if($line eq '' or $line=~/^#/ ){next}; @field = split(/ /,$line); 
	$book	= $field[0];
	$chap	= $field[1];
	$verse	= $field[2];

	$len = $#field;	
	$text = '';for($j=3;$j<=$len;$j++){$text=$text.' '.$field[$j]};
	Check($text);						#Check verse for unknown characters and report violations in Log.txt

	$words = $len-2;
	$line = '';
	for ($w=1;$w<=$words;$w++){
		$word = $field[$w+2];
		$Word{$book}{$chap}{$verse}{$w} = $word;	#store words
		$line = $line.$word.' ';
	}$X++;
	push @REFERENCES,{					#load references
		'Order' => $X,
		'Book'  => $book,
		'Chap' 	=> $chap,
		'Verse'	=> $verse,
		'Words'	=> $words,
		'Text'	=> $line
	}
}close(INFILE);
if(!$ER){	print LOG "References loaded successfully\n"}
else{		print LOG "References loaded: $ER errors. Please check Err.txt.\n";$ER=0};

sort @S_REFERENCES = sort SortREFERENCES @REFERENCES;


print LOG "Input complete\n";

######------########################################################################################
###### Body ########################################################################################
######------########################################################################################

#-------Get Phrase Pool-----------------------------------------------------------------------------
foreach $subject (sort keys %Factor){					#for each subject
    foreach $line (@S_REFERENCES){					#for line of biblical text read
      $b 	= ${$line}{'Book'};					#get book
      $c 	= ${$line}{'Chap'};					#get chapter
      $v 	= ${$line}{'Verse'};					#get verse
      $wc 	= ${$line}{'Words'};					#get word count
      $ord 	= ${$line}{'Order'};					#get verse order
      $verse 	= ${$line}{'Text'};					#get text

      $REF = $b.' '.$c.':'.$v; $t=$REF.'=';$len=index($t,'=')-1;	#note reference and its length
      $MaxRefLen = Max($len,$MaxRefLen);				#get max book length for formatting output
      foreach $form (keys %{$Form{$subject}}){				#for each form of the subject
	$fl = $Words{$subject}{$form}; $w=0;				#set form length (# words in form) and word position tracker
	$first = $First{$subject}{$form};				#get first word in form
	if(index(' '.$verse.' ',' '.$form.' ')>=0) {			#if form apears in verse
	  while($w<=$wc){
	    while($first ne $Word{$b}{$c}{$v}{$w} and $w<=$wc){$w++};	#find next word position in verse
	    if($w>$wc){goto Next_Form};
	    $PLEN = Min($wc,$L);					#bound max phrase length by verse length
	    for($P1=1;$P1<=$PLEN;$P1++){				#for each possible phrase length
	      $P2=$P1-1;						#set current search pass word position
	      while($P2>=0){						#for each possible starting position
		$P3= 1;							#set position of basic word 1 past subject
		$WC= 0;							#init number of non-variable words
		$vx= 0;							#init variable position tracker index
		$y = 1;							#set phrase start spot

  L80:		$y--;							#move phrase start back
		if($y+$w==0){goto L90};
		$W = $Word{$b}{$c}{$v}{$w+$y};				#note next word

		if(!$ART{$W} and ($P3>-$P2 or !$CNJ{$W})){$P3=$P3-1}; 	#don't count articles or beginning conjunctions in phrase length
		if($P3>=-$P2){goto L80};				#if more words possible
		$P3++;							#skip first non-variable word so p3=-p2

  L90:		$y++;							#move to first phrase word (which will not be a variable)
		$W = $Word {$b}{$c}{$v}{$w+$y};				#note word
		$TT = $W.' ';						#initialize phrase with first word
		$ls = -1;						#init position of last internal space
		$ll = index($TT,' ',$ls+1)-1;				#note phrase length
		if($VBL{$W}){						#if variable
			$vx++;						#increment varible index
			$VT{$vx} = $W;					#note variable
			$VT1{$vx} = 0;					#find start position in string
			$VT2{$vx} = $ll;				#set end position of string to phrase end
		}else{
			$P3++;						#if not variable; go to next word
			$WC++;						#note first base word
		}
		while($P3<=$P1-$P2+$fl-2){				#for phrase len (length-start_pos+der_wds
			$y++;						#move forward in phrase
			if($w+$y>$wc){goto L95};			#exit at end of verse
			$W = $Word {$b}{$c}{$v}{$w+$y};			#note word
			$T1 = $TT.$W.' ';$TT=$T1;			#build phrase
			$ls = index($TT,' ',$ls+1);			#note position of last internal space
			$ll = index($TT,' ',$ls+1)-1;			#note last length of phrase
			if($ART{$W} or 					#if word is article or
			  ($CNJ{$W} and $WC==0) or			#word is beginning conjunction 
			  ($WC==1 and $W eq 'OUN')){   			#phrase starts with OUN
				$vx++;					#increment varible index
				$VT{$vx} = $W;				#note variable
				$VT1{$vx} = $ls+1;			#find start position in string
				$VT2{$vx} = $ll;			#find end position in string
			}elsif(!$CNJ{$W} or $WC>1 or			#don't count beginning conjunctions in phrase length
			      ($WC==1 and $W ne 'OUN')){		#or OUN if preceded by only one base word
			  $P3++;					#count word
			  $WC++;					#count next base word
		}	}
  L95:		$W= substr($TT,$ls+1,$ll-$ls);				#get last word in phrase
		if($VBL{$W}){						#if phrase ends in article or conjunction
			if($ART{$W}){$vx--;}				#if article then reduce number of articles
			$T1 = substr($TT,0,$ls);$TT=$T1;		#drop last word
			$ll = $ls-1;
		}

		$T1 = substr($TT,0,$ll+1); $TT=$T1;			#remove trailing space
		for($R1=1;$R1<=2**$vx;$R1++){				#for all possible combinations
			$TSUM = $SUM;					#form temp sum
			$T1 = $TT;					#set temp phrase
			$P4 = 0;
			for($R2=1;$R2<=$vx;$R2++){			#for each setting in combination
			  if(Mod($R1-1,2**$R2)<2**($R2-1)){		#if variable is being removed
			    $x=$VT2{$R2}-$VT1{$R2}+2;			#get word length + next space
			    $T2= substr($T1,0,$VT1{$R2}).		#combine text up to start of dropped word
				 substr($ds,0,$x).			#replace word with dashes incl following space
				 substr($T1,$VT2{$R2}+2);$T1=$T2;	#append any remaining portion of phrase after following space
			} }
			$T1 =~ s/-//g; $T1 =~ s/\+//g; 

			if(index($T1,$form)>=0  and			#Entire form is in phrase and
			  (index('RYZ',$CR)>=0 or $T1 ne $PP{$T1})){	#either looking for reference hits or new phrase
			     
			     $x=index(' '.$T1.' ',' '.$form.' ');	#locate first form start in phrase (multiple forms need not be detected due to phrase duplication restriction)
			     $T2=$T1;$T3=$T2;	  
			     if($x>0){$T2 = substr($T1,0,$x-1).">".substr($T1,$x); $T3=$T2;}		#Enhance for phrases with dashes within phrase
			     $p = index(substr($T2,$x),' ');					#locate form end in phrase: need to enhance for phrase location
			     if($p>0){$T3=substr($T2,0,$x+$p).'<'.substr($T2,$x+$p+1);$T2=$T3};	#Enhance for phrases with dashes within phrase

			     $pc++;					#count phrases
			     $P [$pc] = $T3;				#note phrase by count
			     $PL[$pc] = $WC;				#note phrase length by count
			     $PR[$pc] = $REF;				#note phrase reference by count
			     $RO[$pc] = $ord;				#note reference order by count
			     $RL[$pc] = $len;				#note reference length in spaces

			     $val = Val($T3);				#get numerical value of phrase sum

			     if(index('RYZ',$CR)>=0 or !$PV{$val}){	#skip repeat sums due to variable manipulation
				$RT{$val}{$pc} = 1;			#note references by value
			        $PS[$pc] = $val;			#note value of phrase by count
			        for($i=$L;$i>=$WC;$i--){$PC[$i]++};	#count phrases by max length
				if(!$RP{$REF}){				#if reference not yet counted
				  for($i=$L;$i>=$WC;$i--){$RC[$i]++}};	#count references by length
				$RP{$REF}= $REF;			#store reference phrase 
				$RP{$T3} = $T3;				#store phrase 
				$PV{$val}= 1;				#store phrase value
			     }
			     push @PHRASEDATA,{				#collect phrase pool details for sort
				'Order' => $ord,
				'Form' 	=> $form,
				'Words'	=> $WC,
				'Phrase'=> $T3,
				'Ref' 	=> $REF,
				'Len' 	=> $RL[$pc],
				'Value'	=> $val
			}    }
			$PP{$T1} = $T1;					#store phrase pool
  	        }$P2--;
	    } } 
            $w++;
        } }
  Next_Form:    
    } }
	if($PC[1]==0){ print "NO PHRASES FORMED!\n\nPlease check these files:\n\t_Subjects.txt\n\t_References.txt\n\t_Settings.txt."; die};			#quit if no valid phrases found
	sort @S_PHRASEDATA = sort SortPHRASEDATA	@PHRASEDATA;					#sort phrase pool according to entry
	print LOG "Phrase Pool complete\n\nCompleted Tests:";
	close(LOG);
		
#-------Write Phrase Pool-----------------------------------------------------------------------------
	$X=0;$px=0;	
	$GEM = 'ABGDEZHQ.IKLMNCOP.RSTUFXYW';					#base gemmatria paritioned by powers of 10: 10^0 in partion 0 . 10^1 in partion 1 . 10^2 in partion 2

	$file_name = $subject."-L$L-R$R";
	open(OUTFILE, ">".$data_in.$file_name."-PhrasePool.txt");
	print OUTFILE "Phrase Pool for Cluster: $R	Length: $L\n\n";
	for($i=1;$i<=$L;$i++){
	  $pv=0;while($PC[$i]>10**$pv){$pv++};$sv=substr($sp,0,5-$pv);
	  $pr=0;while($RC[$i]>10**$pr){$pr++};$sr=substr($sp,0,5-$pr);
	  print OUTFILE " $sv$PC[$i] phrases of $i words or less  $sr$RC[$i] references of $i words or less\n";		#WRITE PHRASE RESULTS BY LENGTH AND number of references
	}
	$sr = substr($sp,0,$MaxRefLen-5);					# supply reference spacer to flush $val
	$spg = ' ' x 48;
	print OUTFILE " \n$spg 12345789.12345678.12345678\n",
		      "   No  Reference$sr SUM   W   PHRASE      $GEM\n",'-' x 70," \n";

	foreach $line (@S_PHRASEDATA){						#write out sorted PHRASEDATA
		$form 	= ${$line}{'Form'};
		$ord 	= ${$line}{'Order'};
		$phr 	= ${$line}{'Phrase'};
		$ref 	= ${$line}{'Ref'};
		$val 	= ${$line}{'Value'};
		$len 	= ${$line}{'Len'};
		$wc 	= ${$line}{'Words'};

		$FB = Max($FB,$val/2);						#set max factor bound
		$REF = $ref.substr($sp,0,$MaxRefLen-$len+1);			#supply reference spacer to flush $val

		if(!$RP{$phr}){	$sx=$sp5
		}else{		$X++;
				if($X>=10**$px){$px++};
				$sx=substr($sp,0,5-$px).$X;}
		$pv=0;while($val>=10**$pv){$pv++};$sv=substr($sp,0,6-$pv);
		print OUTFILE "$sx  $REF$sv$val   $wc   $phr\n";
  	}close(OUTFILE);

#-------Setup Output--------------------------------------------------------------------------------
  	$pd = 0; $cc=0;	$pl=' ';					#set print parameters
	
	open(HITS,  ">".$data_in.$file_name."-$CR-FactorHits.txt");print HITS "\n";  close(HITS);

	open(STATS, ">".$data_in.$file_name."-$CR-Statistics.txt");

        print STATS "SUBJECT: $subject\n";
	print STATS " \nSettings:\n       Cluster Radius:\t   $R\n\tPhrase Length:\t   $L\n       Test Criterion:\t   $CR\n";
	if($SF{$subject} < 100){$pl = '  '}elsif($SF{$subject} < 10){$pl = '   '};
	print STATS "      Smallest Factor:\t$pl$SF{$subject}\n";
	print STATS "       Largest Factor:\t$LF{$subject}\n";
	print STATS "      Display Factors:\t $DF\n\t  Random Flag:\t   $RF\n";
	if($RF){print STATS "\tRandom Trials:\t  ",$TB/1000,"K\n"};
	print STATS " \n \n";

	$tb=index($TB.'+','+');$ts=$tl-1;
        $pline = "Num\tF\t";$pl=2*$ts-4;
        if($RF){$pline = "TRIALS: $TB\t\tGEMMATRIA\t\tF\t";$pl=5*$ts-2-$tb};
        for($l=$L;$l>=1;$l--){
        	if($l==$L){$pline = $pline."H$l\t"; $pl=$pl+$ts-2}
        	else{	   $pline = $pline." H$l\t";$pl=$pl+$ts-3};
        	if(index('EJOP',  $CR)>=0){$pline = $pline."M$l\t";  $pl=$pl+$ts-2};
			           if($RF){$pline = $pline."PC$l\t"; $pl=$pl+$ts-3};
        	if(index('AELJOP',$CR)>=0){$pline = $pline."PH$l\t"; $pl=$pl+$ts-3;};
        	if(index('ALJO',  $CR)>=0){$pline = $pline."J$l\tN\tO\t"; $pl=$pl+3*$ts-4};
        	if(index('ABELW', $CR)>=0){$pline = $pline."WH$l\t"; $pl=$pl+$ts-3};
        	if(index('EYR',   $CR)>=0){$pline = $pline."FR$l\t"; $pl=$pl+$ts-3};
        	if(index('EYZ',   $CR)>=0){$pline = $pline."WR$l\t"; $pl=$pl+$ts-3};
        	if(index('ACEJOL',$CR)>=0){$pline = $pline."CS$l\t"; $pl=$pl+$ts-3;
		    for($r=0;$r<=$R;$r++){$pline = $pline."$r% ";    $pl=$pl}};
        	};
        print STATS "$pline\n";
	$pl=$pl+index("$pline+","+")+1; $sln=substr($ds,0,$pl); $rln = substr($ds,0,$pl-42);	  
        if($RF){print STATS "Num-----Trial---12345789.12345678.12345678$rln"}
	else{	print STATS "$sln"}
	close(STATS);
	
	open( LOG,"<".$log_dir."Log.txt");
	$LogLines=-1;
	while(defined($line = <LOG>)){	chomp($line);
		$LogLines++;$Log[$LogLines] = $line;
	}close(LOG);

#-------Find Hit Factors----------------------------------------------------------------------------
	$TC = 0;							#set trial counter
	$TCO2=0;$TCO3=0;$TCO4=0;$TCO5=0;				#set O stat trial counter
	$CC = 0;							#set successful factor counter
  	$TF = $Factor{$subject};					#set Test factor for subject
	
	if($LF{$subject}){$FB = $LF{$subject}}else{print ERR "$subject: no factor bound\n"};	#set factor bound if defined for subject

  L150:	for($h=1;$h<=$pc;$h++){						#for each phrase
  	  $lo = Max(1,RoundUp($PS[$h]/$FB));				#get lower divisor bound
  	  $hi = Min($FB,int($PS[$h]**.5));				#get upper divisor bound
	  for($i=$lo;$i<=$hi;$i++){					#for each Phrase Sum hit
	    $F  = $i; $F1=0;						#set place holder for factor

	    $R1 = -$R-1;						#set radius scanner
	    if(Abs(Rad($PS[$h],$F))<=$R){				#if phrase sum divisible by factor
  L160:		for($l=$L;$l>=$PL[$h];$l--){$FH{$F}{$l}++};		#count factor hits by phrase length
		$HL[$F][$FH{$F}{$L}]=$h;				#hit list
		$CH{$F}{$h}=1;						#phrase tested with factor noted by hit number
		$X = Round($PS[$h]/$F);					#get other factor
		if($X>$F and $X<=$FB){					#if other factor larger and valid
		  $F = $X; $F1 = $X;					#get larger factor and place holder
		  goto L160;						#count larger factor
		}elsif($X<=2*$R){					#for very small factors explore bounded virgin neighborhood
		  while($F<Min($F1+2*$R,$FB)){				#if at larger factor check 
		    $R1++;$F=$F1+$R1;					#scan both sides out to the cluster radius 
		    if(!$CH{$F}{$h} and Abs(Rad($PS[$h],$F))<=$R){goto L160};	#process next new hit factor
	} } }   } }

#-------Get Hit P-Value ----------------------------------------------------------------------------
	if(index('AELJOP',$CR)>=0){
	 for($F=$SF{$subject};$F<=$FB;$F++){
	  if($FH{$F}{$L}){						#if hit factor
	    $Q = (2*$R+1)/$F;						#get mean
	    $SD = 1-$Q;							#get standard deviation
	    for($l=1;$l<=$L;$l++){
	      $M {$F}{$l} = Round($Q*$PC[$l],2);			#find mean successes
	      $BP{$F}{$l} = 1;						#initialize Binomial Probability
	      for($i=0;$i<=$FH{$F}{$l}-1;$i++){				#get binomial
	        $TP=$SD**($PC[$l]-2*$i);				#get half of (1-p)^x term
	        for($j=1;$j<=$i;$j++){
		  $TP=$TP*($PC[$l]-$j+1)/$j*$Q*$SD};			#complete binomial term
	        $BP{$F}{$l} = $BP{$F}{$l}-$TP;				#get cummulative: round later to preserve accuracy
	}}} } }

#-------Get Cluster Statistics-----------------------------------------------------------------------
	if(index('ACEJOL',$CR)>=0){
	 for($F=$SF{$subject};$F<=$FB;$F++){
	  if($FH{$F}{$L}){						#if hit factor
            for($i=1;$i<=$FH{$F}{$L};$i++){
              $h = $HL[$F][$i];						#get phase number
	      $G=Abs(Rad($PS[$h],$F));					#get hit type
	      for($l=$L;$l>=$PL[$h];$l--){				#for each relevant length
	        $CT{$F}{$l}{$G}++;					#tally cluster distribution
	    } }
	    for($l=1;$l<=$L;$l++){					#for each length
	      if(!$FH{$F}{$l}){						#if no hits
	      	$CS{$F}{$l}=1;						#chi square p-value is 1
	      }else{
	 	$x=$FH{$F}{$l}/(2*$R+1);				#get mean direct hits
		$xx=2*$x;						#get mean hits of radius >0
	      	$ct = ($CT{$F}{$l}{0}-$x)**2/$x;			#get first chi square term
		for($r=1;$r<=$R;$r++){					#for each radius type
		  $ct = $ct + ($CT{$F}{$l}{$r}-$xx)**2/$xx };		#sum remaining chi square terms
		$CS{$F}{$l} = $CP[Round($ct*1000)];			#get chi square p-value
	}}} } }

#-------Get WLA-------------------------------------------------------------------------------------
	if(index('ABELW',$CR)>=0){
	  for($F=$SF{$subject};$F<=$FB;$F++){
	    if($FH{$F}{$L}){						#if hit factor
	      for($i=1;$i<=$FH{$F}{$L};$i++){
		$h = $HL[$F][$i];					#get phase number
		for($l=$L;$l>=$PL[$h];$l--){
		  $WH{$F}{$l} = $WH{$F}{$l} + $PL[$h]}};		#sum hit phrase lengths by length for WLA
	      for($l=1;$l<=$L;$l++){
		$WH{$F}{$l}=Round($WH{$F}{$l}/Max(1,$FH{$F}{$l}),5)};	#get hit wla
	} } }

#-------Get Reference Hits-------------------------------------------------------------------------------------
	if(index('RYZ',$CR)>=0){
	  for($F=$SF{$subject};$F<=$FB;$F++){
	    %SH=(); %Sh=(); %CX=(); 
	    								#print ERR "$F\t$FH{$F}{$L}\n";
  L170:	    for($i=1;$i<=$FH{$F}{$L};$i++){				#for each hit #Note Phrase Sum
	        $val = $PS[$HL[$F][$i]];				#	print ERR "$TC\t$F\t$FH{$F}{$L}\t$HL[$F][$i]\t$val\n";	#fill in null phrase sum
		foreach $h (keys %{$RT{$val}}){				#for all references containing a phrase with this value
		    $r = $PR[$h];					#print ERR "\t$h\t$P[$h]\t$r\n";	#fill in null phrase sum
		    $p = $P [$h];
		    if(!$CX{$p} and (!$SH{$r} or $SH{$r}>$PL[$h])){ #If hit not used and reference not hit or hit is shorter than reference hit
			if($Sh{$r}){$CX{$Sh{$r}}=''}			#If already used free up hit for use again
			$SH{$r}=$PL[$h];				#Note shortest hit length per reference
			$Sh{$r}=$p;					#Note shortest hit per reference    
			$sh{$r}=$h;					#Note shortest hit per reference    
			$CX{$p}=$r;
	    }	}   }
	    foreach $r (keys %Sh){					#for each reference
		if(!$Sh{$r}){goto L170};
	    }	    
	    $j=0;
	    foreach $r (keys %SH){					#for each reference
		$j++;$HL[$F][$j]=$sh{$r};				#Note shortest hits
		for($l=$L;$l>=$PL{$h};$l--){		
		    $FR{$F}{$l}++;					#count factor references
		    $WR{$F}{$l} = $WR{$F}{$l} + $SH{$r};		#sum hit reference phrase lengths for reference WLA 
	    }	}
	    $FH{$F}{$L} = $j;						#reset Factory hits
	    if($WR{$F}{$L}){						#if hit factor
		for($i=1;$i<=$L;$i++){
		    $WR{$F}{$i}=Round($WR{$F}{$i}/Max(1,$FR{$F}{$i}),5);#get ref WLA
	} } }	}

#-------Get Test Factor Benchmarks on Trial 0-------------------------------------------------------
	if(!$TC){							#on first trial
	  for($l=1;$l<=$L;$l++){
	    $BFH{$l} = $FH{$TF}{$l};					#store hit benchmark
	    $BFR{$l} = $FR{$TF}{$l};					#store reference benchmark
	    $BCS{$l} = $CS{$TF}{$l};					#store Chi-Sq benchmark
	    $BWH{$l} = $WH{$TF}{$l};					#store factor WLA
	    $BWR{$l} = $WR{$TF}{$l};					#store reference WLA
	    $BBP{$l} = $BP{$TF}{$l};					#store ref probability
	  
	    $J_TEST  = $BBP{$l}*$BCS{$l};
	    if($J_TEST > 0.00557){
	      $FO[$TF][$l] = 1;
	      $FN[$TF][$l] = Round(1/$J_TEST);	      
	    }elsif($J_TEST){
	      $i=0;
	      while($J_TEST<$OP[$i]){$i++};				#Get O statistic
	      $FO[$TF][$l] = $OV[$i];
	      $FN[$TF][$l] = Round(1/$J_TEST);
	    }else{
	      $FO[$TF][$l] = $BigM;
	      $FN[$TF][$l] = $BigM;
  	
	} } }
#-------Get MOS statistics--------------------------------------------------------------------------

	if(index('ALJO',$CR)>=0){					#Track normal MOS behavior
  	    for($F=$SF{$subject};$F<=$FB;$F++){
		for($l=1;$l<=$L;$l++){
		    $J_PROD = $BP{$F}{$l}*$CS{$F}{$l};
		    if($J_PROD > 0.00557){
			$FO[$F][$l] = 1;
			$FN[$F][$l] = Round(1/$J_PROD);	      
		    }elsif($J_PROD){
			$i=0;
			while($J_PROD<$OP[$i]){$i++};			#Get O statistic
			$FO[$F][$l] = $OV[$i];
			$FN[$F][$l] = Round(1/$J_PROD);
			if($FO[$F][$l]>=2){$TCO2++;
			if($FO[$F][$l]>=3){$TCO3++;
			if($FO[$F][$l]>=4){$TCO4++;
			if($FO[$F][$l]>=5){$TCO5++}}}};
			if($FO[$F][$l]>$XO and $FO[$F]<$BigM){
			    $XO = $FO[$F][$l];					#Note largest O value
			    $SO = $SOL+$XO;					#Get sum of largest values
			    $MO[$TC] = Round($SO/Max(1,$TC),1);		#Get mean
			}
		    }else{
			$FO[$F][$l] = $BigM;
			$FN[$F][$l] = $BigM;
	}   }	}   }

	
#-------Get Results---------------------------------------------------------------------------------
	$FX=0; $cmp=4; if($RF){$cmp++}; 				#set number of factors and default display components: Num, F, H4 and PC4
	#-----------------------------------------------	
	if($CR eq 'P'){							#if testing by hit probability
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each factor with
	    if($FH{$F}{$L}){$FX++;$FP[$FX]=$F}}; 			#at least 1 hit
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2=$x1+1; $f1=$FP[$x1]; $f2=$FP[$x2];
	      if($BP{$f1}{$L} > $BP{$f2}{$L}){				#sort by test criteria
  		 $FP[$x1] = $f2;
  		 $FP[$x2] = $f1;
	         $unsorted=1;
	  } } } $cmp = $cmp + 2;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'J'){						#if testing by joint probability of hits and cluster distribution
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each hit factor with
	    if($FH{$F}{$L}){
	      $J_PROD = $BP{$F}{$L}*$CS{$F}{$L};			#note joint probability
	      $J_TEST = $BBP{$L}*$BCS{$L};
	      if($J_PROD<=$J_TEST){$FX++;$FP[$FX]=$F}			#better joint probability
	  } };
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2=$x1+1; $f1=$FP[$x1]; $f2=$FP[$x2];			#sort by test criteria
	      if($BP{$f1}{$L}*$CS{$f1}{$L} > $BP{$f2}{$L}*$CS{$f2}{$L}){
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
  	  } } }	$cmp = $cmp + $R+2 + 4;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'A'){						#if testing by author's criteria in Luke 15 study + addendum
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each factor with
	    if(	$FH{$F}{$L}  >=$BFH{$L}		and			# at least as many hits at Length
	      	$WH{$F}{$L}  <=$BWH{$L}		and			# at least as good a WLA at Length 
	      	$CS{$F}{$L}  <=$BCS{$L}		and 			# has at least as good Chi-Square probability Length and
		$FH{$F}{$L-1}>=$BFH{$L-1}	and			# and the same for length L-1
		$WH{$F}{$L-1}<=$BWH{$L-1}	and			#
	      	$CS{$F}{$L-1}<=$BCS{$L-1}){
	      	
	      	$FX++;$FP[$FX]=$F;
	  } }
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2=$x1+1; $f1=$FP[$x1]; $f2=$FP[$x2];
	      if($f1 > $f2){						#sort by factor size
  			$FP[$x1] = $f2;
  			$FP[$x2] = $f1;
			$unsorted=1;
  	  } } } $cmp = $cmp + $R+2 + 5;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'L'){						#if testing by author's criteria in Luke 15 study
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each factor with
	    if($FH{$F}{$L}>=$BFH{$L}	and				# as many hits
	       $WH{$F}{$L}<=$BWH{$L}	and				# and as good WLA
	       $CS{$F}{$L}<=$BCS{$L}){					# and as good cluster distribution
	       
	        $FX++;$FP[$FX]=$F;
	  } }
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];
	      if($f1 > $f2){						#sort by factor size
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
  	  } } } $cmp = $cmp + $R+2 + 5;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'B'){						#if testing by hits and WLA
	  for($F=$SF{$subject};$F<=$FB;$F++){				#for each factor with
	    if($FH{$F}{$L}>=$BFH{$L}	and				# as many hits
	       $WH{$F}{$L}<=$BWH{$L}){$FX++;$FP[$FX]=$F}};		# and as good WLA
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];
	      if($FH{$f1}{$L} <  $FH{$f2}{$L} or			#sort by test criteria
	        ($FH{$f1}{$L} == $FH{$f2}{$L}	and
	         $WH{$f1}{$L} >  $WH{$f2}{$L})){
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
	  } } }	$cmp = $cmp + 1;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'E'){						#if requiring author to accept his own criteria 
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get any factor with
	    if(($FH{$F}{$L} and
	       ($BP{$F}{$L}  <=$BBP{$L}		or			# at least as good a hit probability
	        $WH{$F}{$L}  <=$BWH{$L}		or			# at least as good a WLA at Length 
	      	$CS{$F}{$L}  <=$BCS{$L}	))	or 			# has at least as good Chi-Square probability Length and
	       ($FH{$F}{$L-1} and
	       ($BP{$F}{$L-1}<=$BBP{$L-1}	or			# or L-1 and
	      	$WH{$F}{$L-1}<=$BWH{$L-1}	or			# or L-1 or
	      	$CS{$F}{$L-1}<=$BCS{$L-1}))){$FX++;$FP[$FX]=$F}};	# Length-1
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2=$x1+1; $f1=$FP[$x1]; $f2=$FP[$x2];
	      if($f1 > $f2){						#sort by factor size
  			$FP[$x1] = $f2;
  			$FP[$x2] = $f1;
			$unsorted=1;
  	  } } } $cmp = $cmp + $R+2 + 5;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'H'){						#if testing by number of hits 
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each factor with
	    if($FH{$F}{$L}>=$BFH{$L}){$FX++;$FP[$FX]=$F}};		# at least as many hits at Length
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];		#sort by test criteria
	      if($FH{$f1}{$L} < $FH{$f2}{$L}){
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
  	  } } } $cmp = $cmp + 0;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'R'){						#if testing by number of references hit
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each successful factor
	    if($FR{$F}{$L}>=$BFR{$L}){$FX++;$FP[$FX]=$F}}; 		# of comparable size with test factor
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1; $f1 = $FP[$x1]; $f2 = $FP[$x2];
	      if($FR{$f1}{$L} <  $FR{$f2}{$L}){  			#sort by test criteria
		$FP[$x1] = $f2;
		$FP[$x2] = $f1;
		$unsorted=1;
	  } } } $cmp = $cmp + 1;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'W'){						#if testing by WLA of the hits
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each successful factor
	    if($FH{$F}{$L} and $WH{$F}{$L}<=$BWH{$L}){$FX++;$FP[$FX]=$F}};
	    $unsorted=1;
  	    while($unsorted){		
	      $unsorted=0;
  	      for ($x1=1;$x1<$FX;$x1++){
	        $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];
	        if($WH{$f1}{$L} >  $WH{$f2}{$L}){ 			#sort by test criteria
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
	  } } }$cmp = $cmp + 1;						#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'C'){						#if testing by WLA of the hits
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each successful factor
	    if($FH{$F}{$L} and $CS{$F}{$L}<=$BCS{$L}){$FX++;$FP[$FX]=$F}};
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];
	      if($CS{$f1}{$L} > $CS{$f2}{$L}){ 				#sort by test criteria
  	        $FP[$x1] = $f2;
  		$FP[$x2] = $f1;
	        $unsorted=1;
	  } } }$cmp = $cmp + $R+2 + 0;					#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'Y'){						#if testing by Reference WLA 
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each successful factor
	    if($WR{$F}{$L}<=$BWR{$L} and
	       $FR{$F}{$L}>=$BFR{$L}){$FX++;$FP[$FX]=$F}};		#print ERR "$TC\t$F\t$FR{$F}{$L}\t$BFR{$L}\t$WR{$F}{$L}\t$BWR{$L}\n";}; 		# of comparable size with test factor
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];
	      if($FR{$f1}{$L} <  $FR{$f2}{$L} or			#sort by test criteria
	        ($FR{$f1}{$L} == $FR{$f2}{$L} and 
	         $WR{$f1}{$L} >  $WR{$f2}{$L})){  			#sort by test criteria
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
	  } } }$cmp = $cmp + 1;						#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'Z'){						#if testing by Reference WLA 
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each successful factor
	    if($FR{$F}{$L} and $WR{$F}{$L}<=$BWR{$L}){$FX++;$FP[$FX]=$F}};
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2 = $x1+1;$f1 = $FP[$x1];$f2 = $FP[$x2];
	      if($WR{$f1}{$L} >  $WR{$f2}{$L}){ 			#sort by test criteria
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
	  } } }$cmp = $cmp + 1;						#increment component count
	#-----------------------------------------------	
	}elsif($CR eq 'O'){						#if testing by joint probability of hits and cluster distribution
	  for($F=$SF{$subject};$F<=$FB;$F++){				#get each hit factor with
	    $J_PROD = $BP{$F}{$L}*$CS{$F}{$L};
	    if($FH{$F}{$L} and $J_PROD < .000292){
	      $FX++;$FP[$FX]=$F;
	  } }
	  $unsorted=1;
  	  while($unsorted){		
	    $unsorted=0;
  	    for ($x1=1;$x1<$FX;$x1++){
	      $x2=$x1+1; $f1=$FP[$x1]; $f2=$FP[$x2];			#sort by test criteria
	      if($FO[$f1] < $FO[$f2]){
  		  $FP[$x1] = $f2;
  		  $FP[$x2] = $f1;
	          $unsorted=1;
  	  } } }	$cmp = $cmp + $R+2 + 4;					#increment component count
	#-----------------------------------------------	
	}

######----------------##############################################################################
###### Report Results ##############################################################################
######----------------##############################################################################

#-------Write Monitor Output Header-----------------------------------------------------------------
        $dl = $cmp*$tl-10;
        $l = index("$subject+",'+');					#get subject length
        $s2 = substr($ds,0,$dl-$l);					#monitor display string

	$RR = Min($DF,$FX);
	if($FX){
	  $CFX = $CFX + $FX;
	  open(HITS,  "<".$data_in.$file_name."-$CR-FactorHits.txt");$x=0;
	    while(defined($Line[$x] = <HITS>)){chomp($Line[$x]); if($Line[$x] eq '' or $Line[$x]=~/^#/ ){next}; $x++};
	    close(HITS);
	    open(HITS,  ">".$data_in.$file_name."-$CR-FactorHits.txt");
	  if($x){for($y=0;$y<=$x;$y++){print HITS "$Line[$y]\n"}};
	  open(STATS,  "<".$data_in.$file_name."-$CR-Statistics.txt");$x=0;
	      while(defined($Line[$x] = <STATS>)){chomp($Line[$x]); if($Line[$x] eq '' or $Line[$x]=~/^#/ ){next}; $x++};
	      close(STATS);
	      open(STATS,  ">".$data_in.$file_name."-$CR-Statistics.txt");
	  if($x){for($y=0;$y<$x;$y++){print STATS "$Line[$y]\n"};print STATS "$Line[$x]"}};

	for($X=Min($TC,1);$X<=$RR;$X++){				#Theomatics Factor prints 1st in trial 1, otherwise all factors equivalently
	  $F=$FP[$X];if(!$F){$F=$TF;$CC--;$cc--}elsif($F==$TF and !$TC){next};

          if(!$pd){
        	$pd=1;$cc=0;
        	print "Num	";
        	if($RF){print "Trial	"};
        	print "F	H$L	";
        	if(index('EJOP',  $CR)>=0){print "MU$L	"};
        	if($RF){print "PC4	"};
        	if(index('AELJOP',$CR)>=0){print "PH$L	"};
        	if(index('ALJO',  $CR)>=0){print "J$L	N	O	"};
        	if(index('ABELW', $CR)>=0){print "WH$L	"};
        	if(index('EYR',   $CR)>=0){print "FR$L	"};
        	if(index('EYZ',   $CR)>=0){print "WR$L	"};
        	if(index('ACEJOL',$CR)>=0){print "CS$L	";
		    for($r=0;$r<=$R;$r++){print "$r% "}};
		print " \n$s2 $subject\n";
	  }

#-------Write Out FactorHits Results--------------------------------------------------------------------
	  $CC++;$cc++;
	  
	  $xm=Round($M{$F}{$L},1);$l=$L-1;				# supply reference spacer to flush $val
	  $h='0'.$CC;if($CC>9){$h=$CC};
	  $bp = Round($BP{$F}{$L},5);
	  $jp = Round($BP{$F}{$L}*$CS{$F}{$L},5);if(!$jp){$jp='SMALL'};
	  $s3 = substr($sp,0,$MaxRefLen-8);
	  $line1 = "Num=$h";if($RF){$line1 = $line1."  Trial=$TC"};$line1 = $line1."  F=$F  H$L=$FH{$F}{$L} ";
	  if(index('AELJOP',$CR)>=0){if($RF){$line1 = $line1." PC$L=$PC[$L]"};$line1 = $line1."  MU=$xm  PH=$bp  J=$jp "};
	  if(index('ALJO',  $CR)>=0){
		$fn=$FN[$F][$L];$fo=$FO[$F][$L];if($fn==$BigM){$fn='BIG';$fo='BIG'};
		$line1 = $line1." N=$fn  O=$fo "};
	  if(index('AE',    $CR)>=0){$line1 = $line1." H$l=$FH{$F}{$l} "};
	  if(index('ABELW', $CR)>=0){$line1 = $line1." WH$L=$WH{$F}{$L} "};
	  if(index('AE',    $CR)>=0){$line1 = $line1." WH$l=$WH{$F}{$l} "};
	  if(index('EYR',   $CR)>=0){$line1 = $line1." FR$L=$FR{$F}{$L} "};
	  if(index('EYZ',   $CR)>=0){$line1 = $line1." WR$L=$WR{$F}{$L} "};
	  if(index('ACEJOL',$CR)>=0){$line1 = $line1." CS$L=$CS{$F}{$L} "};
	  if(index('AE',    $CR)>=0){$line1 = $line1." CS$l=$CS{$F}{$l} "};
	  $line2 = "   No   Reference$s3    SUM     F    Rad   W    PHRASE   GEM= $GEM";
	  $spx = index($line2,'GEM')+5;$spg = '-' x $spx;
	  print HITS " \n$line1\n",$spg,"12345789.12345678.12345678\n$line2\n",'-' x 87," \n";	  

	  $unsorted = 1;
	  while($unsorted){
	     $unsorted=0;
	     for($p1=1;$p1<$FH{$F}{$L};$p1++){				#for each hit
	        $p2 = $p1+1;						#get position of next hit
		$h1 = $HL[$F][$p1];					#get hit number
		$h2 = $HL[$F][$p2];					#get next hit number
		if($RO[$h1] >  $RO[$h2]  or 				#if later reference or
		  ($RO[$h1] == $RO[$h2] and				#for all hits for a given reference
		  ($PL[$h1] >  $PL[$h2] or 				#sort by length
		  ($PL[$h1] == $PL[$h2] and $P[$h1]>$P[$h2])))){	#then alphabetically
		   $unsorted=1;
		   $HL[$F][$p1] = $h2;
		   $HL[$F][$p2] = $h1;
	  }  }	}
	  
	  $pj=1;
	  for($p=1;$p<=$FH{$F}{$L};$p++){
		$h = $HL[$F][$p];					#get phase number
		$ref = $PR[$h].substr($sp,0,$MaxRefLen-$RL[$h]+1);		#supply reference spacer to flush $val
		$s1=' ';$cl=Rad($PS[$h],$F);if($cl<0){$s1=''};
		if($p>=10**$pj){$pj++};			$sj=substr($sp,0,5-$pj);
		$ps=0;while($PS[$h]>=10**$ps){$ps++};	$ss=substr($sp,0,5-$ps);
		$rf=Round($PS[$h]/$F);
		$pf=1;while($rf>=10**$pf){$pf++};	$sf=substr($sp,0,5-$pf);
		print HITS "$sj$p$sp3$ref$sp1$ss$PS[$h]$sp1$sf$rf$sp4$s1$cl$sp4$PL[$h]$sp4$P[$h]\n";	#WRITE: F;H;S;F2;CLUSTER;LEN;PHRASE
	  }

#-------Write Out Statistics Results-------------------------------------------------------------------
	  if($RF){$pline1  = "$TC\t$GEM\t";$pline2 = "$F\t"}
	  else{	  $pline1  = "";	   $pline2 = "$F\t"}; 

	  for($l=$L;$l>=1;$l--){
	    $bp = Round($BP{$F}{$l},5);
	    $pline2  = $pline2."$FH{$F}{$l}\t";				#show hit count
            if(index('EJOP',  $CR)>=0){$pline2 = $pline2."$M{$F}{$l}\t"};
			     if($RF>1){$pline2 = $pline2."$PC[$l]\t"};	#show phrase count
            if(index('AELJOP',$CR)>=0){$pline2 = $pline2."$bp\t"};
	    if(index('ALJO',$CR)>=0){
	  	if($FN[$F][$l]==$BigM){$fn='BIG';$fo='BIG'}else{$fn=$FN[$F][$l];$fo=$FO[$F][$l]};
	  	$jp = Round($BP{$F}{$l} * $CS{$F}{$l},5);if(!$jp){$jp='SMALL'};
	  	$pline2 = $pline2."$jp\t$fn\t$fo\t"};
	    if(index('ABELW', $CR)>=0){$pline2 = $pline2."$WH{$F}{$l}\t"};
	    if(index('EYR',   $CR)>=0){$pline2 = $pline2."$FR{$F}{$l}\t"};
	    if(index('EYZ',   $CR)>=0){$pline2 = $pline2."$WR{$F}{$l}\t"};
	    if(index('ACEJOL',$CR)>=0){
	  	$cs=$CS{$F}{$l};if($CS{$F}{$l}==0){$cs='SMALL';}		
	    	$pline2 = $pline2."$cs\t";
	    	for($r=0;$r<=$R;$r++){$x=Round(100*$CT{$F}{$l}{$r}/Max(1,$FH{$F}{$l}));$sx=$x;if(!$x){$sx='0'};if($x<10){$pline2 = $pline2."0".$sx." "}else{$pline2 = $pline2.$sx." "}}};
	    $pline2 = $pline2."|";
	  }print STATS "$CC\t$pline1$pline2\n";
	
#-------Write Out Results to Monitor ---------------------------------------------------------------
	  $i=index($pline2,'|')-1;
	  print "$CC\t";if($RF){print "$TC\t"};print substr($pline2,0,$i)." \n";
	  if($X==$RR and $RR>5){
		  open(STATS,  "<".$data_in.$file_name."-$CR-Statistics.txt");$x=0;
		      while(defined($Line[$x] = <STATS>)){	chomp($Line[$x]); if($Line[$x] eq '' or $Line[$x]=~/^#/ ){next}; $x++};
		      close(STATS);
		      open(STATS,  ">".$data_in.$file_name."-$CR-Statistics.txt");
		  for($y=0;$y<=$x;$y++){print STATS "$Line[$y]\n"};
		  print STATS "$sln";close(STATS)};

	  if($pd>0 and ($cc>50 or ($RR>=5 and $X==$RR))){
	  	$pd=0;$cc=0;
	  	print "$s2 $subject\n"};	  
	}		     
  Next_Trial:  close(HITS);close(STATS);
	%CH  = ();
	%CS  = ();
	%CT  = ();
	%FH  = ();
	@FN  = ();
	@FO  = ();
	@FP  = ();
	%FR  = ();
	@HL  = ();
	@PC  = ();
	@PS  = ();
	%PV  = ();
	@RC  = ();
	%RP  = ();
	%RT  = ();
	$SOL = $SO;				#Reset last sum for O Stat calc 
	%WH  = ();				#Initialize WLA for hits
	%WR  = ();				#Initialize WLA for references
	$XO  = 0; 				#Reset Max O stat value per trial

	if($RF==0 or $TC==$TB){			#if not randomizing or at Trial Bound
		open( LOG,">".$log_dir."Log.txt");
		$LogLines++; $Log[$LogLines] = "\t\t$subject";
		for($l=0;$l<$LogLines;$l++){print LOG $Log[$l]." \n"};print LOG $Log[$LogLines];
		close(LOG);
		if(index('ALJO',$CR)>=0){
		
		  open(STATS,  "<".$data_in.$file_name."-$CR-Statistics.txt");$x=0;
		      while(defined($Line[$x] = <STATS>)){	chomp($Line[$x]); if($Line[$x] eq '' or $Line[$x]=~/^#/ ){next}; $x++};
		      close(STATS);
		      open(STATS,  ">".$data_in.$file_name."-$CR-Statistics.txt");
		  for($y=0;$y<=$x;$y++){print STATS "$Line[$y]\n"};

		  print STATS "MOS Stats=>  Mu:$MO[$TC]";
		    if($TCO2){print STATS "\tO2=",Round($TC/$TCO2,1);
		    if($TCO3){print STATS "\tO3=",Round($TC/$TCO3,1);
		    if($TCO4){print STATS "\tO4=",Round($TC/$TCO4,1);
		    if($TCO5){print STATS "\tO5=",Round($TC/$TCO5,1)}}}};
		  close(STATS)};
		
		goto Initialize;		

	}elsif(!Rad($TC,10)){			#note trial number in log in multiples of 10
		open( LOG,">".$log_dir."Log.txt");
		if($CFX>$CFL){$LogLines++}; $Log[$LogLines] = "$subject trial: $TC    \tSuccesses: $CFX";$CFL=$CFX;
		for($l=0;$l<$LogLines;$l++){print LOG $Log[$l]." \n"};print LOG $Log[$LogLines];
		if(index('ALJO',$CR)>=0){print LOG "\nMOS Stats=>  Mu:$MO[$TC]";
		  if($TCO2){print LOG "\tO2=",Round($TC/$TCO2,1);
		  if($TCO3){print LOG "\tO3=",Round($TC/$TCO3,1);
		  if($TCO4){print LOG "\tO4=",Round($TC/$TCO4,1);
		  if($TCO5){print LOG "\tO5=",Round($TC/$TCO5,1)}}}}};
		close(LOG);
	}


	#-------Randomize Mapping---------------------------------------------------------------------------
	$TC++;					#increment trial counter
	$GEM='';				#clear random values
	for($g=0;$g<=16;$g=$g+8){		#swap letters in sets of 8 according to the powers of 10 partition
	    for($i=1;$i<=8;$i++){
		@RD[$i] = rand();		#store 8 random decimals
		@RN[$i] = $i;}			#store 8 random integers
	    $unsorted=1;
            while($unsorted){			#while unsorted
	      $unsorted=0;			#set to sorted
	      for($i=1;$i<=7;$i++){		#for next 8 letters
		if($RD[$i]>$RD[$i+1]){		#see if sort needed
		  $unsorted=1;			#set sort flag to unsorted
		  $rd      = $RD[$i];		#swap decimals
		  $RD[$i]  = $RD[$i+1];
		  $RD[$i+1]= $rd;
		  $rn      = $RN[$i];		#swap integers
		  $RN[$i]  = $RN[$i+1];
		  $RN[$i+1]= $rn;
	    } }	}
	    for($i=1;$i<=8;$i++){		#for next 8 letters
		$j = $RN[$i];			#note its index
		$l = substr($A,$j-1+$g,1);	#get the letter in this position in the current letter partition
		$N{$l}=$NN[$i+$g];		#map the number to the letter
		if(!$g and $j>5){$j++};		#skip number 6
		$GEM = $GEM.$l;			#store new gemmatria map
	    }
	    if($g<16){$GEM=$GEM.'.'}		#delimit gemmatria partitions 0 and 1
	}    
	$N{'J'} = $N{'S'};			#assign J the numerical value of S
	
	for($h=1;$h<=$pc;$h++){			#for each phrase
	     $ref = $PR[$h];			#note phrase reference
	     $phr = $P[$h];			#note phrase
	     $val = Val($phr);
	     if(index('RYZ',$CR)>=0 or !$PV{$val}){					#skip repeat sums
		$RT{$val}{$h} = 1;				#Note references by value
		$PS[$h] = $val;					#get new phrase sum
		for($i=$L;$i>=$PL[$h];$i--){$PC[$i]++};		#count phrases by max length
		if(!$RP{$ref}){					#count references by length
		  for($i=$L;$i>=$PL[$h];$i--){$RC[$i]++}};	#count references by length
		$RP{$ref}= $ref;				#store phrase references
		$RP{$phr}= $phr;				#store phrase references
		$PV{$val}= 1;					#store phrase value
  }  }	goto L150;						#test new gemmatria

  Initialize: 		#Re-Initialize variables
	$pc  = 0;
	$CFL = 0;
	$CFX = 0;
	@HL  = ();
	%M   = (); 
	@MO  = (); 
	@P   = (); 
	@PC  = (); 
	@PL  = (); 
	%PP  = (); 
	@PR  = (); 
	@PS  = (); 
	%PV  = (); 
	@RC  = (); 
	%RP  = (); 
	$SO  = 0; 
	$SOL = 0; 
	%VT  = (); 
	%VT1 = ();
	%VT2 = ();

	@PHRASEDATA   = (); 
	@S_PHRASEDATA = (); 
	
	if($RF){				#if randomizing
	  for($i=1;$i<=24;$i++){		#Re-Initialize gemmatria
		$l = substr($A,$i-1,1);		#get letter
		$N{$l}=$NN[$i];			#restor number to letter
	} }    
	$N{'J'} = $N{'S'};			#assign J the numerical value of S
}

open( LOG,">".$log_dir."Log.txt");
for($l=0;$l<=$LogLines;$l++){print LOG $Log[$l]." \n"};
print LOG "\nTheomatics Test complete";
close(LOG);close(ERR);

goto Last;


######-----------###################################################################################
###### Bulk Data ###################################################################################
######-----------###################################################################################

Tables:
#-------Load Chi Square values: entry i is CHIDIST(i/1000,2)----------------------------------------
@CP=(1,.99950,.99900,.99850,.99800,.99750,.99700,.99651,.99601,.99551,.99501,.99452,.99402,.99352,.99302,
.99253,.99203,.99154,.99104,.99054,.99005,.98955,.98906,.98857,.98807,.98758,.98708,.98659,.98610,.98560,
.98511,.98462,.98413,.98364,.98314,.98265,.98216,.98167,.98118,.98069,.98020,.97971,.97922,.97873,.97824,
.97775,.97726,.97677,.97629,.97580,.97531,.97482,.97434,.97385,.97336,.97287,.97239,.97190,.97142,.97093,
.97045,.96996,.96948,.96899,.96851,.96802,.96754,.96705,.96657,.96609,.96561,.96512,.96464,.96416,.96368,
.96319,.96271,.96223,.96175,.96127,.96079,.96031,.95983,.95935,.95887,.95839,.95791,.95743,.95695,.95648,
.95600,.95552,.95504,.95456,.95409,.95361,.95313,.95266,.95218,.95171,.95123,.95075,.95028,.94980,.94933,
.94885,.94838,.94791,.94743,.94696,.94649,.94601,.94554,.94507,.94459,.94412,.94365,.94318,.94271,.94224,
.94176,.94129,.94082,.94035,.93988,.93941,.93894,.93847,.93800,.93754,.93707,.93660,.93613,.93566,.93520,
.93473,.93426,.93379,.93333,.93286,.93239,.93193,.93146,.93100,.93053,.93007,.92960,.92914,.92867,.92821,
.92774,.92728,.92682,.92635,.92589,.92543,.92496,.92450,.92404,.92358,.92312,.92265,.92219,.92173,.92127,
.92081,.92035,.91989,.91943,.91897,.91851,.91805,.91759,.91714,.91668,.91622,.91576,.91530,.91485,.91439,
.91393,.91347,.91302,.91256,.91211,.91165,.91119,.91074,.91028,.90983,.90937,.90892,.90846,.90801,.90756,
.90710,.90665,.90620,.90574,.90529,.90484,.90439,.90393,.90348,.90303,.90258,.90213,.90168,.90123,.90077,
.90032,.89987,.89942,.89898,.89853,.89808,.89763,.89718,.89673,.89628,.89583,.89539,.89494,.89449,.89404,
.89360,.89315,.89270,.89226,.89181,.89137,.89092,.89048,.89003,.88959,.88914,.88870,.88825,.88781,.88736,
.88692,.88648,.88603,.88559,.88515,.88471,.88426,.88382,.88338,.88294,.88250,.88206,.88161,.88117,.88073,
.88029,.87985,.87941,.87897,.87853,.87810,.87766,.87722,.87678,.87634,.87590,.87547,.87503,.87459,.87415,
.87372,.87328,.87284,.87241,.87197,.87153,.87110,.87066,.87023,.86979,.86936,.86892,.86849,.86806,.86762,
.86719,.86675,.86632,.86589,.86545,.86502,.86459,.86416,.86373,.86329,.86286,.86243,.86200,.86157,.86114,
.86071,.86028,.85985,.85942,.85899,.85856,.85813,.85770,.85727,.85684,.85642,.85599,.85556,.85513,.85470,
.85428,.85385,.85342,.85300,.85257,.85214,.85172,.85129,.85087,.85044,.85002,.84959,.84917,.84874,.84832,
.84789,.84747,.84705,.84662,.84620,.84578,.84535,.84493,.84451,.84409,.84366,.84324,.84282,.84240,.84198,
.84156,.84114,.84072,.84030,.83988,.83946,.83904,.83862,.83820,.83778,.83736,.83694,.83652,.83611,.83569,
.83527,.83485,.83444,.83402,.83360,.83318,.83277,.83235,.83194,.83152,.83110,.83069,.83027,.82986,.82944,
.82903,.82861,.82820,.82779,.82737,.82696,.82655,.82613,.82572,.82531,.82489,.82448,.82407,.82366,.82325,
.82283,.82242,.82201,.82160,.82119,.82078,.82037,.81996,.81955,.81914,.81873,.81832,.81791,.81750,.81709,
.81669,.81628,.81587,.81546,.81505,.81465,.81424,.81383,.81343,.81302,.81261,.81221,.81180,.81140,.81099,
.81058,.81018,.80977,.80937,.80896,.80856,.80816,.80775,.80735,.80694,.80654,.80614,.80574,.80533,.80493,
.80453,.80413,.80372,.80332,.80292,.80252,.80212,.80172,.80132,.80092,.80052,.80011,.79971,.79932,.79892,
.79852,.79812,.79772,.79732,.79692,.79652,.79612,.79573,.79533,.79493,.79453,.79414,.79374,.79334,.79295,
.79255,.79215,.79176,.79136,.79097,.79057,.79018,.78978,.78939,.78899,.78860,.78820,.78781,.78741,.78702,
.78663,.78623,.78584,.78545,.78506,.78466,.78427,.78388,.78349,.78310,.78270,.78231,.78192,.78153,.78114,
.78075,.78036,.77997,.77958,.77919,.77880,.77841,.77802,.77763,.77724,.77686,.77647,.77608,.77569,.77530,
.77492,.77453,.77414,.77375,.77337,.77298,.77260,.77221,.77182,.77144,.77105,.77067,.77028,.76990,.76951,
.76913,.76874,.76836,.76797,.76759,.76721,.76682,.76644,.76606,.76567,.76529,.76491,.76453,.76414,.76376,
.76338,.76300,.76262,.76224,.76185,.76147,.76109,.76071,.76033,.75995,.75957,.75919,.75881,.75843,.75805,
.75768,.75730,.75692,.75654,.75616,.75578,.75541,.75503,.75465,.75427,.75390,.75352,.75314,.75277,.75239,
.75201,.75164,.75126,.75089,.75051,.75014,.74976,.74939,.74901,.74864,.74826,.74789,.74752,.74714,.74677,
.74640,.74602,.74565,.74528,.74490,.74453,.74416,.74379,.74342,.74304,.74267,.74230,.74193,.74156,.74119,
.74082,.74045,.74008,.73971,.73934,.73897,.73860,.73823,.73786,.73749,.73712,.73675,.73639,.73602,.73565,
.73528,.73492,.73455,.73418,.73381,.73345,.73308,.73271,.73235,.73198,.73162,.73125,.73088,.73052,.73015,
.72979,.72942,.72906,.72870,.72833,.72797,.72760,.72724,.72688,.72651,.72615,.72579,.72542,.72506,.72470,
.72434,.72397,.72361,.72325,.72289,.72253,.72217,.72181,.72144,.72108,.72072,.72036,.72000,.71964,.71928,
.71892,.71856,.71821,.71785,.71749,.71713,.71677,.71641,.71605,.71570,.71534,.71498,.71462,.71427,.71391,
.71355,.71320,.71284,.71248,.71213,.71177,.71141,.71106,.71070,.71035,.70999,.70964,.70928,.70893,.70857,
.70822,.70787,.70751,.70716,.70681,.70645,.70610,.70575,.70539,.70504,.70469,.70434,.70398,.70363,.70328,
.70293,.70258,.70223,.70187,.70152,.70117,.70082,.70047,.70012,.69977,.69942,.69907,.69872,.69837,.69803,
.69768,.69733,.69698,.69663,.69628,.69593,.69559,.69524,.69489,.69454,.69420,.69385,.69350,.69316,.69281,
.69246,.69212,.69177,.69143,.69108,.69073,.69039,.69004,.68970,.68935,.68901,.68867,.68832,.68798,.68763,
.68729,.68695,.68660,.68626,.68592,.68557,.68523,.68489,.68455,.68420,.68386,.68352,.68318,.68284,.68250,
.68215,.68181,.68147,.68113,.68079,.68045,.68011,.67977,.67943,.67909,.67875,.67841,.67807,.67773,.67740,
.67706,.67672,.67638,.67604,.67570,.67537,.67503,.67469,.67435,.67402,.67368,.67334,.67301,.67267,.67233,
.67200,.67166,.67133,.67099,.67066,.67032,.66998,.66965,.66932,.66898,.66865,.66831,.66798,.66764,.66731,
.66698,.66664,.66631,.66598,.66564,.66531,.66498,.66465,.66431,.66398,.66365,.66332,.66299,.66266,.66232,
.66199,.66166,.66133,.66100,.66067,.66034,.66001,.65968,.65935,.65902,.65869,.65836,.65803,.65770,.65738,
.65705,.65672,.65639,.65606,.65573,.65541,.65508,.65475,.65442,.65410,.65377,.65344,.65312,.65279,.65246,
.65214,.65181,.65149,.65116,.65083,.65051,.65018,.64986,.64953,.64921,.64888,.64856,.64824,.64791,.64759,
.64726,.64694,.64662,.64629,.64597,.64565,.64533,.64500,.64468,.64436,.64404,.64371,.64339,.64307,.64275,
.64243,.64211,.64179,.64147,.64114,.64082,.64050,.64018,.63986,.63954,.63922,.63890,.63859,.63827,.63795,
.63763,.63731,.63699,.63667,.63635,.63604,.63572,.63540,.63508,.63477,.63445,.63413,.63381,.63350,.63318,
.63286,.63255,.63223,.63192,.63160,.63128,.63097,.63065,.63034,.63002,.62971,.62939,.62908,.62876,.62845,
.62814,.62782,.62751,.62719,.62688,.62657,.62625,.62594,.62563,.62531,.62500,.62469,.62438,.62407,.62375,
.62344,.62313,.62282,.62251,.62220,.62189,.62157,.62126,.62095,.62064,.62033,.62002,.61971,.61940,.61909,
.61878,.61847,.61816,.61786,.61755,.61724,.61693,.61662,.61631,.61601,.61570,.61539,.61508,.61477,.61447,
.61416,.61385,.61355,.61324,.61293,.61263,.61232,.61201,.61171,.61140,.61110,.61079,.61049,.61018,.60988,
.60957,.60927,.60896,.60866,.60835,.60805,.60774,.60744,.60714,.60683,.60653,.60623,.60592,.60562,.60532,
.60502,.60471,.60441,.60411,.60381,.60351,.60320,.60290,.60260,.60230,.60200,.60170,.60140,.60110,.60080,
.60050,.60020,.59990,.59960,.59930,.59900,.59870,.59840,.59810,.59780,.59750,.59720,.59690,.59661,.59631,
.59601,.59571,.59541,.59512,.59482,.59452,.59422,.59393,.59363,.59333,.59304,.59274,.59244,.59215,.59185,
.59156,.59126,.59096,.59067,.59037,.59008,.58978,.58949,.58919,.58890,.58860,.58831,.58802,.58772,.58743,
.58714,.58684,.58655,.58626,.58596,.58567,.58538,.58508,.58479,.58450,.58421,.58391,.58362,.58333,.58304,
.58275,.58246,.58217,.58187,.58158,.58129,.58100,.58071,.58042,.58013,.57984,.57955,.57926,.57897,.57868,
.57839,.57810,.57782,.57753,.57724,.57695,.57666,.57637,.57609,.57580,.57551,.57522,.57493,.57465,.57436,
.57407,.57379,.57350,.57321,.57293,.57264,.57235,.57207,.57178,.57149,.57121,.57092,.57064,.57035,.57007,
.56978,.56950,.56921,.56893,.56864,.56836,.56808,.56779,.56751,.56722,.56694,.56666,.56637,.56609,.56581,
.56553,.56524,.56496,.56468,.56440,.56411,.56383,.56355,.56327,.56299,.56270,.56242,.56214,.56186,.56158,
.56130,.56102,.56074,.56046,.56018,.55990,.55962,.55934,.55906,.55878,.55850,.55822,.55794,.55766,.55738,
.55711,.55683,.55655,.55627,.55599,.55571,.55544,.55516,.55488,.55460,.55433,.55405,.55377,.55350,.55322,
.55294,.55267,.55239,.55211,.55184,.55156,.55129,.55101,.55074,.55046,.55019,.54991,.54964,.54936,.54909,
.54881,.54854,.54826,.54799,.54772,.54744,.54717,.54689,.54662,.54635,.54607,.54580,.54553,.54526,.54498,
.54471,.54444,.54417,.54389,.54362,.54335,.54308,.54281,.54254,.54227,.54199,.54172,.54145,.54118,.54091,
.54064,.54037,.54010,.53983,.53956,.53929,.53902,.53875,.53848,.53821,.53794,.53768,.53741,.53714,.53687,
.53660,.53633,.53606,.53580,.53553,.53526,.53499,.53473,.53446,.53419,.53392,.53366,.53339,.53312,.53286,
.53259,.53233,.53206,.53179,.53153,.53126,.53100,.53073,.53047,.53020,.52994,.52967,.52941,.52914,.52888,
.52861,.52835,.52808,.52782,.52756,.52729,.52703,.52677,.52650,.52624,.52598,.52571,.52545,.52519,.52492,
.52466,.52440,.52414,.52388,.52361,.52335,.52309,.52283,.52257,.52231,.52205,.52178,.52152,.52126,.52100,
.52074,.52048,.52022,.51996,.51970,.51944,.51918,.51892,.51866,.51840,.51815,.51789,.51763,.51737,.51711,
.51685,.51659,.51633,.51608,.51582,.51556,.51530,.51505,.51479,.51453,.51427,.51402,.51376,.51350,.51325,
.51299,.51273,.51248,.51222,.51196,.51171,.51145,.51120,.51094,.51069,.51043,.51018,.50992,.50967,.50941,
.50916,.50890,.50865,.50839,.50814,.50789,.50763,.50738,.50712,.50687,.50662,.50636,.50611,.50586,.50560,
.50535,.50510,.50485,.50459,.50434,.50409,.50384,.50359,.50333,.50308,.50283,.50258,.50233,.50208,.50183,
.50158,.50133,.50107,.50082,.50057,.50032,.50007,.49982,.49957,.49932,.49907,.49882,.49858,.49833,.49808,
.49783,.49758,.49733,.49708,.49683,.49659,.49634,.49609,.49584,.49559,.49535,.49510,.49485,.49460,.49436,
.49411,.49386,.49361,.49337,.49312,.49287,.49263,.49238,.49214,.49189,.49164,.49140,.49115,.49091,.49066,
.49042,.49017,.48993,.48968,.48944,.48919,.48895,.48870,.48846,.48821,.48797,.48773,.48748,.48724,.48700,
.48675,.48651,.48627,.48602,.48578,.48554,.48529,.48505,.48481,.48457,.48432,.48408,.48384,.48360,.48336,
.48312,.48287,.48263,.48239,.48215,.48191,.48167,.48143,.48119,.48095,.48071,.48047,.48023,.47999,.47975,
.47951,.47927,.47903,.47879,.47855,.47831,.47807,.47783,.47759,.47735,.47711,.47688,.47664,.47640,.47616,
.47592,.47568,.47545,.47521,.47497,.47473,.47450,.47426,.47402,.47379,.47355,.47331,.47308,.47284,.47260,
.47237,.47213,.47189,.47166,.47142,.47119,.47095,.47072,.47048,.47025,.47001,.46978,.46954,.46931,.46907,
.46884,.46860,.46837,.46813,.46790,.46767,.46743,.46720,.46697,.46673,.46650,.46627,.46603,.46580,.46557,
.46533,.46510,.46487,.46464,.46440,.46417,.46394,.46371,.46348,.46324,.46301,.46278,.46255,.46232,.46209,
.46186,.46163,.46140,.46116,.46093,.46070,.46047,.46024,.46001,.45978,.45955,.45932,.45909,.45886,.45864,
.45841,.45818,.45795,.45772,.45749,.45726,.45703,.45680,.45658,.45635,.45612,.45589,.45566,.45544,.45521,
.45498,.45475,.45453,.45430,.45407,.45384,.45362,.45339,.45316,.45294,.45271,.45249,.45226,.45203,.45181,
.45158,.45136,.45113,.45090,.45068,.45045,.45023,.45000,.44978,.44955,.44933,.44910,.44888,.44866,.44843,
.44821,.44798,.44776,.44754,.44731,.44709,.44686,.44664,.44642,.44619,.44597,.44575,.44553,.44530,.44508,
.44486,.44464,.44441,.44419,.44397,.44375,.44353,.44330,.44308,.44286,.44264,.44242,.44220,.44198,.44175,
.44153,.44131,.44109,.44087,.44065,.44043,.44021,.43999,.43977,.43955,.43933,.43911,.43889,.43867,.43845,
.43823,.43802,.43780,.43758,.43736,.43714,.43692,.43670,.43649,.43627,.43605,.43583,.43561,.43540,.43518,
.43496,.43474,.43453,.43431,.43409,.43387,.43366,.43344,.43322,.43301,.43279,.43257,.43236,.43214,.43193,
.43171,.43149,.43128,.43106,.43085,.43063,.43042,.43020,.42999,.42977,.42956,.42934,.42913,.42891,.42870,
.42848,.42827,.42806,.42784,.42763,.42741,.42720,.42699,.42677,.42656,.42635,.42613,.42592,.42571,.42550,
.42528,.42507,.42486,.42465,.42443,.42422,.42401,.42380,.42359,.42337,.42316,.42295,.42274,.42253,.42232,
.42211,.42189,.42168,.42147,.42126,.42105,.42084,.42063,.42042,.42021,.42000,.41979,.41958,.41937,.41916,
.41895,.41874,.41853,.41832,.41811,.41791,.41770,.41749,.41728,.41707,.41686,.41665,.41645,.41624,.41603,
.41582,.41561,.41541,.41520,.41499,.41478,.41458,.41437,.41416,.41395,.41375,.41354,.41333,.41313,.41292,
.41271,.41251,.41230,.41210,.41189,.41168,.41148,.41127,.41107,.41086,.41066,.41045,.41025,.41004,.40984,
.40963,.40943,.40922,.40902,.40881,.40861,.40840,.40820,.40800,.40779,.40759,.40738,.40718,.40698,.40677,
.40657,.40637,.40616,.40596,.40576,.40555,.40535,.40515,.40495,.40474,.40454,.40434,.40414,.40394,.40373,
.40353,.40333,.40313,.40293,.40273,.40252,.40232,.40212,.40192,.40172,.40152,.40132,.40112,.40092,.40072,
.40052,.40032,.40012,.39992,.39972,.39952,.39932,.39912,.39892,.39872,.39852,.39832,.39812,.39792,.39772,
.39752,.39733,.39713,.39693,.39673,.39653,.39633,.39614,.39594,.39574,.39554,.39534,.39515,.39495,.39475,
.39455,.39436,.39416,.39396,.39377,.39357,.39337,.39318,.39298,.39278,.39259,.39239,.39219,.39200,.39180,
.39161,.39141,.39121,.39102,.39082,.39063,.39043,.39024,.39004,.38985,.38965,.38946,.38926,.38907,.38887,
.38868,.38849,.38829,.38810,.38790,.38771,.38752,.38732,.38713,.38693,.38674,.38655,.38635,.38616,.38597,
.38578,.38558,.38539,.38520,.38500,.38481,.38462,.38443,.38424,.38404,.38385,.38366,.38347,.38328,.38308,
.38289,.38270,.38251,.38232,.38213,.38194,.38175,.38156,.38136,.38117,.38098,.38079,.38060,.38041,.38022,
.38003,.37984,.37965,.37946,.37927,.37908,.37889,.37870,.37851,.37833,.37814,.37795,.37776,.37757,.37738,
.37719,.37700,.37682,.37663,.37644,.37625,.37606,.37587,.37569,.37550,.37531,.37512,.37494,.37475,.37456,
.37437,.37419,.37400,.37381,.37363,.37344,.37325,.37307,.37288,.37269,.37251,.37232,.37213,.37195,.37176,
.37158,.37139,.37121,.37102,.37083,.37065,.37046,.37028,.37009,.36991,.36972,.36954,.36935,.36917,.36898,
.36880,.36862,.36843,.36825,.36806,.36788,.36770,.36751,.36733,.36714,.36696,.36678,.36659,.36641,.36623,
.36604,.36586,.36568,.36550,.36531,.36513,.36495,.36477,.36458,.36440,.36422,.36404,.36385,.36367,.36349,
.36331,.36313,.36295,.36277,.36258,.36240,.36222,.36204,.36186,.36168,.36150,.36132,.36114,.36096,.36078,
.36059,.36041,.36023,.36005,.35987,.35969,.35951,.35934,.35916,.35898,.35880,.35862,.35844,.35826,.35808,
.35790,.35772,.35754,.35736,.35719,.35701,.35683,.35665,.35647,.35629,.35612,.35594,.35576,.35558,.35540,
.35523,.35505,.35487,.35469,.35452,.35434,.35416,.35399,.35381,.35363,.35345,.35328,.35310,.35292,.35275,
.35257,.35240,.35222,.35204,.35187,.35169,.35152,.35134,.35116,.35099,.35081,.35064,.35046,.35029,.35011,
.34994,.34976,.34959,.34941,.34924,.34906,.34889,.34872,.34854,.34837,.34819,.34802,.34784,.34767,.34750,
.34732,.34715,.34698,.34680,.34663,.34646,.34628,.34611,.34594,.34576,.34559,.34542,.34525,.34507,.34490,
.34473,.34456,.34438,.34421,.34404,.34387,.34370,.34352,.34335,.34318,.34301,.34284,.34267,.34249,.34232,
.34215,.34198,.34181,.34164,.34147,.34130,.34113,.34096,.34079,.34062,.34045,.34028,.34011,.33994,.33977,
.33960,.33943,.33926,.33909,.33892,.33875,.33858,.33841,.33824,.33807,.33790,.33773,.33756,.33740,.33723,
.33706,.33689,.33672,.33655,.33638,.33622,.33605,.33588,.33571,.33554,.33538,.33521,.33504,.33487,.33471,
.33454,.33437,.33421,.33404,.33387,.33370,.33354,.33337,.33320,.33304,.33287,.33270,.33254,.33237,.33221,
.33204,.33187,.33171,.33154,.33138,.33121,.33105,.33088,.33071,.33055,.33038,.33022,.33005,.32989,.32972,
.32956,.32939,.32923,.32906,.32890,.32874,.32857,.32841,.32824,.32808,.32792,.32775,.32759,.32742,.32726,
.32710,.32693,.32677,.32661,.32644,.32628,.32612,.32595,.32579,.32563,.32547,.32530,.32514,.32498,.32481,
.32465,.32449,.32433,.32417,.32400,.32384,.32368,.32352,.32336,.32319,.32303,.32287,.32271,.32255,.32239,
.32223,.32207,.32190,.32174,.32158,.32142,.32126,.32110,.32094,.32078,.32062,.32046,.32030,.32014,.31998,
.31982,.31966,.31950,.31934,.31918,.31902,.31886,.31870,.31854,.31838,.31822,.31806,.31791,.31775,.31759,
.31743,.31727,.31711,.31695,.31680,.31664,.31648,.31632,.31616,.31600,.31585,.31569,.31553,.31537,.31522,
.31506,.31490,.31474,.31459,.31443,.31427,.31411,.31396,.31380,.31364,.31349,.31333,.31317,.31302,.31286,
.31270,.31255,.31239,.31223,.31208,.31192,.31177,.31161,.31146,.31130,.31114,.31099,.31083,.31068,.31052,
.31037,.31021,.31006,.30990,.30975,.30959,.30944,.30928,.30913,.30897,.30882,.30866,.30851,.30836,.30820,
.30805,.30789,.30774,.30759,.30743,.30728,.30713,.30697,.30682,.30666,.30651,.30636,.30621,.30605,.30590,
.30575,.30559,.30544,.30529,.30514,.30498,.30483,.30468,.30453,.30437,.30422,.30407,.30392,.30377,.30361,
.30346,.30331,.30316,.30301,.30286,.30270,.30255,.30240,.30225,.30210,.30195,.30180,.30165,.30150,.30134,
.30119,.30104,.30089,.30074,.30059,.30044,.30029,.30014,.29999,.29984,.29969,.29954,.29939,.29924,.29909,
.29894,.29879,.29864,.29850,.29835,.29820,.29805,.29790,.29775,.29760,.29745,.29730,.29716,.29701,.29686,
.29671,.29656,.29641,.29627,.29612,.29597,.29582,.29567,.29553,.29538,.29523,.29508,.29494,.29479,.29464,
.29449,.29435,.29420,.29405,.29390,.29376,.29361,.29346,.29332,.29317,.29302,.29288,.29273,.29259,.29244,
.29229,.29215,.29200,.29185,.29171,.29156,.29142,.29127,.29113,.29098,.29083,.29069,.29054,.29040,.29025,
.29011,.28996,.28982,.28967,.28953,.28938,.28924,.28909,.28895,.28881,.28866,.28852,.28837,.28823,.28808,
.28794,.28780,.28765,.28751,.28737,.28722,.28708,.28693,.28679,.28665,.28650,.28636,.28622,.28608,.28593,
.28579,.28565,.28550,.28536,.28522,.28508,.28493,.28479,.28465,.28451,.28436,.28422,.28408,.28394,.28380,
.28365,.28351,.28337,.28323,.28309,.28295,.28280,.28266,.28252,.28238,.28224,.28210,.28196,.28182,.28168,
.28153,.28139,.28125,.28111,.28097,.28083,.28069,.28055,.28041,.28027,.28013,.27999,.27985,.27971,.27957,
.27943,.27929,.27915,.27901,.27887,.27873,.27859,.27845,.27832,.27818,.27804,.27790,.27776,.27762,.27748,
.27734,.27720,.27707,.27693,.27679,.27665,.27651,.27637,.27624,.27610,.27596,.27582,.27568,.27555,.27541,
.27527,.27513,.27500,.27486,.27472,.27458,.27445,.27431,.27417,.27403,.27390,.27376,.27362,.27349,.27335,
.27321,.27308,.27294,.27280,.27267,.27253,.27240,.27226,.27212,.27199,.27185,.27172,.27158,.27144,.27131,
.27117,.27104,.27090,.27077,.27063,.27050,.27036,.27023,.27009,.26996,.26982,.26969,.26955,.26942,.26928,
.26915,.26901,.26888,.26874,.26861,.26847,.26834,.26821,.26807,.26794,.26780,.26767,.26754,.26740,.26727,
.26714,.26700,.26687,.26673,.26660,.26647,.26634,.26620,.26607,.26594,.26580,.26567,.26554,.26540,.26527,
.26514,.26501,.26487,.26474,.26461,.26448,.26435,.26421,.26408,.26395,.26382,.26369,.26355,.26342,.26329,
.26316,.26303,.26290,.26276,.26263,.26250,.26237,.26224,.26211,.26198,.26185,.26171,.26158,.26145,.26132,
.26119,.26106,.26093,.26080,.26067,.26054,.26041,.26028,.26015,.26002,.25989,.25976,.25963,.25950,.25937,
.25924,.25911,.25898,.25885,.25872,.25859,.25846,.25833,.25821,.25808,.25795,.25782,.25769,.25756,.25743,
.25730,.25717,.25705,.25692,.25679,.25666,.25653,.25640,.25628,.25615,.25602,.25589,.25576,.25564,.25551,
.25538,.25525,.25513,.25500,.25487,.25474,.25462,.25449,.25436,.25423,.25411,.25398,.25385,.25373,.25360,
.25347,.25335,.25322,.25309,.25297,.25284,.25271,.25259,.25246,.25233,.25221,.25208,.25196,.25183,.25170,
.25158,.25145,.25133,.25120,.25108,.25095,.25082,.25070,.25057,.25045,.25032,.25020,.25007,.24995,.24982,
.24970,.24957,.24945,.24932,.24920,.24908,.24895,.24883,.24870,.24858,.24845,.24833,.24821,.24808,.24796,
.24783,.24771,.24759,.24746,.24734,.24721,.24709,.24697,.24684,.24672,.24660,.24647,.24635,.24623,.24610,
.24598,.24586,.24574,.24561,.24549,.24537,.24524,.24512,.24500,.24488,.24475,.24463,.24451,.24439,.24427,
.24414,.24402,.24390,.24378,.24366,.24353,.24341,.24329,.24317,.24305,.24293,.24280,.24268,.24256,.24244,
.24232,.24220,.24208,.24196,.24183,.24171,.24159,.24147,.24135,.24123,.24111,.24099,.24087,.24075,.24063,
.24051,.24039,.24027,.24015,.24003,.23991,.23979,.23967,.23955,.23943,.23931,.23919,.23907,.23895,.23883,
.23871,.23859,.23847,.23835,.23823,.23812,.23800,.23788,.23776,.23764,.23752,.23740,.23728,.23716,.23705,
.23693,.23681,.23669,.23657,.23645,.23634,.23622,.23610,.23598,.23586,.23575,.23563,.23551,.23539,.23528,
.23516,.23504,.23492,.23480,.23469,.23457,.23445,.23434,.23422,.23410,.23398,.23387,.23375,.23363,.23352,
.23340,.23328,.23317,.23305,.23293,.23282,.23270,.23258,.23247,.23235,.23224,.23212,.23200,.23189,.23177,
.23166,.23154,.23142,.23131,.23119,.23108,.23096,.23085,.23073,.23062,.23050,.23039,.23027,.23016,.23004,
.22993,.22981,.22970,.22958,.22947,.22935,.22924,.22912,.22901,.22889,.22878,.22866,.22855,.22844,.22832,
.22821,.22809,.22798,.22787,.22775,.22764,.22752,.22741,.22730,.22718,.22707,.22696,.22684,.22673,.22662,
.22650,.22639,.22628,.22616,.22605,.22594,.22582,.22571,.22560,.22549,.22537,.22526,.22515,.22503,.22492,
.22481,.22470,.22459,.22447,.22436,.22425,.22414,.22402,.22391,.22380,.22369,.22358,.22347,.22335,.22324,
.22313,.22302,.22291,.22280,.22268,.22257,.22246,.22235,.22224,.22213,.22202,.22191,.22180,.22168,.22157,
.22146,.22135,.22124,.22113,.22102,.22091,.22080,.22069,.22058,.22047,.22036,.22025,.22014,.22003,.21992,
.21981,.21970,.21959,.21948,.21937,.21926,.21915,.21904,.21893,.21882,.21871,.21860,.21849,.21838,.21827,
.21817,.21806,.21795,.21784,.21773,.21762,.21751,.21740,.21729,.21719,.21708,.21697,.21686,.21675,.21664,
.21654,.21643,.21632,.21621,.21610,.21600,.21589,.21578,.21567,.21556,.21546,.21535,.21524,.21513,.21503,
.21492,.21481,.21470,.21460,.21449,.21438,.21427,.21417,.21406,.21395,.21385,.21374,.21363,.21353,.21342,
.21331,.21321,.21310,.21299,.21289,.21278,.21267,.21257,.21246,.21235,.21225,.21214,.21204,.21193,.21182,
.21172,.21161,.21151,.21140,.21130,.21119,.21108,.21098,.21087,.21077,.21066,.21056,.21045,.21035,.21024,
.21014,.21003,.20993,.20982,.20972,.20961,.20951,.20940,.20930,.20919,.20909,.20898,.20888,.20877,.20867,
.20857,.20846,.20836,.20825,.20815,.20805,.20794,.20784,.20773,.20763,.20753,.20742,.20732,.20721,.20711,
.20701,.20690,.20680,.20670,.20659,.20649,.20639,.20628,.20618,.20608,.20598,.20587,.20577,.20567,.20556,
.20546,.20536,.20526,.20515,.20505,.20495,.20485,.20474,.20464,.20454,.20444,.20433,.20423,.20413,.20403,
.20393,.20382,.20372,.20362,.20352,.20342,.20331,.20321,.20311,.20301,.20291,.20281,.20271,.20260,.20250,
.20240,.20230,.20220,.20210,.20200,.20190,.20180,.20169,.20159,.20149,.20139,.20129,.20119,.20109,.20099,
.20089,.20079,.20069,.20059,.20049,.20039,.20029,.20019,.20009,.19999,.19989,.19979,.19969,.19959,.19949,
.19939,.19929,.19919,.19909,.19899,.19889,.19879,.19869,.19859,.19849,.19839,.19829,.19820,.19810,.19800,
.19790,.19780,.19770,.19760,.19750,.19740,.19731,.19721,.19711,.19701,.19691,.19681,.19671,.19662,.19652,
.19642,.19632,.19622,.19613,.19603,.19593,.19583,.19573,.19564,.19554,.19544,.19534,.19525,.19515,.19505,
.19495,.19485,.19476,.19466,.19456,.19447,.19437,.19427,.19417,.19408,.19398,.19388,.19379,.19369,.19359,
.19350,.19340,.19330,.19321,.19311,.19301,.19292,.19282,.19272,.19263,.19253,.19243,.19234,.19224,.19215,
.19205,.19195,.19186,.19176,.19167,.19157,.19147,.19138,.19128,.19119,.19109,.19100,.19090,.19081,.19071,
.19061,.19052,.19042,.19033,.19023,.19014,.19004,.18995,.18985,.18976,.18966,.18957,.18947,.18938,.18929,
.18919,.18910,.18900,.18891,.18881,.18872,.18862,.18853,.18844,.18834,.18825,.18815,.18806,.18796,.18787,
.18778,.18768,.18759,.18750,.18740,.18731,.18721,.18712,.18703,.18693,.18684,.18675,.18665,.18656,.18647,
.18637,.18628,.18619,.18609,.18600,.18591,.18582,.18572,.18563,.18554,.18544,.18535,.18526,.18517,.18507,
.18498,.18489,.18480,.18470,.18461,.18452,.18443,.18434,.18424,.18415,.18406,.18397,.18387,.18378,.18369,
.18360,.18351,.18342,.18332,.18323,.18314,.18305,.18296,.18287,.18277,.18268,.18259,.18250,.18241,.18232,
.18223,.18214,.18205,.18195,.18186,.18177,.18168,.18159,.18150,.18141,.18132,.18123,.18114,.18105,.18096,
.18087,.18078,.18069,.18059,.18050,.18041,.18032,.18023,.18014,.18005,.17996,.17987,.17978,.17969,.17960,
.17951,.17942,.17933,.17925,.17916,.17907,.17898,.17889,.17880,.17871,.17862,.17853,.17844,.17835,.17826,
.17817,.17808,.17799,.17791,.17782,.17773,.17764,.17755,.17746,.17737,.17728,.17720,.17711,.17702,.17693,
.17684,.17675,.17666,.17658,.17649,.17640,.17631,.17622,.17614,.17605,.17596,.17587,.17578,.17570,.17561,
.17552,.17543,.17534,.17526,.17517,.17508,.17499,.17491,.17482,.17473,.17464,.17456,.17447,.17438,.17430,
.17421,.17412,.17403,.17395,.17386,.17377,.17369,.17360,.17351,.17343,.17334,.17325,.17317,.17308,.17299,
.17291,.17282,.17273,.17265,.17256,.17248,.17239,.17230,.17222,.17213,.17204,.17196,.17187,.17179,.17170,
.17162,.17153,.17144,.17136,.17127,.17119,.17110,.17102,.17093,.17084,.17076,.17067,.17059,.17050,.17042,
.17033,.17025,.17016,.17008,.16999,.16991,.16982,.16974,.16965,.16957,.16948,.16940,.16931,.16923,.16914,
.16906,.16898,.16889,.16881,.16872,.16864,.16855,.16847,.16839,.16830,.16822,.16813,.16805,.16796,.16788,
.16780,.16771,.16763,.16755,.16746,.16738,.16729,.16721,.16713,.16704,.16696,.16688,.16679,.16671,.16663,
.16654,.16646,.16638,.16629,.16621,.16613,.16604,.16596,.16588,.16580,.16571,.16563,.16555,.16546,.16538,
.16530,.16522,.16513,.16505,.16497,.16489,.16480,.16472,.16464,.16456,.16447,.16439,.16431,.16423,.16415,
.16406,.16398,.16390,.16382,.16374,.16365,.16357,.16349,.16341,.16333,.16325,.16316,.16308,.16300,.16292,
.16284,.16276,.16268,.16259,.16251,.16243,.16235,.16227,.16219,.16211,.16203,.16194,.16186,.16178,.16170,
.16162,.16154,.16146,.16138,.16130,.16122,.16114,.16106,.16098,.16090,.16082,.16073,.16065,.16057,.16049,
.16041,.16033,.16025,.16017,.16009,.16001,.15993,.15985,.15977,.15969,.15961,.15953,.15945,.15937,.15929,
.15921,.15914,.15906,.15898,.15890,.15882,.15874,.15866,.15858,.15850,.15842,.15834,.15826,.15818,.15810,
.15803,.15795,.15787,.15779,.15771,.15763,.15755,.15747,.15739,.15732,.15724,.15716,.15708,.15700,.15692,
.15684,.15677,.15669,.15661,.15653,.15645,.15637,.15630,.15622,.15614,.15606,.15598,.15591,.15583,.15575,
.15567,.15559,.15552,.15544,.15536,.15528,.15521,.15513,.15505,.15497,.15490,.15482,.15474,.15466,.15459,
.15451,.15443,.15436,.15428,.15420,.15412,.15405,.15397,.15389,.15382,.15374,.15366,.15359,.15351,.15343,
.15335,.15328,.15320,.15313,.15305,.15297,.15290,.15282,.15274,.15267,.15259,.15251,.15244,.15236,.15229,
.15221,.15213,.15206,.15198,.15190,.15183,.15175,.15168,.15160,.15153,.15145,.15137,.15130,.15122,.15115,
.15107,.15100,.15092,.15085,.15077,.15069,.15062,.15054,.15047,.15039,.15032,.15024,.15017,.15009,.15002,
.14994,.14987,.14979,.14972,.14964,.14957,.14949,.14942,.14934,.14927,.14920,.14912,.14905,.14897,.14890,
.14882,.14875,.14867,.14860,.14853,.14845,.14838,.14830,.14823,.14815,.14808,.14801,.14793,.14786,.14778,
.14771,.14764,.14756,.14749,.14742,.14734,.14727,.14719,.14712,.14705,.14697,.14690,.14683,.14675,.14668,
.14661,.14653,.14646,.14639,.14631,.14624,.14617,.14609,.14602,.14595,.14588,.14580,.14573,.14566,.14558,
.14551,.14544,.14537,.14529,.14522,.14515,.14508,.14500,.14493,.14486,.14479,.14471,.14464,.14457,.14450,
.14442,.14435,.14428,.14421,.14414,.14406,.14399,.14392,.14385,.14378,.14370,.14363,.14356,.14349,.14342,
.14335,.14327,.14320,.14313,.14306,.14299,.14292,.14284,.14277,.14270,.14263,.14256,.14249,.14242,.14235,
.14227,.14220,.14213,.14206,.14199,.14192,.14185,.14178,.14171,.14164,.14156,.14149,.14142,.14135,.14128,
.14121,.14114,.14107,.14100,.14093,.14086,.14079,.14072,.14065,.14058,.14051,.14044,.14037,.14030,.14023,
.14016,.14009,.14002,.13995,.13988,.13981,.13974,.13967,.13960,.13953,.13946,.13939,.13932,.13925,.13918,
.13911,.13904,.13897,.13890,.13883,.13876,.13869,.13862,.13855,.13848,.13841,.13835,.13828,.13821,.13814,
.13807,.13800,.13793,.13786,.13779,.13772,.13766,.13759,.13752,.13745,.13738,.13731,.13724,.13717,.13711,
.13704,.13697,.13690,.13683,.13676,.13670,.13663,.13656,.13649,.13642,.13635,.13629,.13622,.13615,.13608,
.13601,.13595,.13588,.13581,.13574,.13567,.13561,.13554,.13547,.13540,.13534,.13527,.13520,.13513,.13506,
.13500,.13493,.13486,.13480,.13473,.13466,.13459,.13453,.13446,.13439,.13432,.13426,.13419,.13412,.13406,
.13399,.13392,.13385,.13379,.13372,.13365,.13359,.13352,.13345,.13339,.13332,.13325,.13319,.13312,.13305,
.13299,.13292,.13285,.13279,.13272,.13266,.13259,.13252,.13246,.13239,.13232,.13226,.13219,.13213,.13206,
.13199,.13193,.13186,.13180,.13173,.13166,.13160,.13153,.13147,.13140,.13134,.13127,.13120,.13114,.13107,
.13101,.13094,.13088,.13081,.13075,.13068,.13062,.13055,.13048,.13042,.13035,.13029,.13022,.13016,.13009,
.13003,.12996,.12990,.12983,.12977,.12970,.12964,.12957,.12951,.12944,.12938,.12932,.12925,.12919,.12912,
.12906,.12899,.12893,.12886,.12880,.12873,.12867,.12861,.12854,.12848,.12841,.12835,.12829,.12822,.12816,
.12809,.12803,.12796,.12790,.12784,.12777,.12771,.12765,.12758,.12752,.12745,.12739,.12733,.12726,.12720,
.12714,.12707,.12701,.12695,.12688,.12682,.12675,.12669,.12663,.12656,.12650,.12644,.12638,.12631,.12625,
.12619,.12612,.12606,.12600,.12593,.12587,.12581,.12574,.12568,.12562,.12556,.12549,.12543,.12537,.12531,
.12524,.12518,.12512,.12506,.12499,.12493,.12487,.12481,.12474,.12468,.12462,.12456,.12449,.12443,.12437,
.12431,.12424,.12418,.12412,.12406,.12400,.12393,.12387,.12381,.12375,.12369,.12363,.12356,.12350,.12344,
.12338,.12332,.12325,.12319,.12313,.12307,.12301,.12295,.12289,.12282,.12276,.12270,.12264,.12258,.12252,
.12246,.12240,.12233,.12227,.12221,.12215,.12209,.12203,.12197,.12191,.12185,.12178,.12172,.12166,.12160,
.12154,.12148,.12142,.12136,.12130,.12124,.12118,.12112,.12106,.12100,.12094,.12087,.12081,.12075,.12069,
.12063,.12057,.12051,.12045,.12039,.12033,.12027,.12021,.12015,.12009,.12003,.11997,.11991,.11985,.11979,
.11973,.11967,.11961,.11955,.11949,.11943,.11937,.11931,.11925,.11919,.11913,.11908,.11902,.11896,.11890,
.11884,.11878,.11872,.11866,.11860,.11854,.11848,.11842,.11836,.11830,.11824,.11819,.11813,.11807,.11801,
.11795,.11789,.11783,.11777,.11771,.11765,.11760,.11754,.11748,.11742,.11736,.11730,.11724,.11719,.11713,
.11707,.11701,.11695,.11689,.11683,.11678,.11672,.11666,.11660,.11654,.11648,.11643,.11637,.11631,.11625,
.11619,.11614,.11608,.11602,.11596,.11590,.11585,.11579,.11573,.11567,.11561,.11556,.11550,.11544,.11538,
.11533,.11527,.11521,.11515,.11509,.11504,.11498,.11492,.11486,.11481,.11475,.11469,.11464,.11458,.11452,
.11446,.11441,.11435,.11429,.11423,.11418,.11412,.11406,.11401,.11395,.11389,.11384,.11378,.11372,.11366,
.11361,.11355,.11349,.11344,.11338,.11332,.11327,.11321,.11315,.11310,.11304,.11299,.11293,.11287,.11282,
.11276,.11270,.11265,.11259,.11253,.11248,.11242,.11237,.11231,.11225,.11220,.11214,.11208,.11203,.11197,
.11192,.11186,.11180,.11175,.11169,.11164,.11158,.11153,.11147,.11141,.11136,.11130,.11125,.11119,.11114,
.11108,.11102,.11097,.11091,.11086,.11080,.11075,.11069,.11064,.11058,.11053,.11047,.11042,.11036,.11031,
.11025,.11020,.11014,.11009,.11003,.10998,.10992,.10987,.10981,.10976,.10970,.10965,.10959,.10954,.10948,
.10943,.10937,.10932,.10926,.10921,.10915,.10910,.10904,.10899,.10894,.10888,.10883,.10877,.10872,.10866,
.10861,.10855,.10850,.10845,.10839,.10834,.10828,.10823,.10818,.10812,.10807,.10801,.10796,.10791,.10785,
.10780,.10774,.10769,.10764,.10758,.10753,.10747,.10742,.10737,.10731,.10726,.10721,.10715,.10710,.10705,
.10699,.10694,.10689,.10683,.10678,.10672,.10667,.10662,.10657,.10651,.10646,.10641,.10635,.10630,.10625,
.10619,.10614,.10609,.10603,.10598,.10593,.10587,.10582,.10577,.10572,.10566,.10561,.10556,.10550,.10545,
.10540,.10535,.10529,.10524,.10519,.10514,.10508,.10503,.10498,.10493,.10487,.10482,.10477,.10472,.10466,
.10461,.10456,.10451,.10445,.10440,.10435,.10430,.10425,.10419,.10414,.10409,.10404,.10399,.10393,.10388,
.10383,.10378,.10373,.10367,.10362,.10357,.10352,.10347,.10342,.10336,.10331,.10326,.10321,.10316,.10311,
.10305,.10300,.10295,.10290,.10285,.10280,.10275,.10269,.10264,.10259,.10254,.10249,.10244,.10239,.10234,
.10228,.10223,.10218,.10213,.10208,.10203,.10198,.10193,.10188,.10182,.10177,.10172,.10167,.10162,.10157,
.10152,.10147,.10142,.10137,.10132,.10127,.10122,.10117,.10111,.10106,.10101,.10096,.10091,.10086,.10081,
.10076,.10071,.10066,.10061,.10056,.10051,.10046,.10041,.10036,.10031,.10026,.10021,.10016,.10011,.10006,
.10001,.09996,.09991,.09986,.09981,.09976,.09971,.09966,.09961,.09956,.09951,.09946,.09941,.09936,.09931,
.09926,.09921,.09916,.09911,.09906,.09901,.09896,.09891,.09886,.09882,.09877,.09872,.09867,.09862,.09857,
.09852,.09847,.09842,.09837,.09832,.09827,.09822,.09818,.09813,.09808,.09803,.09798,.09793,.09788,.09783,
.09778,.09773,.09769,.09764,.09759,.09754,.09749,.09744,.09739,.09734,.09730,.09725,.09720,.09715,.09710,
.09705,.09700,.09696,.09691,.09686,.09681,.09676,.09671,.09667,.09662,.09657,.09652,.09647,.09642,.09638,
.09633,.09628,.09623,.09618,.09614,.09609,.09604,.09599,.09594,.09590,.09585,.09580,.09575,.09570,.09566,
.09561,.09556,.09551,.09546,.09542,.09537,.09532,.09527,.09523,.09518,.09513,.09508,.09504,.09499,.09494,
.09489,.09485,.09480,.09475,.09470,.09466,.09461,.09456,.09451,.09447,.09442,.09437,.09433,.09428,.09423,
.09418,.09414,.09409,.09404,.09400,.09395,.09390,.09386,.09381,.09376,.09371,.09367,.09362,.09357,.09353,
.09348,.09343,.09339,.09334,.09329,.09325,.09320,.09315,.09311,.09306,.09301,.09297,.09292,.09288,.09283,
.09278,.09274,.09269,.09264,.09260,.09255,.09250,.09246,.09241,.09237,.09232,.09227,.09223,.09218,.09214,
.09209,.09204,.09200,.09195,.09190,.09186,.09181,.09177,.09172,.09168,.09163,.09158,.09154,.09149,.09145,
.09140,.09136,.09131,.09126,.09122,.09117,.09113,.09108,.09104,.09099,.09095,.09090,.09085,.09081,.09076,
.09072,.09067,.09063,.09058,.09054,.09049,.09045,.09040,.09036,.09031,.09027,.09022,.09018,.09013,.09009,
.09004,.09000,.08995,.08991,.08986,.08982,.08977,.08973,.08968,.08964,.08959,.08955,.08950,.08946,.08941,
.08937,.08932,.08928,.08923,.08919,.08914,.08910,.08906,.08901,.08897,.08892,.08888,.08883,.08879,.08874,
.08870,.08866,.08861,.08857,.08852,.08848,.08843,.08839,.08835,.08830,.08826,.08821,.08817,.08812,.08808,
.08804,.08799,.08795,.08790,.08786,.08782,.08777,.08773,.08769,.08764,.08760,.08755,.08751,.08747,.08742,
.08738,.08734,.08729,.08725,.08720,.08716,.08712,.08707,.08703,.08699,.08694,.08690,.08686,.08681,.08677,
.08673,.08668,.08664,.08660,.08655,.08651,.08647,.08642,.08638,.08634,.08629,.08625,.08621,.08616,.08612,
.08608,.08604,.08599,.08595,.08591,.08586,.08582,.08578,.08573,.08569,.08565,.08561,.08556,.08552,.08548,
.08543,.08539,.08535,.08531,.08526,.08522,.08518,.08514,.08509,.08505,.08501,.08497,.08492,.08488,.08484,
.08480,.08475,.08471,.08467,.08463,.08458,.08454,.08450,.08446,.08442,.08437,.08433,.08429,.08425,.08421,
.08416,.08412,.08408,.08404,.08399,.08395,.08391,.08387,.08383,.08379,.08374,.08370,.08366,.08362,.08358,
.08353,.08349,.08345,.08341,.08337,.08333,.08328,.08324,.08320,.08316,.08312,.08308,.08303,.08299,.08295,
.08291,.08287,.08283,.08279,.08274,.08270,.08266,.08262,.08258,.08254,.08250,.08246,.08241,.08237,.08233,
.08229,.08225,.08221,.08217,.08213,.08208,.08204,.08200,.08196,.08192,.08188,.08184,.08180,.08176,.08172,
.08168,.08163,.08159,.08155,.08151,.08147,.08143,.08139,.08135,.08131,.08127,.08123,.08119,.08115,.08111,
.08107,.08102,.08098,.08094,.08090,.08086,.08082,.08078,.08074,.08070,.08066,.08062,.08058,.08054,.08050,
.08046,.08042,.08038,.08034,.08030,.08026,.08022,.08018,.08014,.08010,.08006,.08002,.07998,.07994,.07990,
.07986,.07982,.07978,.07974,.07970,.07966,.07962,.07958,.07954,.07950,.07946,.07942,.07938,.07934,.07930,
.07926,.07922,.07918,.07914,.07910,.07906,.07902,.07898,.07895,.07891,.07887,.07883,.07879,.07875,.07871,
.07867,.07863,.07859,.07855,.07851,.07847,.07843,.07839,.07836,.07832,.07828,.07824,.07820,.07816,.07812,
.07808,.07804,.07800,.07796,.07793,.07789,.07785,.07781,.07777,.07773,.07769,.07765,.07761,.07758,.07754,
.07750,.07746,.07742,.07738,.07734,.07730,.07727,.07723,.07719,.07715,.07711,.07707,.07703,.07700,.07696,
.07692,.07688,.07684,.07680,.07677,.07673,.07669,.07665,.07661,.07657,.07654,.07650,.07646,.07642,.07638,
.07634,.07631,.07627,.07623,.07619,.07615,.07612,.07608,.07604,.07600,.07596,.07593,.07589,.07585,.07581,
.07577,.07574,.07570,.07566,.07562,.07558,.07555,.07551,.07547,.07543,.07540,.07536,.07532,.07528,.07525,
.07521,.07517,.07513,.07510,.07506,.07502,.07498,.07495,.07491,.07487,.07483,.07480,.07476,.07472,.07468,
.07465,.07461,.07457,.07453,.07450,.07446,.07442,.07439,.07435,.07431,.07427,.07424,.07420,.07416,.07413,
.07409,.07405,.07401,.07398,.07394,.07390,.07387,.07383,.07379,.07376,.07372,.07368,.07364,.07361,.07357,
.07353,.07350,.07346,.07342,.07339,.07335,.07331,.07328,.07324,.07320,.07317,.07313,.07309,.07306,.07302,
.07299,.07295,.07291,.07288,.07284,.07280,.07277,.07273,.07269,.07266,.07262,.07258,.07255,.07251,.07248,
.07244,.07240,.07237,.07233,.07230,.07226,.07222,.07219,.07215,.07211,.07208,.07204,.07201,.07197,.07193,
.07190,.07186,.07183,.07179,.07175,.07172,.07168,.07165,.07161,.07158,.07154,.07150,.07147,.07143,.07140,
.07136,.07133,.07129,.07125,.07122,.07118,.07115,.07111,.07108,.07104,.07101,.07097,.07093,.07090,.07086,
.07083,.07079,.07076,.07072,.07069,.07065,.07062,.07058,.07055,.07051,.07047,.07044,.07040,.07037,.07033,
.07030,.07026,.07023,.07019,.07016,.07012,.07009,.07005,.07002,.06998,.06995,.06991,.06988,.06984,.06981,
.06977,.06974,.06970,.06967,.06963,.06960,.06956,.06953,.06950,.06946,.06943,.06939,.06936,.06932,.06929,
.06925,.06922,.06918,.06915,.06911,.06908,.06904,.06901,.06898,.06894,.06891,.06887,.06884,.06880,.06877,
.06873,.06870,.06867,.06863,.06860,.06856,.06853,.06849,.06846,.06843,.06839,.06836,.06832,.06829,.06826,
.06822,.06819,.06815,.06812,.06808,.06805,.06802,.06798,.06795,.06791,.06788,.06785,.06781,.06778,.06775,
.06771,.06768,.06764,.06761,.06758,.06754,.06751,.06747,.06744,.06741,.06737,.06734,.06731,.06727,.06724,
.06721,.06717,.06714,.06710,.06707,.06704,.06700,.06697,.06694,.06690,.06687,.06684,.06680,.06677,.06674,
.06670,.06667,.06664,.06660,.06657,.06654,.06650,.06647,.06644,.06640,.06637,.06634,.06630,.06627,.06624,
.06620,.06617,.06614,.06611,.06607,.06604,.06601,.06597,.06594,.06591,.06587,.06584,.06581,.06578,.06574,
.06571,.06568,.06564,.06561,.06558,.06555,.06551,.06548,.06545,.06542,.06538,.06535,.06532,.06528,.06525,
.06522,.06519,.06515,.06512,.06509,.06506,.06502,.06499,.06496,.06493,.06489,.06486,.06483,.06480,.06476,
.06473,.06470,.06467,.06463,.06460,.06457,.06454,.06451,.06447,.06444,.06441,.06438,.06434,.06431,.06428,
.06425,.06422,.06418,.06415,.06412,.06409,.06406,.06402,.06399,.06396,.06393,.06390,.06386,.06383,.06380,
.06377,.06374,.06370,.06367,.06364,.06361,.06358,.06355,.06351,.06348,.06345,.06342,.06339,.06336,.06332,
.06329,.06326,.06323,.06320,.06317,.06313,.06310,.06307,.06304,.06301,.06298,.06294,.06291,.06288,.06285,
.06282,.06279,.06276,.06272,.06269,.06266,.06263,.06260,.06257,.06254,.06251,.06247,.06244,.06241,.06238,
.06235,.06232,.06229,.06226,.06222,.06219,.06216,.06213,.06210,.06207,.06204,.06201,.06198,.06195,.06191,
.06188,.06185,.06182,.06179,.06176,.06173,.06170,.06167,.06164,.06161,.06157,.06154,.06151,.06148,.06145,
.06142,.06139,.06136,.06133,.06130,.06127,.06124,.06121,.06118,.06115,.06111,.06108,.06105,.06102,.06099,
.06096,.06093,.06090,.06087,.06084,.06081,.06078,.06075,.06072,.06069,.06066,.06063,.06060,.06057,.06054,
.06051,.06048,.06045,.06042,.06039,.06036,.06033,.06030,.06027,.06024,.06020,.06017,.06014,.06011,.06008,
.06005,.06002,.05999,.05996,.05993,.05990,.05987,.05984,.05981,.05979,.05976,.05973,.05970,.05967,.05964,
.05961,.05958,.05955,.05952,.05949,.05946,.05943,.05940,.05937,.05934,.05931,.05928,.05925,.05922,.05919,
.05916,.05913,.05910,.05907,.05904,.05901,.05898,.05895,.05892,.05889,.05887,.05884,.05881,.05878,.05875,
.05872,.05869,.05866,.05863,.05860,.05857,.05854,.05851,.05848,.05845,.05843,.05840,.05837,.05834,.05831,
.05828,.05825,.05822,.05819,.05816,.05813,.05811,.05808,.05805,.05802,.05799,.05796,.05793,.05790,.05787,
.05784,.05782,.05779,.05776,.05773,.05770,.05767,.05764,.05761,.05758,.05756,.05753,.05750,.05747,.05744,
.05741,.05738,.05735,.05733,.05730,.05727,.05724,.05721,.05718,.05715,.05713,.05710,.05707,.05704,.05701,
.05698,.05695,.05693,.05690,.05687,.05684,.05681,.05678,.05676,.05673,.05670,.05667,.05664,.05661,.05659,
.05656,.05653,.05650,.05647,.05644,.05642,.05639,.05636,.05633,.05630,.05628,.05625,.05622,.05619,.05616,
.05613,.05611,.05608,.05605,.05602,.05599,.05597,.05594,.05591,.05588,.05585,.05583,.05580,.05577,.05574,
.05572,.05569,.05566,.05563,.05560,.05558,.05555,.05552,.05549,.05547,.05544,.05541,.05538,.05535,.05533,
.05530,.05527,.05524,.05522,.05519,.05516,.05513,.05511,.05508,.05505,.05502,.05500,.05497,.05494,.05491,
.05489,.05486,.05483,.05480,.05478,.05475,.05472,.05469,.05467,.05464,.05461,.05458,.05456,.05453,.05450,
.05448,.05445,.05442,.05439,.05437,.05434,.05431,.05429,.05426,.05423,.05420,.05418,.05415,.05412,.05410,
.05407,.05404,.05401,.05399,.05396,.05393,.05391,.05388,.05385,.05383,.05380,.05377,.05375,.05372,.05369,
.05366,.05364,.05361,.05358,.05356,.05353,.05350,.05348,.05345,.05342,.05340,.05337,.05334,.05332,.05329,
.05326,.05324,.05321,.05318,.05316,.05313,.05310,.05308,.05305,.05302,.05300,.05297,.05295,.05292,.05289,
.05287,.05284,.05281,.05279,.05276,.05273,.05271,.05268,.05265,.05263,.05260,.05258,.05255,.05252,.05250,
.05247,.05244,.05242,.05239,.05237,.05234,.05231,.05229,.05226,.05224,.05221,.05218,.05216,.05213,.05210,
.05208,.05205,.05203,.05200,.05197,.05195,.05192,.05190,.05187,.05184,.05182,.05179,.05177,.05174,.05172,
.05169,.05166,.05164,.05161,.05159,.05156,.05153,.05151,.05148,.05146,.05143,.05141,.05138,.05135,.05133,
.05130,.05128,.05125,.05123,.05120,.05118,.05115,.05112,.05110,.05107,.05105,.05102,.05100,.05097,.05095,
.05092,.05089,.05087,.05084,.05082,.05079,.05077,.05074,.05072,.05069,.05067,.05064,.05062,.05059,.05056,
.05054,.05051,.05049,.05046,.05044,.05041,.05039,.05036,.05034,.05031,.05029,.05026,.05024,.05021,.05019,
.05016,.05014,.05011,.05009,.05006,.05004,.05001,.04999,.04996,.04994,.04991,.04989,.04986,.04984,.04981,
.04979,.04976,.04974,.04971,.04969,.04966,.04964,.04961,.04959,.04956,.04954,.04951,.04949,.04946,.04944,
.04942,.04939,.04937,.04934,.04932,.04929,.04927,.04924,.04922,.04919,.04917,.04914,.04912,.04909,.04907,
.04905,.04902,.04900,.04897,.04895,.04892,.04890,.04887,.04885,.04883,.04880,.04878,.04875,.04873,.04870,
.04868,.04866,.04863,.04861,.04858,.04856,.04853,.04851,.04849,.04846,.04844,.04841,.04839,.04836,.04834,
.04832,.04829,.04827,.04824,.04822,.04819,.04817,.04815,.04812,.04810,.04807,.04805,.04803,.04800,.04798,
.04795,.04793,.04791,.04788,.04786,.04783,.04781,.04779,.04776,.04774,.04772,.04769,.04767,.04764,.04762,
.04760,.04757,.04755,.04752,.04750,.04748,.04745,.04743,.04741,.04738,.04736,.04734,.04731,.04729,.04726,
.04724,.04722,.04719,.04717,.04715,.04712,.04710,.04708,.04705,.04703,.04701,.04698,.04696,.04693,.04691,
.04689,.04686,.04684,.04682,.04679,.04677,.04675,.04672,.04670,.04668,.04665,.04663,.04661,.04658,.04656,
.04654,.04651,.04649,.04647,.04644,.04642,.04640,.04637,.04635,.04633,.04631,.04628,.04626,.04624,.04621,
.04619,.04617,.04614,.04612,.04610,.04607,.04605,.04603,.04601,.04598,.04596,.04594,.04591,.04589,.04587,
.04584,.04582,.04580,.04578,.04575,.04573,.04571,.04568,.04566,.04564,.04562,.04559,.04557,.04555,.04552,
.04550,.04548,.04546,.04543,.04541,.04539,.04537,.04534,.04532,.04530,.04528,.04525,.04523,.04521,.04518,
.04516,.04514,.04512,.04509,.04507,.04505,.04503,.04500,.04498,.04496,.04494,.04491,.04489,.04487,.04485,
.04482,.04480,.04478,.04476,.04473,.04471,.04469,.04467,.04465,.04462,.04460,.04458,.04456,.04453,.04451,
.04449,.04447,.04445,.04442,.04440,.04438,.04436,.04433,.04431,.04429,.04427,.04425,.04422,.04420,.04418,
.04416,.04414,.04411,.04409,.04407,.04405,.04402,.04400,.04398,.04396,.04394,.04391,.04389,.04387,.04385,
.04383,.04381,.04378,.04376,.04374,.04372,.04370,.04367,.04365,.04363,.04361,.04359,.04357,.04354,.04352,
.04350,.04348,.04346,.04343,.04341,.04339,.04337,.04335,.04333,.04330,.04328,.04326,.04324,.04322,.04320,
.04317,.04315,.04313,.04311,.04309,.04307,.04305,.04302,.04300,.04298,.04296,.04294,.04292,.04290,.04287,
.04285,.04283,.04281,.04279,.04277,.04275,.04272,.04270,.04268,.04266,.04264,.04262,.04260,.04257,.04255,
.04253,.04251,.04249,.04247,.04245,.04243,.04240,.04238,.04236,.04234,.04232,.04230,.04228,.04226,.04224,
.04221,.04219,.04217,.04215,.04213,.04211,.04209,.04207,.04205,.04202,.04200,.04198,.04196,.04194,.04192,
.04190,.04188,.04186,.04184,.04182,.04179,.04177,.04175,.04173,.04171,.04169,.04167,.04165,.04163,.04161,
.04159,.04156,.04154,.04152,.04150,.04148,.04146,.04144,.04142,.04140,.04138,.04136,.04134,.04132,.04130,
.04127,.04125,.04123,.04121,.04119,.04117,.04115,.04113,.04111,.04109,.04107,.04105,.04103,.04101,.04099,
.04097,.04095,.04093,.04091,.04088,.04086,.04084,.04082,.04080,.04078,.04076,.04074,.04072,.04070,.04068,
.04066,.04064,.04062,.04060,.04058,.04056,.04054,.04052,.04050,.04048,.04046,.04044,.04042,.04040,.04038,
.04036,.04034,.04032,.04030,.04028,.04026,.04024,.04022,.04020,.04018,.04016,.04014,.04012,.04010,.04008,
.04006,.04004,.04002,.04000,.03998,.03996,.03994,.03992,.03990,.03988,.03986,.03984,.03982,.03980,.03978,
.03976,.03974,.03972,.03970,.03968,.03966,.03964,.03962,.03960,.03958,.03956,.03954,.03952,.03950,.03948,
.03946,.03944,.03942,.03940,.03938,.03936,.03934,.03932,.03930,.03928,.03926,.03924,.03922,.03920,.03918,
.03916,.03914,.03912,.03911,.03909,.03907,.03905,.03903,.03901,.03899,.03897,.03895,.03893,.03891,.03889,
.03887,.03885,.03883,.03881,.03879,.03877,.03875,.03874,.03872,.03870,.03868,.03866,.03864,.03862,.03860,
.03858,.03856,.03854,.03852,.03850,.03848,.03847,.03845,.03843,.03841,.03839,.03837,.03835,.03833,.03831,
.03829,.03827,.03825,.03824,.03822,.03820,.03818,.03816,.03814,.03812,.03810,.03808,.03806,.03804,.03803,
.03801,.03799,.03797,.03795,.03793,.03791,.03789,.03787,.03785,.03784,.03782,.03780,.03778,.03776,.03774,
.03772,.03770,.03768,.03767,.03765,.03763,.03761,.03759,.03757,.03755,.03753,.03752,.03750,.03748,.03746,
.03744,.03742,.03740,.03738,.03737,.03735,.03733,.03731,.03729,.03727,.03725,.03724,.03722,.03720,.03718,
.03716,.03714,.03712,.03711,.03709,.03707,.03705,.03703,.03701,.03699,.03698,.03696,.03694,.03692,.03690,
.03688,.03686,.03685,.03683,.03681,.03679,.03677,.03675,.03674,.03672,.03670,.03668,.03666,.03664,.03663,
.03661,.03659,.03657,.03655,.03653,.03652,.03650,.03648,.03646,.03644,.03642,.03641,.03639,.03637,.03635,
.03633,.03632,.03630,.03628,.03626,.03624,.03623,.03621,.03619,.03617,.03615,.03613,.03612,.03610,.03608,
.03606,.03604,.03603,.03601,.03599,.03597,.03595,.03594,.03592,.03590,.03588,.03586,.03585,.03583,.03581,
.03579,.03578,.03576,.03574,.03572,.03570,.03569,.03567,.03565,.03563,.03561,.03560,.03558,.03556,.03554,
.03553,.03551,.03549,.03547,.03545,.03544,.03542,.03540,.03538,.03537,.03535,.03533,.03531,.03530,.03528,
.03526,.03524,.03522,.03521,.03519,.03517,.03515,.03514,.03512,.03510,.03508,.03507,.03505,.03503,.03501,
.03500,.03498,.03496,.03494,.03493,.03491,.03489,.03487,.03486,.03484,.03482,.03480,.03479,.03477,.03475,
.03474,.03472,.03470,.03468,.03467,.03465,.03463,.03461,.03460,.03458,.03456,.03454,.03453,.03451,.03449,
.03448,.03446,.03444,.03442,.03441,.03439,.03437,.03436,.03434,.03432,.03430,.03429,.03427,.03425,.03424,
.03422,.03420,.03418,.03417,.03415,.03413,.03412,.03410,.03408,.03406,.03405,.03403,.03401,.03400,.03398,
.03396,.03395,.03393,.03391,.03389,.03388,.03386,.03384,.03383,.03381,.03379,.03378,.03376,.03374,.03373,
.03371,.03369,.03367,.03366,.03364,.03362,.03361,.03359,.03357,.03356,.03354,.03352,.03351,.03349,.03347,
.03346,.03344,.03342,.03341,.03339,.03337,.03336,.03334,.03332,.03331,.03329,.03327,.03326,.03324,.03322,
.03321,.03319,.03317,.03316,.03314,.03312,.03311,.03309,.03307,.03306,.03304,.03302,.03301,.03299,.03298,
.03296,.03294,.03293,.03291,.03289,.03288,.03286,.03284,.03283,.03281,.03279,.03278,.03276,.03275,.03273,
.03271,.03270,.03268,.03266,.03265,.03263,.03261,.03260,.03258,.03257,.03255,.03253,.03252,.03250,.03248,
.03247,.03245,.03244,.03242,.03240,.03239,.03237,.03235,.03234,.03232,.03231,.03229,.03227,.03226,.03224,
.03223,.03221,.03219,.03218,.03216,.03214,.03213,.03211,.03210,.03208,.03206,.03205,.03203,.03202,.03200,
.03198,.03197,.03195,.03194,.03192,.03190,.03189,.03187,.03186,.03184,.03183,.03181,.03179,.03178,.03176,
.03175,.03173,.03171,.03170,.03168,.03167,.03165,.03163,.03162,.03160,.03159,.03157,.03156,.03154,.03152,
.03151,.03149,.03148,.03146,.03145,.03143,.03141,.03140,.03138,.03137,.03135,.03134,.03132,.03130,.03129,
.03127,.03126,.03124,.03123,.03121,.03119,.03118,.03116,.03115,.03113,.03112,.03110,.03109,.03107,.03105,
.03104,.03102,.03101,.03099,.03098,.03096,.03095,.03093,.03092,.03090,.03088,.03087,.03085,.03084,.03082,
.03081,.03079,.03078,.03076,.03075,.03073,.03072,.03070,.03068,.03067,.03065,.03064,.03062,.03061,.03059,
.03058,.03056,.03055,.03053,.03052,.03050,.03049,.03047,.03046,.03044,.03042,.03041,.03039,.03038,.03036,
.03035,.03033,.03032,.03030,.03029,.03027,.03026,.03024,.03023,.03021,.03020,.03018,.03017,.03015,.03014,
.03012,.03011,.03009,.03008,.03006,.03005,.03003,.03002,.03000,.02999,.02997,.02996,.02994,.02993,.02991,
.02990,.02988,.02987,.02985,.02984,.02982,.02981,.02979,.02978,.02976,.02975,.02973,.02972,.02970,.02969,
.02967,.02966,.02964,.02963,.02961,.02960,.02958,.02957,.02956,.02954,.02953,.02951,.02950,.02948,.02947,
.02945,.02944,.02942,.02941,.02939,.02938,.02936,.02935,.02933,.02932,.02930,.02929,.02928,.02926,.02925,
.02923,.02922,.02920,.02919,.02917,.02916,.02914,.02913,.02912,.02910,.02909,.02907,.02906,.02904,.02903,
.02901,.02900,.02898,.02897,.02896,.02894,.02893,.02891,.02890,.02888,.02887,.02885,.02884,.02883,.02881,
.02880,.02878,.02877,.02875,.02874,.02872,.02871,.02870,.02868,.02867,.02865,.02864,.02862,.02861,.02860,
.02858,.02857,.02855,.02854,.02852,.02851,.02850,.02848,.02847,.02845,.02844,.02842,.02841,.02840,.02838,
.02837,.02835,.02834,.02833,.02831,.02830,.02828,.02827,.02825,.02824,.02823,.02821,.02820,.02818,.02817,
.02816,.02814,.02813,.02811,.02810,.02809,.02807,.02806,.02804,.02803,.02802,.02800,.02799,.02797,.02796,
.02795,.02793,.02792,.02790,.02789,.02788,.02786,.02785,.02783,.02782,.02781,.02779,.02778,.02776,.02775,
.02774,.02772,.02771,.02770,.02768,.02767,.02765,.02764,.02763,.02761,.02760,.02758,.02757,.02756,.02754,
.02753,.02752,.02750,.02749,.02747,.02746,.02745,.02743,.02742,.02741,.02739,.02738,.02736,.02735,.02734,
.02732,.02731,.02730,.02728,.02727,.02726,.02724,.02723,.02721,.02720,.02719,.02717,.02716,.02715,.02713,
.02712,.02711,.02709,.02708,.02707,.02705,.02704,.02702,.02701,.02700,.02698,.02697,.02696,.02694,.02693,
.02692,.02690,.02689,.02688,.02686,.02685,.02684,.02682,.02681,.02680,.02678,.02677,.02676,.02674,.02673,
.02672,.02670,.02669,.02668,.02666,.02665,.02664,.02662,.02661,.02660,.02658,.02657,.02656,.02654,.02653,
.02652,.02650,.02649,.02648,.02646,.02645,.02644,.02642,.02641,.02640,.02638,.02637,.02636,.02634,.02633,
.02632,.02630,.02629,.02628,.02627,.02625,.02624,.02623,.02621,.02620,.02619,.02617,.02616,.02615,.02613,
.02612,.02611,.02610,.02608,.02607,.02606,.02604,.02603,.02602,.02600,.02599,.02598,.02597,.02595,.02594,
.02593,.02591,.02590,.02589,.02587,.02586,.02585,.02584,.02582,.02581,.02580,.02578,.02577,.02576,.02575,
.02573,.02572,.02571,.02569,.02568,.02567,.02566,.02564,.02563,.02562,.02560,.02559,.02558,.02557,.02555,
.02554,.02553,.02551,.02550,.02549,.02548,.02546,.02545,.02544,.02543,.02541,.02540,.02539,.02537,.02536,
.02535,.02534,.02532,.02531,.02530,.02529,.02527,.02526,.02525,.02524,.02522,.02521,.02520,.02519,.02517,
.02516,.02515,.02513,.02512,.02511,.02510,.02508,.02507,.02506,.02505,.02503,.02502,.02501,.02500,.02498,
.02497,.02496,.02495,.02493,.02492,.02491,.02490,.02488,.02487,.02486,.02485,.02484,.02482,.02481,.02480,
.02479,.02477,.02476,.02475,.02474,.02472,.02471,.02470,.02469,.02467,.02466,.02465,.02464,.02462,.02461,
.02460,.02459,.02458,.02456,.02455,.02454,.02453,.02451,.02450,.02449,.02448,.02447,.02445,.02444,.02443,
.02442,.02440,.02439,.02438,.02437,.02436,.02434,.02433,.02432,.02431,.02429,.02428,.02427,.02426,.02425,
.02423,.02422,.02421,.02420,.02419,.02417,.02416,.02415,.02414,.02413,.02411,.02410,.02409,.02408,.02406,
.02405,.02404,.02403,.02402,.02400,.02399,.02398,.02397,.02396,.02394,.02393,.02392,.02391,.02390,.02389,
.02387,.02386,.02385,.02384,.02383,.02381,.02380,.02379,.02378,.02377,.02375,.02374,.02373,.02372,.02371,
.02369,.02368,.02367,.02366,.02365,.02364,.02362,.02361,.02360,.02359,.02358,.02356,.02355,.02354,.02353,
.02352,.02351,.02349,.02348,.02347,.02346,.02345,.02344,.02342,.02341,.02340,.02339,.02338,.02337,.02335,
.02334,.02333,.02332,.02331,.02330,.02328,.02327,.02326,.02325,.02324,.02323,.02321,.02320,.02319,.02318,
.02317,.02316,.02314,.02313,.02312,.02311,.02310,.02309,.02308,.02306,.02305,.02304,.02303,.02302,.02301,
.02299,.02298,.02297,.02296,.02295,.02294,.02293,.02291,.02290,.02289,.02288,.02287,.02286,.02285,.02283,
.02282,.02281,.02280,.02279,.02278,.02277,.02275,.02274,.02273,.02272,.02271,.02270,.02269,.02267,.02266,
.02265,.02264,.02263,.02262,.02261,.02260,.02258,.02257,.02256,.02255,.02254,.02253,.02252,.02251,.02249,
.02248,.02247,.02246,.02245,.02244,.02243,.02242,.02240,.02239,.02238,.02237,.02236,.02235,.02234,.02233,
.02231,.02230,.02229,.02228,.02227,.02226,.02225,.02224,.02223,.02221,.02220,.02219,.02218,.02217,.02216,
.02215,.02214,.02213,.02211,.02210,.02209,.02208,.02207,.02206,.02205,.02204,.02203,.02202,.02200,.02199,
.02198,.02197,.02196,.02195,.02194,.02193,.02192,.02191,.02189,.02188,.02187,.02186,.02185,.02184,.02183,
.02182,.02181,.02180,.02179,.02177,.02176,.02175,.02174,.02173,.02172,.02171,.02170,.02169,.02168,.02167,
.02166,.02164,.02163,.02162,.02161,.02160,.02159,.02158,.02157,.02156,.02155,.02154,.02153,.02152,.02150,
.02149,.02148,.02147,.02146,.02145,.02144,.02143,.02142,.02141,.02140,.02139,.02138,.02137,.02135,.02134,
.02133,.02132,.02131,.02130,.02129,.02128,.02127,.02126,.02125,.02124,.02123,.02122,.02121,.02119,.02118,
.02117,.02116,.02115,.02114,.02113,.02112,.02111,.02110,.02109,.02108,.02107,.02106,.02105,.02104,.02103,
.02102,.02100,.02099,.02098,.02097,.02096,.02095,.02094,.02093,.02092,.02091,.02090,.02089,.02088,.02087,
.02086,.02085,.02084,.02083,.02082,.02081,.02080,.02079,.02078,.02076,.02075,.02074,.02073,.02072,.02071,
.02070,.02069,.02068,.02067,.02066,.02065,.02064,.02063,.02062,.02061,.02060,.02059,.02058,.02057,.02056,
.02055,.02054,.02053,.02052,.02051,.02050,.02049,.02048,.02047,.02046,.02045,.02044,.02042,.02041,.02040,
.02039,.02038,.02037,.02036,.02035,.02034,.02033,.02032,.02031,.02030,.02029,.02028,.02027,.02026,.02025,
.02024,.02023,.02022,.02021,.02020,.02019,.02018,.02017,.02016,.02015,.02014,.02013,.02012,.02011,.02010,
.02009,.02008,.02007,.02006,.02005,.02004,.02003,.02002,.02001,.02000,.01999,.01998,.01997,.01996,.01995,
.01994,.01993,.01992,.01991,.01990,.01989,.01988,.01987,.01986,.01985,.01984,.01983,.01982,.01981,.01980,
.01979,.01978,.01977,.01976,.01975,.01974,.01973,.01972,.01971,.01970,.01969,.01968,.01967,.01966,.01965,
.01964,.01963,.01962,.01961,.01960,.01959,.01958,.01958,.01957,.01956,.01955,.01954,.01953,.01952,.01951,
.01950,.01949,.01948,.01947,.01946,.01945,.01944,.01943,.01942,.01941,.01940,.01939,.01938,.01937,.01936,
.01935,.01934,.01933,.01932,.01931,.01930,.01929,.01928,.01927,.01926,.01925,.01925,.01924,.01923,.01922,
.01921,.01920,.01919,.01918,.01917,.01916,.01915,.01914,.01913,.01912,.01911,.01910,.01909,.01908,.01907,
.01906,.01905,.01904,.01903,.01903,.01902,.01901,.01900,.01899,.01898,.01897,.01896,.01895,.01894,.01893,
.01892,.01891,.01890,.01889,.01888,.01887,.01886,.01885,.01885,.01884,.01883,.01882,.01881,.01880,.01879,
.01878,.01877,.01876,.01875,.01874,.01873,.01872,.01871,.01870,.01869,.01869,.01868,.01867,.01866,.01865,
.01864,.01863,.01862,.01861,.01860,.01859,.01858,.01857,.01856,.01856,.01855,.01854,.01853,.01852,.01851,
.01850,.01849,.01848,.01847,.01846,.01845,.01844,.01844,.01843,.01842,.01841,.01840,.01839,.01838,.01837,
.01836,.01835,.01834,.01833,.01832,.01832,.01831,.01830,.01829,.01828,.01827,.01826,.01825,.01824,.01823,
.01822,.01822,.01821,.01820,.01819,.01818,.01817,.01816,.01815,.01814,.01813,.01812,.01812,.01811,.01810,
.01809,.01808,.01807,.01806,.01805,.01804,.01803,.01802,.01802,.01801,.01800,.01799,.01798,.01797,.01796,
.01795,.01794,.01794,.01793,.01792,.01791,.01790,.01789,.01788,.01787,.01786,.01785,.01785,.01784,.01783,
.01782,.01781,.01780,.01779,.01778,.01777,.01777,.01776,.01775,.01774,.01773,.01772,.01771,.01770,.01769,
.01769,.01768,.01767,.01766,.01765,.01764,.01763,.01762,.01762,.01761,.01760,.01759,.01758,.01757,.01756,
.01755,.01754,.01754,.01753,.01752,.01751,.01750,.01749,.01748,.01747,.01747,.01746,.01745,.01744,.01743,
.01742,.01741,.01740,.01740,.01739,.01738,.01737,.01736,.01735,.01734,.01734,.01733,.01732,.01731,.01730,
.01729,.01728,.01727,.01727,.01726,.01725,.01724,.01723,.01722,.01721,.01721,.01720,.01719,.01718,.01717,
.01716,.01715,.01715,.01714,.01713,.01712,.01711,.01710,.01709,.01709,.01708,.01707,.01706,.01705,.01704,
.01703,.01703,.01702,.01701,.01700,.01699,.01698,.01698,.01697,.01696,.01695,.01694,.01693,.01692,.01692,
.01691,.01690,.01689,.01688,.01687,.01687,.01686,.01685,.01684,.01683,.01682,.01681,.01681,.01680,.01679,
.01678,.01677,.01676,.01676,.01675,.01674,.01673,.01672,.01671,.01671,.01670,.01669,.01668,.01667,.01666,
.01666,.01665,.01664,.01663,.01662,.01661,.01661,.01660,.01659,.01658,.01657,.01656,.01656,.01655,.01654,
.01653,.01652,.01651,.01651,.01650,.01649,.01648,.01647,.01647,.01646,.01645,.01644,.01643,.01642,.01642,
.01641,.01640,.01639,.01638,.01637,.01637,.01636,.01635,.01634,.01633,.01633,.01632,.01631,.01630,.01629,
.01629,.01628,.01627,.01626,.01625,.01624,.01624,.01623,.01622,.01621,.01620,.01620,.01619,.01618,.01617,
.01616,.01616,.01615,.01614,.01613,.01612,.01612,.01611,.01610,.01609,.01608,.01607,.01607,.01606,.01605,
.01604,.01603,.01603,.01602,.01601,.01600,.01599,.01599,.01598,.01597,.01596,.01595,.01595,.01594,.01593,
.01592,.01591,.01591,.01590,.01589,.01588,.01588,.01587,.01586,.01585,.01584,.01584,.01583,.01582,.01581,
.01580,.01580,.01579,.01578,.01577,.01576,.01576,.01575,.01574,.01573,.01573,.01572,.01571,.01570,.01569,
.01569,.01568,.01567,.01566,.01565,.01565,.01564,.01563,.01562,.01562,.01561,.01560,.01559,.01558,.01558,
.01557,.01556,.01555,.01555,.01554,.01553,.01552,.01551,.01551,.01550,.01549,.01548,.01548,.01547,.01546,
.01545,.01544,.01544,.01543,.01542,.01541,.01541,.01540,.01539,.01538,.01538,.01537,.01536,.01535,.01534,
.01534,.01533,.01532,.01531,.01531,.01530,.01529,.01528,.01528,.01527,.01526,.01525,.01525,.01524,.01523,
.01522,.01521,.01521,.01520,.01519,.01518,.01518,.01517,.01516,.01515,.01515,.01514,.01513,.01512,.01512,
.01511,.01510,.01509,.01509,.01508,.01507,.01506,.01506,.01505,.01504,.01503,.01503,.01502,.01501,.01500,
.01500,.01499,.01498,.01497,.01497,.01496,.01495,.01494,.01494,.01493,.01492,.01491,.01491,.01490,.01489,
.01488,.01488,.01487,.01486,.01485,.01485,.01484,.01483,.01482,.01482,.01481,.01480,.01479,.01479,.01478,
.01477,.01476,.01476,.01475,.01474,.01474,.01473,.01472,.01471,.01471,.01470,.01469,.01468,.01468,.01467,
.01466,.01465,.01465,.01464,.01463,.01463,.01462,.01461,.01460,.01460,.01459,.01458,.01457,.01457,.01456,
.01455,.01455,.01454,.01453,.01452,.01452,.01451,.01450,.01449,.01449,.01448,.01447,.01447,.01446,.01445,
.01444,.01444,.01443,.01442,.01441,.01441,.01440,.01439,.01439,.01438,.01437,.01436,.01436,.01435,.01434,
.01434,.01433,.01432,.01431,.01431,.01430,.01429,.01429,.01428,.01427,.01426,.01426,.01425,.01424,.01424,
.01423,.01422,.01421,.01421,.01420,.01419,.01419,.01418,.01417,.01416,.01416,.01415,.01414,.01414,.01413,
.01412,.01412,.01411,.01410,.01409,.01409,.01408,.01407,.01407,.01406,.01405,.01404,.01404,.01403,.01402,
.01402,.01401,.01400,.01400,.01399,.01398,.01397,.01397,.01396,.01395,.01395,.01394,.01393,.01393,.01392,
.01391,.01391,.01390,.01389,.01388,.01388,.01387,.01386,.01386,.01385,.01384,.01384,.01383,.01382,.01382,
.01381,.01380,.01379,.01379,.01378,.01377,.01377,.01376,.01375,.01375,.01374,.01373,.01373,.01372,.01371,
.01370,.01370,.01369,.01368,.01368,.01367,.01366,.01366,.01365,.01364,.01364,.01363,.01362,.01362,.01361,
.01360,.01360,.01359,.01358,.01358,.01357,.01356,.01355,.01355,.01354,.01353,.01353,.01352,.01351,.01351,
.01350,.01349,.01349,.01348,.01347,.01347,.01346,.01345,.01345,.01344,.01343,.01343,.01342,.01341,.01341,
.01340,.01339,.01339,.01338,.01337,.01337,.01336,.01335,.01335,.01334,.01333,.01333,.01332,.01331,.01331,
.01330,.01329,.01329,.01328,.01327,.01327,.01326,.01325,.01325,.01324,.01323,.01323,.01322,.01321,.01321,
.01320,.01319,.01319,.01318,.01317,.01317,.01316,.01315,.01315,.01314,.01313,.01313,.01312,.01311,.01311,
.01310,.01310,.01309,.01308,.01308,.01307,.01306,.01306,.01305,.01304,.01304,.01303,.01302,.01302,.01301,
.01300,.01300,.01299,.01298,.01298,.01297,.01297,.01296,.01295,.01295,.01294,.01293,.01293,.01292,.01291,
.01291,.01290,.01289,.01289,.01288,.01287,.01287,.01286,.01286,.01285,.01284,.01284,.01283,.01282,.01282,
.01281,.01280,.01280,.01279,.01278,.01278,.01277,.01277,.01276,.01275,.01275,.01274,.01273,.01273,.01272,
.01271,.01271,.01270,.01270,.01269,.01268,.01268,.01267,.01266,.01266,.01265,.01264,.01264,.01263,.01263,
.01262,.01261,.01261,.01260,.01259,.01259,.01258,.01258,.01257,.01256,.01256,.01255,.01254,.01254,.01253,
.01253,.01252,.01251,.01251,.01250,.01249,.01249,.01248,.01248,.01247,.01246,.01246,.01245,.01244,.01244,
.01243,.01243,.01242,.01241,.01241,.01240,.01239,.01239,.01238,.01238,.01237,.01236,.01236,.01235,.01235,
.01234,.01233,.01233,.01232,.01231,.01231,.01230,.01230,.01229,.01228,.01228,.01227,.01227,.01226,.01225,
.01225,.01224,.01223,.01223,.01222,.01222,.01221,.01220,.01220,.01219,.01219,.01218,.01217,.01217,.01216,
.01216,.01215,.01214,.01214,.01213,.01212,.01212,.01211,.01211,.01210,.01209,.01209,.01208,.01208,.01207,
.01206,.01206,.01205,.01205,.01204,.01203,.01203,.01202,.01202,.01201,.01200,.01200,.01199,.01199,.01198,
.01197,.01197,.01196,.01196,.01195,.01194,.01194,.01193,.01193,.01192,.01191,.01191,.01190,.01190,.01189,
.01188,.01188,.01187,.01187,.01186,.01186,.01185,.01184,.01184,.01183,.01183,.01182,.01181,.01181,.01180,
.01180,.01179,.01178,.01178,.01177,.01177,.01176,.01175,.01175,.01174,.01174,.01173,.01173,.01172,.01171,
.01171,.01170,.01170,.01169,.01168,.01168,.01167,.01167,.01166,.01166,.01165,.01164,.01164,.01163,.01163,
.01162,.01161,.01161,.01160,.01160,.01159,.01159,.01158,.01157,.01157,.01156,.01156,.01155,.01155,.01154,
.01153,.01153,.01152,.01152,.01151,.01150,.01150,.01149,.01149,.01148,.01148,.01147,.01146,.01146,.01145,
.01145,.01144,.01144,.01143,.01142,.01142,.01141,.01141,.01140,.01140,.01139,.01138,.01138,.01137,.01137,
.01136,.01136,.01135,.01134,.01134,.01133,.01133,.01132,.01132,.01131,.01131,.01130,.01129,.01129,.01128,
.01128,.01127,.01127,.01126,.01125,.01125,.01124,.01124,.01123,.01123,.01122,.01122,.01121,.01120,.01120,
.01119,.01119,.01118,.01118,.01117,.01116,.01116,.01115,.01115,.01114,.01114,.01113,.01113,.01112,.01111,
.01111,.01110,.01110,.01109,.01109,.01108,.01108,.01107,.01106,.01106,.01105,.01105,.01104,.01104,.01103,
.01103,.01102,.01101,.01101,.01100,.01100,.01099,.01099,.01098,.01098,.01097,.01097,.01096,.01095,.01095,
.01094,.01094,.01093,.01093,.01092,.01092,.01091,.01091,.01090,.01089,.01089,.01088,.01088,.01087,.01087,
.01086,.01086,.01085,.01085,.01084,.01083,.01083,.01082,.01082,.01081,.01081,.01080,.01080,.01079,.01079,
.01078,.01078,.01077,.01076,.01076,.01075,.01075,.01074,.01074,.01073,.01073,.01072,.01072,.01071,.01071,
.01070,.01069,.01069,.01068,.01068,.01067,.01067,.01066,.01066,.01065,.01065,.01064,.01064,.01063,.01063,
.01062,.01061,.01061,.01060,.01060,.01059,.01059,.01058,.01058,.01057,.01057,.01056,.01056,.01055,.01055,
.01054,.01054,.01053,.01053,.01052,.01051,.01051,.01050,.01050,.01049,.01049,.01048,.01048,.01047,.01047,
.01046,.01046,.01045,.01045,.01044,.01044,.01043,.01043,.01042,.01042,.01041,.01040,.01040,.01039,.01039,
.01038,.01038,.01037,.01037,.01036,.01036,.01035,.01035,.01034,.01034,.01033,.01033,.01032,.01032,.01031,
.01031,.01030,.01030,.01029,.01029,.01028,.01028,.01027,.01027,.01026,.01025,.01025,.01024,.01024,.01023,
.01023,.01022,.01022,.01021,.01021,.01020,.01020,.01019,.01019,.01018,.01018,.01017,.01017,.01016,.01016,
.01015,.01015,.01014,.01014,.01013,.01013,.01012,.01012,.01011,.01011,.01010,.01010,.01009,.01009,.01008,
.01008,.01007,.01007,.01006,.01006,.01005,.01005,.01004,.01004,.01003,.01003,.01002,.01002,.01001,.01001,
.01000,.01000,.00999,.00999,.00998,.00998,.00997,.00997,.00996,.00996,.00995,.00995,.00994,.00994,.00993,
.00993,.00992,.00992,.00991,.00991,.00990,.00990,.00989,.00989,.00988,.00988,.00987,.00987,.00986,.00986,
.00985,.00985,.00984,.00984,.00983,.00983,.00982,.00982,.00981,.00981,.00980,.00980,.00979,.00979,.00978,
.00978,.00977,.00977,.00976,.00976,.00975,.00975,.00975,.00974,.00974,.00973,.00973,.00972,.00972,.00971,
.00971,.00970,.00970,.00969,.00969,.00968,.00968,.00967,.00967,.00966,.00966,.00965,.00965,.00964,.00964,
.00963,.00963,.00962,.00962,.00961,.00961,.00960,.00960,.00960,.00959,.00959,.00958,.00958,.00957,.00957,
.00956,.00956,.00955,.00955,.00954,.00954,.00953,.00953,.00952,.00952,.00951,.00951,.00950,.00950,.00949,
.00949,.00949,.00948,.00948,.00947,.00947,.00946,.00946,.00945,.00945,.00944,.00944,.00943,.00943,.00942,
.00942,.00941,.00941,.00941,.00940,.00940,.00939,.00939,.00938,.00938,.00937,.00937,.00936,.00936,.00935,
.00935,.00934,.00934,.00933,.00933,.00933,.00932,.00932,.00931,.00931,.00930,.00930,.00929,.00929,.00928,
.00928,.00927,.00927,.00927,.00926,.00926,.00925,.00925,.00924,.00924,.00923,.00923,.00922,.00922,.00921,
.00921,.00921,.00920,.00920,.00919,.00919,.00918,.00918,.00917,.00917,.00916,.00916,.00915,.00915,.00915,
.00914,.00914,.00913,.00913,.00912,.00912,.00911,.00911,.00910,.00910,.00910,.00909,.00909,.00908,.00908,
.00907,.00907,.00906,.00906,.00905,.00905,.00905,.00904,.00904,.00903,.00903,.00902,.00902,.00901,.00901,
.00900,.00900,.00900,.00899,.00899,.00898,.00898,.00897,.00897,.00896,.00896,.00896,.00895,.00895,.00894,
.00894,.00893,.00893,.00892,.00892,.00892,.00891,.00891,.00890,.00890,.00889,.00889,.00888,.00888,.00888,
.00887,.00887,.00886,.00886,.00885,.00885,.00884,.00884,.00884,.00883,.00883,.00882,.00882,.00881,.00881,
.00880,.00880,.00880,.00879,.00879,.00878,.00878,.00877,.00877,.00876,.00876,.00876,.00875,.00875,.00874,
.00874,.00873,.00873,.00873,.00872,.00872,.00871,.00871,.00870,.00870,.00870,.00869,.00869,.00868,.00868,
.00867,.00867,.00866,.00866,.00866,.00865,.00865,.00864,.00864,.00863,.00863,.00863,.00862,.00862,.00861,
.00861,.00860,.00860,.00860,.00859,.00859,.00858,.00858,.00857,.00857,.00857,.00856,.00856,.00855,.00855,
.00854,.00854,.00854,.00853,.00853,.00852,.00852,.00851,.00851,.00851,.00850,.00850,.00849,.00849,.00848,
.00848,.00848,.00847,.00847,.00846,.00846,.00845,.00845,.00845,.00844,.00844,.00843,.00843,.00843,.00842,
.00842,.00841,.00841,.00840,.00840,.00840,.00839,.00839,.00838,.00838,.00838,.00837,.00837,.00836,.00836,
.00835,.00835,.00835,.00834,.00834,.00833,.00833,.00832,.00832,.00832,.00831,.00831,.00830,.00830,.00830,
.00829,.00829,.00828,.00828,.00828,.00827,.00827,.00826,.00826,.00825,.00825,.00825,.00824,.00824,.00823,
.00823,.00823,.00822,.00822,.00821,.00821,.00821,.00820,.00820,.00819,.00819,.00818,.00818,.00818,.00817,
.00817,.00816,.00816,.00816,.00815,.00815,.00814,.00814,.00814,.00813,.00813,.00812,.00812,.00812,.00811,
.00811,.00810,.00810,.00810,.00809,.00809,.00808,.00808,.00807,.00807,.00807,.00806,.00806,.00805,.00805,
.00805,.00804,.00804,.00803,.00803,.00803,.00802,.00802,.00801,.00801,.00801,.00800,.00800,.00799,.00799,
.00799,.00798,.00798,.00797,.00797,.00797,.00796,.00796,.00795,.00795,.00795,.00794,.00794,.00793,.00793,
.00793,.00792,.00792,.00791,.00791,.00791,.00790,.00790,.00790,.00789,.00789,.00788,.00788,.00788,.00787,
.00787,.00786,.00786,.00786,.00785,.00785,.00784,.00784,.00784,.00783,.00783,.00782,.00782,.00782,.00781,
.00781,.00780,.00780,.00780,.00779,.00779,.00779,.00778,.00778,.00777,.00777,.00777,.00776,.00776,.00775,
.00775,.00775,.00774,.00774,.00773,.00773,.00773,.00772,.00772,.00772,.00771,.00771,.00770,.00770,.00770,
.00769,.00769,.00768,.00768,.00768,.00767,.00767,.00767,.00766,.00766,.00765,.00765,.00765,.00764,.00764,
.00764,.00763,.00763,.00762,.00762,.00762,.00761,.00761,.00760,.00760,.00760,.00759,.00759,.00759,.00758,
.00758,.00757,.00757,.00757,.00756,.00756,.00756,.00755,.00755,.00754,.00754,.00754,.00753,.00753,.00753,
.00752,.00752,.00751,.00751,.00751,.00750,.00750,.00750,.00749,.00749,.00748,.00748,.00748,.00747,.00747,
.00747,.00746,.00746,.00745,.00745,.00745,.00744,.00744,.00744,.00743,.00743,.00742,.00742,.00742,.00741,
.00741,.00741,.00740,.00740,.00739,.00739,.00739,.00738,.00738,.00738,.00737,.00737,.00737,.00736,.00736,
.00735,.00735,.00735,.00734,.00734,.00734,.00733,.00733,.00732,.00732,.00732,.00731,.00731,.00731,.00730,
.00730,.00730,.00729,.00729,.00728,.00728,.00728,.00727,.00727,.00727,.00726,.00726,.00726,.00725,.00725,
.00724,.00724,.00724,.00723,.00723,.00723,.00722,.00722,.00722,.00721,.00721,.00720,.00720,.00720,.00719,
.00719,.00719,.00718,.00718,.00718,.00717,.00717,.00717,.00716,.00716,.00715,.00715,.00715,.00714,.00714,
.00714,.00713,.00713,.00713,.00712,.00712,.00712,.00711,.00711,.00710,.00710,.00710,.00709,.00709,.00709,
.00708,.00708,.00708,.00707,.00707,.00707,.00706,.00706,.00706,.00705,.00705,.00704,.00704,.00704,.00703,
.00703,.00703,.00702,.00702,.00702,.00701,.00701,.00701,.00700,.00700,.00700,.00699,.00699,.00698,.00698,
.00698,.00697,.00697,.00697,.00696,.00696,.00696,.00695,.00695,.00695,.00694,.00694,.00694,.00693,.00693,
.00693,.00692,.00692,.00692,.00691,.00691,.00691,.00690,.00690,.00689,.00689,.00689,.00688,.00688,.00688,
.00687,.00687,.00687,.00686,.00686,.00686,.00685,.00685,.00685,.00684,.00684,.00684,.00683,.00683,.00683,
.00682,.00682,.00682,.00681,.00681,.00681,.00680,.00680,.00680,.00679,.00679,.00679,.00678,.00678,.00678,
.00677,.00677,.00676,.00676,.00676,.00675,.00675,.00675,.00674,.00674,.00674,.00673,.00673,.00673,.00672,
.00672,.00672,.00671,.00671,.00671,.00670,.00670,.00670,.00669,.00669,.00669,.00668,.00668,.00668,.00667,
.00667,.00667,.00666,.00666,.00666,.00665,.00665,.00665,.00664,.00664,.00664,.00663,.00663,.00663,.00662,
.00662,.00662,.00661,.00661,.00661,.00660,.00660,.00660,.00659,.00659,.00659,.00658,.00658,.00658,.00657,
.00657,.00657,.00657,.00656,.00656,.00656,.00655,.00655,.00655,.00654,.00654,.00654,.00653,.00653,.00653,
.00652,.00652,.00652,.00651,.00651,.00651,.00650,.00650,.00650,.00649,.00649,.00649,.00648,.00648,.00648,
.00647,.00647,.00647,.00646,.00646,.00646,.00645,.00645,.00645,.00644,.00644,.00644,.00644,.00643,.00643,
.00643,.00642,.00642,.00642,.00641,.00641,.00641,.00640,.00640,.00640,.00639,.00639,.00639,.00638,.00638,
.00638,.00637,.00637,.00637,.00636,.00636,.00636,.00636,.00635,.00635,.00635,.00634,.00634,.00634,.00633,
.00633,.00633,.00632,.00632,.00632,.00631,.00631,.00631,.00630,.00630,.00630,.00629,.00629,.00629,.00629,
.00628,.00628,.00628,.00627,.00627,.00627,.00626,.00626,.00626,.00625,.00625,.00625,.00624,.00624,.00624,
.00624,.00623,.00623,.00623,.00622,.00622,.00622,.00621,.00621,.00621,.00620,.00620,.00620,.00620,.00619,
.00619,.00619,.00618,.00618,.00618,.00617,.00617,.00617,.00616,.00616,.00616,.00615,.00615,.00615,.00615,
.00614,.00614,.00614,.00613,.00613,.00613,.00612,.00612,.00612,.00612,.00611,.00611,.00611,.00610,.00610,
.00610,.00609,.00609,.00609,.00608,.00608,.00608,.00608,.00607,.00607,.00607,.00606,.00606,.00606,.00605,
.00605,.00605,.00605,.00604,.00604,.00604,.00603,.00603,.00603,.00602,.00602,.00602,.00601,.00601,.00601,
.00601,.00600,.00600,.00600,.00599,.00599,.00599,.00598,.00598,.00598,.00598,.00597,.00597,.00597,.00596,
.00596,.00596,.00596,.00595,.00595,.00595,.00594,.00594,.00594,.00593,.00593,.00593,.00593,.00592,.00592,
.00592,.00591,.00591,.00591,.00590,.00590,.00590,.00590,.00589,.00589,.00589,.00588,.00588,.00588,.00588,
.00587,.00587,.00587,.00586,.00586,.00586,.00585,.00585,.00585,.00585,.00584,.00584,.00584,.00583,.00583,
.00583,.00583,.00582,.00582,.00582,.00581,.00581,.00581,.00581,.00580,.00580,.00580,.00579,.00579,.00579,
.00578,.00578,.00578,.00578,.00577,.00577,.00577,.00576,.00576,.00576,.00576,.00575,.00575,.00575,.00574,
.00574,.00574,.00574,.00573,.00573,.00573,.00572,.00572,.00572,.00572,.00571,.00571,.00571,.00570,.00570,
.00570,.00570,.00569,.00569,.00569,.00568,.00568,.00568,.00568,.00567,.00567,.00567,.00566,.00566,.00566,
.00566,.00565,.00565,.00565,.00564,.00564,.00564,.00564,.00563,.00563,.00563,.00563,.00562,.00562,.00562,
.00561,.00561,.00561,.00561,.00560,.00560,.00560,.00559,.00559,.00559,.00559,.00558,.00558,.00558,.00557,
.00557,.00557,.00557,.00556,.00556,.00556,.00556,.00555,.00555,.00555,.00554,.00554,.00554,.00554,.00553,
.00553,.00553,.00552,.00552,.00552,.00552,.00551,.00551,.00551,.00551,.00550,.00550,.00550,.00549,.00549,
.00549,.00549,.00548,.00548,.00548,.00548,.00547,.00547,.00547,.00546,.00546,.00546,.00546,.00545,.00545,
.00545,.00545,.00544,.00544,.00544,.00543,.00543,.00543,.00543,.00542,.00542,.00542,.00542,.00541,.00541,
.00541,.00540,.00540,.00540,.00540,.00539,.00539,.00539,.00539,.00538,.00538,.00538,.00537,.00537,.00537,
.00537,.00536,.00536,.00536,.00536,.00535,.00535,.00535,.00535,.00534,.00534,.00534,.00533,.00533,.00533,
.00533,.00532,.00532,.00532,.00532,.00531,.00531,.00531,.00531,.00530,.00530,.00530,.00529,.00529,.00529,
.00529,.00528,.00528,.00528,.00528,.00527,.00527,.00527,.00527,.00526,.00526,.00526,.00526,.00525,.00525,
.00525,.00524,.00524,.00524,.00524,.00523,.00523,.00523,.00523,.00522,.00522,.00522,.00522,.00521,.00521,
.00521,.00521,.00520,.00520,.00520,.00520,.00519,.00519,.00519,.00518,.00518,.00518,.00518,.00517,.00517,
.00517,.00517,.00516,.00516,.00516,.00516,.00515,.00515,.00515,.00515,.00514,.00514,.00514,.00514,.00513,
.00513,.00513,.00513,.00512,.00512,.00512,.00512,.00511,.00511,.00511,.00511,.00510,.00510,.00510,.00509,
.00509,.00509,.00509,.00508,.00508,.00508,.00508,.00507,.00507,.00507,.00507,.00506,.00506,.00506,.00506,
.00505,.00505,.00505,.00505,.00504,.00504,.00504,.00504,.00503,.00503,.00503,.00503,.00502,.00502,.00502,
.00502,.00501,.00501,.00501,.00501,.00500,.00500,.00500,.00500,.00499,.00499,.00499,.00499,.00498,.00498,
.00498,.00498,.00497,.00497,.00497,.00497,.00496,.00496,.00496,.00496,.00495,.00495,.00495,.00495,.00494,
.00494,.00494,.00494,.00493,.00493,.00493,.00493,.00492,.00492,.00492,.00492,.00491,.00491,.00491,.00491,
.00491,.00490,.00490,.00490,.00490,.00489,.00489,.00489,.00489,.00488,.00488,.00488,.00488,.00487,.00487,
.00487,.00487,.00486,.00486,.00486,.00486,.00485,.00485,.00485,.00485,.00484,.00484,.00484,.00484,.00483,
.00483,.00483,.00483,.00482,.00482,.00482,.00482,.00482,.00481,.00481,.00481,.00481,.00480,.00480,.00480,
.00480,.00479,.00479,.00479,.00479,.00478,.00478,.00478,.00478,.00477,.00477,.00477,.00477,.00476,.00476,
.00476,.00476,.00476,.00475,.00475,.00475,.00475,.00474,.00474,.00474,.00474,.00473,.00473,.00473,.00473,
.00472,.00472,.00472,.00472,.00472,.00471,.00471,.00471,.00471,.00470,.00470,.00470,.00470,.00469,.00469,
.00469,.00469,.00468,.00468,.00468,.00468,.00468,.00467,.00467,.00467,.00467,.00466,.00466,.00466,.00466,
.00465,.00465,.00465,.00465,.00464,.00464,.00464,.00464,.00464,.00463,.00463,.00463,.00463,.00462,.00462,
.00462,.00462,.00461,.00461,.00461,.00461,.00461,.00460,.00460,.00460,.00460,.00459,.00459,.00459,.00459,
.00458,.00458,.00458,.00458,.00458,.00457,.00457,.00457,.00457,.00456,.00456,.00456,.00456,.00456,.00455,
.00455,.00455,.00455,.00454,.00454,.00454,.00454,.00453,.00453,.00453,.00453,.00453,.00452,.00452,.00452,
.00452,.00451,.00451,.00451,.00451,.00451,.00450,.00450,.00450,.00450,.00449,.00449,.00449,.00449,.00449,
.00448,.00448,.00448,.00448,.00447,.00447,.00447,.00447,.00446,.00446,.00446,.00446,.00446,.00445,.00445,
.00445,.00445,.00444,.00444,.00444,.00444,.00444,.00443,.00443,.00443,.00443,.00442,.00442,.00442,.00442,
.00442,.00441,.00441,.00441,.00441,.00441,.00440,.00440,.00440,.00440,.00439,.00439,.00439,.00439,.00439,
.00438,.00438,.00438,.00438,.00437,.00437,.00437,.00437,.00437,.00436,.00436,.00436,.00436,.00435,.00435,
.00435,.00435,.00435,.00434,.00434,.00434,.00434,.00434,.00433,.00433,.00433,.00433,.00432,.00432,.00432,
.00432,.00432,.00431,.00431,.00431,.00431,.00430,.00430,.00430,.00430,.00430,.00429,.00429,.00429,.00429,
.00429,.00428,.00428,.00428,.00428,.00427,.00427,.00427,.00427,.00427,.00426,.00426,.00426,.00426,.00426,
.00425,.00425,.00425,.00425,.00425,.00424,.00424,.00424,.00424,.00423,.00423,.00423,.00423,.00423,.00422,
.00422,.00422,.00422,.00422,.00421,.00421,.00421,.00421,.00420,.00420,.00420,.00420,.00420,.00419,.00419,
.00419,.00419,.00419,.00418,.00418,.00418,.00418,.00418,.00417,.00417,.00417,.00417,.00417,.00416,.00416,
.00416,.00416,.00415,.00415,.00415,.00415,.00415,.00414,.00414,.00414,.00414,.00414,.00413,.00413,.00413,
.00413,.00413,.00412,.00412,.00412,.00412,.00412,.00411,.00411,.00411,.00411,.00411,.00410,.00410,.00410,
.00410,.00409,.00409,.00409,.00409,.00409,.00408,.00408,.00408,.00408,.00408,.00407,.00407,.00407,.00407,
.00407,.00406,.00406,.00406,.00406,.00406,.00405,.00405,.00405,.00405,.00405,.00404,.00404,.00404,.00404,
.00404,.00403,.00403,.00403,.00403,.00403,.00402,.00402,.00402,.00402,.00402,.00401,.00401,.00401,.00401,
.00401,.00400,.00400,.00400,.00400,.00400,.00399,.00399,.00399,.00399,.00399,.00398,.00398,.00398,.00398,
.00398,.00397,.00397,.00397,.00397,.00397,.00396,.00396,.00396,.00396,.00396,.00395,.00395,.00395,.00395,
.00395,.00394,.00394,.00394,.00394,.00394,.00393,.00393,.00393,.00393,.00393,.00392,.00392,.00392,.00392,
.00392,.00391,.00391,.00391,.00391,.00391,.00390,.00390,.00390,.00390,.00390,.00390,.00389,.00389,.00389,
.00389,.00389,.00388,.00388,.00388,.00388,.00388,.00387,.00387,.00387,.00387,.00387,.00386,.00386,.00386,
.00386,.00386,.00385,.00385,.00385,.00385,.00385,.00384,.00384,.00384,.00384,.00384,.00384,.00383,.00383,
.00383,.00383,.00383,.00382,.00382,.00382,.00382,.00382,.00381,.00381,.00381,.00381,.00381,.00380,.00380,
.00380,.00380,.00380,.00380,.00379,.00379,.00379,.00379,.00379,.00378,.00378,.00378,.00378,.00378,.00377,
.00377,.00377,.00377,.00377,.00377,.00376,.00376,.00376,.00376,.00376,.00375,.00375,.00375,.00375,.00375,
.00374,.00374,.00374,.00374,.00374,.00374,.00373,.00373,.00373,.00373,.00373,.00372,.00372,.00372,.00372,
.00372,.00371,.00371,.00371,.00371,.00371,.00371,.00370,.00370,.00370,.00370,.00370,.00369,.00369,.00369,
.00369,.00369,.00368,.00368,.00368,.00368,.00368,.00368,.00367,.00367,.00367,.00367,.00367,.00366,.00366,
.00366,.00366,.00366,.00366,.00365,.00365,.00365,.00365,.00365,.00364,.00364,.00364,.00364,.00364,.00364,
.00363,.00363,.00363,.00363,.00363,.00362,.00362,.00362,.00362,.00362,.00362,.00361,.00361,.00361,.00361,
.00361,.00360,.00360,.00360,.00360,.00360,.00360,.00359,.00359,.00359,.00359,.00359,.00358,.00358,.00358,
.00358,.00358,.00358,.00357,.00357,.00357,.00357,.00357,.00357,.00356,.00356,.00356,.00356,.00356,.00355,
.00355,.00355,.00355,.00355,.00355,.00354,.00354,.00354,.00354,.00354,.00354,.00353,.00353,.00353,.00353,
.00353,.00352,.00352,.00352,.00352,.00352,.00352,.00351,.00351,.00351,.00351,.00351,.00351,.00350,.00350,
.00350,.00350,.00350,.00349,.00349,.00349,.00349,.00349,.00349,.00348,.00348,.00348,.00348,.00348,.00348,
.00347,.00347,.00347,.00347,.00347,.00347,.00346,.00346,.00346,.00346,.00346,.00345,.00345,.00345,.00345,
.00345,.00345,.00344,.00344,.00344,.00344,.00344,.00344,.00343,.00343,.00343,.00343,.00343,.00343,.00342,
.00342,.00342,.00342,.00342,.00342,.00341,.00341,.00341,.00341,.00341,.00341,.00340,.00340,.00340,.00340,
.00340,.00339,.00339,.00339,.00339,.00339,.00339,.00338,.00338,.00338,.00338,.00338,.00338,.00337,.00337,
.00337,.00337,.00337,.00337,.00336,.00336,.00336,.00336,.00336,.00336,.00335,.00335,.00335,.00335,.00335,
.00335,.00334,.00334,.00334,.00334,.00334,.00334,.00333,.00333,.00333,.00333,.00333,.00333,.00332,.00332,
.00332,.00332,.00332,.00332,.00331,.00331,.00331,.00331,.00331,.00331,.00330,.00330,.00330,.00330,.00330,
.00330,.00329,.00329,.00329,.00329,.00329,.00329,.00328,.00328,.00328,.00328,.00328,.00328,.00327,.00327,
.00327,.00327,.00327,.00327,.00326,.00326,.00326,.00326,.00326,.00326,.00326,.00325,.00325,.00325,.00325,
.00325,.00325,.00324,.00324,.00324,.00324,.00324,.00324,.00323,.00323,.00323,.00323,.00323,.00323,.00322,
.00322,.00322,.00322,.00322,.00322,.00321,.00321,.00321,.00321,.00321,.00321,.00321,.00320,.00320,.00320,
.00320,.00320,.00320,.00319,.00319,.00319,.00319,.00319,.00319,.00318,.00318,.00318,.00318,.00318,.00318,
.00317,.00317,.00317,.00317,.00317,.00317,.00317,.00316,.00316,.00316,.00316,.00316,.00316,.00315,.00315,
.00315,.00315,.00315,.00315,.00314,.00314,.00314,.00314,.00314,.00314,.00314,.00313,.00313,.00313,.00313,
.00313,.00313,.00312,.00312,.00312,.00312,.00312,.00312,.00312,.00311,.00311,.00311,.00311,.00311,.00311,
.00310,.00310,.00310,.00310,.00310,.00310,.00309,.00309,.00309,.00309,.00309,.00309,.00309,.00308,.00308,
.00308,.00308,.00308,.00308,.00307,.00307,.00307,.00307,.00307,.00307,.00307,.00306,.00306,.00306,.00306,
.00306,.00306,.00305,.00305,.00305,.00305,.00305,.00305,.00305,.00304,.00304,.00304,.00304,.00304,.00304,
.00304,.00303,.00303,.00303,.00303,.00303,.00303,.00302,.00302,.00302,.00302,.00302,.00302,.00302,.00301,
.00301,.00301,.00301,.00301,.00301,.00300,.00300,.00300,.00300,.00300,.00300,.00300,.00299,.00299,.00299,
.00299,.00299,.00299,.00299,.00298,.00298,.00298,.00298,.00298,.00298,.00298,.00297,.00297,.00297,.00297,
.00297,.00297,.00296,.00296,.00296,.00296,.00296,.00296,.00296,.00295,.00295,.00295,.00295,.00295,.00295,
.00295,.00294,.00294,.00294,.00294,.00294,.00294,.00294,.00293,.00293,.00293,.00293,.00293,.00293,.00292,
.00292,.00292,.00292,.00292,.00292,.00292,.00291,.00291,.00291,.00291,.00291,.00291,.00291,.00290,.00290,
.00290,.00290,.00290,.00290,.00290,.00289,.00289,.00289,.00289,.00289,.00289,.00289,.00288,.00288,.00288,
.00288,.00288,.00288,.00288,.00287,.00287,.00287,.00287,.00287,.00287,.00287,.00286,.00286,.00286,.00286,
.00286,.00286,.00286,.00285,.00285,.00285,.00285,.00285,.00285,.00285,.00284,.00284,.00284,.00284,.00284,
.00284,.00284,.00283,.00283,.00283,.00283,.00283,.00283,.00283,.00282,.00282,.00282,.00282,.00282,.00282,
.00282,.00281,.00281,.00281,.00281,.00281,.00281,.00281,.00280,.00280,.00280,.00280,.00280,.00280,.00280,
.00279,.00279,.00279,.00279,.00279,.00279,.00279,.00279,.00278,.00278,.00278,.00278,.00278,.00278,.00278,
.00277,.00277,.00277,.00277,.00277,.00277,.00277,.00276,.00276,.00276,.00276,.00276,.00276,.00276,.00275,
.00275,.00275,.00275,.00275,.00275,.00275,.00274,.00274,.00274,.00274,.00274,.00274,.00274,.00274,.00273,
.00273,.00273,.00273,.00273,.00273,.00273,.00272,.00272,.00272,.00272,.00272,.00272,.00272,.00271,.00271,
.00271,.00271,.00271,.00271,.00271,.00271,.00270,.00270,.00270,.00270,.00270,.00270,.00270,.00269,.00269,
.00269,.00269,.00269,.00269,.00269,.00269,.00268,.00268,.00268,.00268,.00268,.00268,.00268,.00267,.00267,
.00267,.00267,.00267,.00267,.00267,.00267,.00266,.00266,.00266,.00266,.00266,.00266,.00266,.00265,.00265,
.00265,.00265,.00265,.00265,.00265,.00265,.00264,.00264,.00264,.00264,.00264,.00264,.00264,.00263,.00263,
.00263,.00263,.00263,.00263,.00263,.00263,.00262,.00262,.00262,.00262,.00262,.00262,.00262,.00261,.00261,
.00261,.00261,.00261,.00261,.00261,.00261,.00260,.00260,.00260,.00260,.00260,.00260,.00260,.00260,.00259,
.00259,.00259,.00259,.00259,.00259,.00259,.00259,.00258,.00258,.00258,.00258,.00258,.00258,.00258,.00257,
.00257,.00257,.00257,.00257,.00257,.00257,.00257,.00256,.00256,.00256,.00256,.00256,.00256,.00256,.00256,
.00255,.00255,.00255,.00255,.00255,.00255,.00255,.00255,.00254,.00254,.00254,.00254,.00254,.00254,.00254,
.00254,.00253,.00253,.00253,.00253,.00253,.00253,.00253,.00253,.00252,.00252,.00252,.00252,.00252,.00252,
.00252,.00251,.00251,.00251,.00251,.00251,.00251,.00251,.00251,.00250,.00250,.00250,.00250,.00250,.00250,
.00250,.00250,.00249,.00249,.00249,.00249,.00249,.00249,.00249,.00249,.00248,.00248,.00248,.00248,.00248,
.00248,.00248,.00248,.00248,.00247,.00247,.00247,.00247,.00247,.00247,.00247,.00247,.00246,.00246,.00246,
.00246,.00246,.00246,.00246,.00246,.00245,.00245,.00245,.00245,.00245,.00245,.00245,.00245,.00244,.00244,
.00244,.00244,.00244,.00244,.00244,.00244,.00243,.00243,.00243,.00243,.00243,.00243,.00243,.00243,.00242,
.00242,.00242,.00242,.00242,.00242,.00242,.00242,.00242,.00241,.00241,.00241,.00241,.00241,.00241,.00241,
.00241,.00240,.00240,.00240,.00240,.00240,.00240,.00240,.00240,.00239,.00239,.00239,.00239,.00239,.00239,
.00239,.00239,.00239,.00238,.00238,.00238,.00238,.00238,.00238,.00238,.00238,.00237,.00237,.00237,.00237,
.00237,.00237,.00237,.00237,.00236,.00236,.00236,.00236,.00236,.00236,.00236,.00236,.00236,.00235,.00235,
.00235,.00235,.00235,.00235,.00235,.00235,.00234,.00234,.00234,.00234,.00234,.00234,.00234,.00234,.00234,
.00233,.00233,.00233,.00233,.00233,.00233,.00233,.00233,.00233,.00232,.00232,.00232,.00232,.00232,.00232,
.00232,.00232,.00231,.00231,.00231,.00231,.00231,.00231,.00231,.00231,.00231,.00230,.00230,.00230,.00230,
.00230,.00230,.00230,.00230,.00230,.00229,.00229,.00229,.00229,.00229,.00229,.00229,.00229,.00228,.00228,
.00228,.00228,.00228,.00228,.00228,.00228,.00228,.00227,.00227,.00227,.00227,.00227,.00227,.00227,.00227,
.00227,.00226,.00226,.00226,.00226,.00226,.00226,.00226,.00226,.00226,.00225,.00225,.00225,.00225,.00225,
.00225,.00225,.00225,.00225,.00224,.00224,.00224,.00224,.00224,.00224,.00224,.00224,.00224,.00223,.00223,
.00223,.00223,.00223,.00223,.00223,.00223,.00222,.00222,.00222,.00222,.00222,.00222,.00222,.00222,.00222,
.00222,.00221,.00221,.00221,.00221,.00221,.00221,.00221,.00221,.00221,.00220,.00220,.00220,.00220,.00220,
.00220,.00220,.00220,.00220,.00219,.00219,.00219,.00219,.00219,.00219,.00219,.00219,.00219,.00218,.00218,
.00218,.00218,.00218,.00218,.00218,.00218,.00218,.00217,.00217,.00217,.00217,.00217,.00217,.00217,.00217,
.00217,.00216,.00216,.00216,.00216,.00216,.00216,.00216,.00216,.00216,.00215,.00215,.00215,.00215,.00215,
.00215,.00215,.00215,.00215,.00215,.00214,.00214,.00214,.00214,.00214,.00214,.00214,.00214,.00214,.00213,
.00213,.00213,.00213,.00213,.00213,.00213,.00213,.00213,.00212,.00212,.00212,.00212,.00212,.00212,.00212,
.00212,.00212,.00212,.00211,.00211,.00211,.00211,.00211,.00211,.00211,.00211,.00211,.00210,.00210,.00210,
.00210,.00210,.00210,.00210,.00210,.00210,.00210,.00209,.00209,.00209,.00209,.00209,.00209,.00209,.00209,
.00209,.00208,.00208,.00208,.00208,.00208,.00208,.00208,.00208,.00208,.00208,.00207,.00207,.00207,.00207,
.00207,.00207,.00207,.00207,.00207,.00207,.00206,.00206,.00206,.00206,.00206,.00206,.00206,.00206,.00206,
.00205,.00205,.00205,.00205,.00205,.00205,.00205,.00205,.00205,.00205,.00204,.00204,.00204,.00204,.00204,
.00204,.00204,.00204,.00204,.00204,.00203,.00203,.00203,.00203,.00203,.00203,.00203,.00203,.00203,.00203,
.00202,.00202,.00202,.00202,.00202,.00202,.00202,.00202,.00202,.00202,.00201,.00201,.00201,.00201,.00201,
.00201,.00201,.00201,.00201,.00201,.00200,.00200,.00200,.00200,.00200,.00200,.00200,.00200,.00200,.00200,
.00199,.00199,.00199,.00199,.00199,.00199,.00199,.00199,.00199,.00199,.00198,.00198,.00198,.00198,.00198,
.00198,.00198,.00198,.00198,.00198,.00197,.00197,.00197,.00197,.00197,.00197,.00197,.00197,.00197,.00197,
.00196,.00196,.00196,.00196,.00196,.00196,.00196,.00196,.00196,.00196,.00195,.00195,.00195,.00195,.00195,
.00195,.00195,.00195,.00195,.00195,.00194,.00194,.00194,.00194,.00194,.00194,.00194,.00194,.00194,.00194,
.00194,.00193,.00193,.00193,.00193,.00193,.00193,.00193,.00193,.00193,.00193,.00192,.00192,.00192,.00192,
.00192,.00192,.00192,.00192,.00192,.00192,.00192,.00191,.00191,.00191,.00191,.00191,.00191,.00191,.00191,
.00191,.00191,.00190,.00190,.00190,.00190,.00190,.00190,.00190,.00190,.00190,.00190,.00190,.00189,.00189,
.00189,.00189,.00189,.00189,.00189,.00189,.00189,.00189,.00188,.00188,.00188,.00188,.00188,.00188,.00188,
.00188,.00188,.00188,.00188,.00187,.00187,.00187,.00187,.00187,.00187,.00187,.00187,.00187,.00187,.00186,
.00186,.00186,.00186,.00186,.00186,.00186,.00186,.00186,.00186,.00186,.00185,.00185,.00185,.00185,.00185,
.00185,.00185,.00185,.00185,.00185,.00185,.00184,.00184,.00184,.00184,.00184,.00184,.00184,.00184,.00184,
.00184,.00184,.00183,.00183,.00183,.00183,.00183,.00183,.00183,.00183,.00183,.00183,.00183,.00182,.00182,
.00182,.00182,.00182,.00182,.00182,.00182,.00182,.00182,.00182,.00181,.00181,.00181,.00181,.00181,.00181,
.00181,.00181,.00181,.00181,.00181,.00180,.00180,.00180,.00180,.00180,.00180,.00180,.00180,.00180,.00180,
.00180,.00179,.00179,.00179,.00179,.00179,.00179,.00179,.00179,.00179,.00179,.00179,.00178,.00178,.00178,
.00178,.00178,.00178,.00178,.00178,.00178,.00178,.00178,.00177,.00177,.00177,.00177,.00177,.00177,.00177,
.00177,.00177,.00177,.00177,.00177,.00176,.00176,.00176,.00176,.00176,.00176,.00176,.00176,.00176,.00176,
.00176,.00175,.00175,.00175,.00175,.00175,.00175,.00175,.00175,.00175,.00175,.00175,.00175,.00174,.00174,
.00174,.00174,.00174,.00174,.00174,.00174,.00174,.00174,.00174,.00173,.00173,.00173,.00173,.00173,.00173,
.00173,.00173,.00173,.00173,.00173,.00173,.00172,.00172,.00172,.00172,.00172,.00172,.00172,.00172,.00172,
.00172,.00172,.00171,.00171,.00171,.00171,.00171,.00171,.00171,.00171,.00171,.00171,.00171,.00171,.00170,
.00170,.00170,.00170,.00170,.00170,.00170,.00170,.00170,.00170,.00170,.00170,.00169,.00169,.00169,.00169,
.00169,.00169,.00169,.00169,.00169,.00169,.00169,.00168,.00168,.00168,.00168,.00168,.00168,.00168,.00168,
.00168,.00168,.00168,.00168,.00167,.00167,.00167,.00167,.00167,.00167,.00167,.00167,.00167,.00167,.00167,
.00167,.00166,.00166,.00166,.00166,.00166,.00166,.00166,.00166,.00166,.00166,.00166,.00166,.00165,.00165,
.00165,.00165,.00165,.00165,.00165,.00165,.00165,.00165,.00165,.00165,.00165,.00164,.00164,.00164,.00164,
.00164,.00164,.00164,.00164,.00164,.00164,.00164,.00164,.00163,.00163,.00163,.00163,.00163,.00163,.00163,
.00163,.00163,.00163,.00163,.00163,.00162,.00162,.00162,.00162,.00162,.00162,.00162,.00162,.00162,.00162,
.00162,.00162,.00161,.00161,.00161,.00161,.00161,.00161,.00161,.00161,.00161,.00161,.00161,.00161,.00161,
.00160,.00160,.00160,.00160,.00160,.00160,.00160,.00160,.00160,.00160,.00160,.00160,.00159,.00159,.00159,
.00159,.00159,.00159,.00159,.00159,.00159,.00159,.00159,.00159,.00159,.00158,.00158,.00158,.00158,.00158,
.00158,.00158,.00158,.00158,.00158,.00158,.00158,.00158,.00157,.00157,.00157,.00157,.00157,.00157,.00157,
.00157,.00157,.00157,.00157,.00157,.00156,.00156,.00156,.00156,.00156,.00156,.00156,.00156,.00156,.00156,
.00156,.00156,.00156,.00155,.00155,.00155,.00155,.00155,.00155,.00155,.00155,.00155,.00155,.00155,.00155,
.00155,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00154,.00153,
.00153,.00153,.00153,.00153,.00153,.00153,.00153,.00153,.00153,.00153,.00153,.00153,.00152,.00152,.00152,
.00152,.00152,.00152,.00152,.00152,.00152,.00152,.00152,.00152,.00152,.00151,.00151,.00151,.00151,.00151,
.00151,.00151,.00151,.00151,.00151,.00151,.00151,.00151,.00150,.00150,.00150,.00150,.00150,.00150,.00150,
.00150,.00150,.00150,.00150,.00150,.00150,.00150,.00149,.00149,.00149,.00149,.00149,.00149,.00149,.00149,
.00149,.00149,.00149,.00149,.00149,.00148,.00148,.00148,.00148,.00148,.00148,.00148,.00148,.00148,.00148,
.00148,.00148,.00148,.00148,.00147,.00147,.00147,.00147,.00147,.00147,.00147,.00147,.00147,.00147,.00147,
.00147,.00147,.00146,.00146,.00146,.00146,.00146,.00146,.00146,.00146,.00146,.00146,.00146,.00146,.00146,
.00146,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,.00145,
.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00144,.00143,
.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00143,.00142,.00142,
.00142,.00142,.00142,.00142,.00142,.00142,.00142,.00142,.00142,.00142,.00142,.00142,.00141,.00141,.00141,
.00141,.00141,.00141,.00141,.00141,.00141,.00141,.00141,.00141,.00141,.00141,.00140,.00140,.00140,.00140,
.00140,.00140,.00140,.00140,.00140,.00140,.00140,.00140,.00140,.00140,.00139,.00139,.00139,.00139,.00139,
.00139,.00139,.00139,.00139,.00139,.00139,.00139,.00139,.00139,.00139,.00138,.00138,.00138,.00138,.00138,
.00138,.00138,.00138,.00138,.00138,.00138,.00138,.00138,.00138,.00137,.00137,.00137,.00137,.00137,.00137,
.00137,.00137,.00137,.00137,.00137,.00137,.00137,.00137,.00137,.00136,.00136,.00136,.00136,.00136,.00136,
.00136,.00136,.00136,.00136,.00136,.00136,.00136,.00136,.00135,.00135,.00135,.00135,.00135,.00135,.00135,
.00135,.00135,.00135,.00135,.00135,.00135,.00135,.00135,.00134,.00134,.00134,.00134,.00134,.00134,.00134,
.00134,.00134,.00134,.00134,.00134,.00134,.00134,.00134,.00133,.00133,.00133,.00133,.00133,.00133,.00133,
.00133,.00133,.00133,.00133,.00133,.00133,.00133,.00133,.00132,.00132,.00132,.00132,.00132,.00132,.00132,
.00132,.00132,.00132,.00132,.00132,.00132,.00132,.00132,.00131,.00131,.00131,.00131,.00131,.00131,.00131,
.00131,.00131,.00131,.00131,.00131,.00131,.00131,.00131,.00131,.00130,.00130,.00130,.00130,.00130,.00130,
.00130,.00130,.00130,.00130,.00130,.00130,.00130,.00130,.00130,.00129,.00129,.00129,.00129,.00129,.00129,
.00129,.00129,.00129,.00129,.00129,.00129,.00129,.00129,.00129,.00128,.00128,.00128,.00128,.00128,.00128,
.00128,.00128,.00128,.00128,.00128,.00128,.00128,.00128,.00128,.00128,.00127,.00127,.00127,.00127,.00127,
.00127,.00127,.00127,.00127,.00127,.00127,.00127,.00127,.00127,.00127,.00127,.00126,.00126,.00126,.00126,
.00126,.00126,.00126,.00126,.00126,.00126,.00126,.00126,.00126,.00126,.00126,.00126,.00125,.00125,.00125,
.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00125,.00124,.00124,
.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00124,.00123,
.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,.00123,
.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,.00122,
.00122,.00122,.00121,.00121,.00121,.00121,.00121,.00121,.00121,.00121,.00121,.00121,.00121,.00121,.00121,
.00121,.00121,.00121,.00120,.00120,.00120,.00120,.00120,.00120,.00120,.00120,.00120,.00120,.00120,.00120,
.00120,.00120,.00120,.00120,.00120,.00119,.00119,.00119,.00119,.00119,.00119,.00119,.00119,.00119,.00119,
.00119,.00119,.00119,.00119,.00119,.00119,.00119,.00118,.00118,.00118,.00118,.00118,.00118,.00118,.00118,
.00118,.00118,.00118,.00118,.00118,.00118,.00118,.00118,.00117,.00117,.00117,.00117,.00117,.00117,.00117,
.00117,.00117,.00117,.00117,.00117,.00117,.00117,.00117,.00117,.00117,.00117,.00116,.00116,.00116,.00116,
.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00116,.00115,.00115,
.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,.00115,
.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,.00114,
.00114,.00114,.00114,.00113,.00113,.00113,.00113,.00113,.00113,.00113,.00113,.00113,.00113,.00113,.00113,
.00113,.00113,.00113,.00113,.00113,.00112,.00112,.00112,.00112,.00112,.00112,.00112,.00112,.00112,.00112,
.00112,.00112,.00112,.00112,.00112,.00112,.00112,.00112,.00111,.00111,.00111,.00111,.00111,.00111,.00111,
.00111,.00111,.00111,.00111,.00111,.00111,.00111,.00111,.00111,.00111,.00111,.00110,.00110,.00110,.00110,
.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,.00110,
.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,.00109,
.00109,.00109,.00109,.00108,.00108,.00108,.00108,.00108,.00108,.00108,.00108,.00108,.00108,.00108,.00108,
.00108,.00108,.00108,.00108,.00108,.00108,.00107,.00107,.00107,.00107,.00107,.00107,.00107,.00107,.00107,
.00107,.00107,.00107,.00107,.00107,.00107,.00107,.00107,.00107,.00107,.00106,.00106,.00106,.00106,.00106,
.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00106,.00105,
.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,.00105,
.00105,.00105,.00105,.00104,.00104,.00104,.00104,.00104,.00104,.00104,.00104,.00104,.00104,.00104,.00104,
.00104,.00104,.00104,.00104,.00104,.00104,.00104,.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00103,
.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00103,.00102,.00102,.00102,
.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,.00102,
.00102,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,.00101,
.00101,.00101,.00101,.00101,.00101,.00101,.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00100,
.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00100,.00099,.00099,.00099,.00099,
.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,.00099,
.00099,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00098,
.00098,.00098,.00098,.00098,.00098,.00098,.00098,.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00097,
.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00097,.00096,.00096,.00096,
.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,.00096,
.00096,.00096,.00096,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,
.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00095,.00094,.00094,.00094,.00094,.00094,.00094,
.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,.00094,
.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00093,
.00093,.00093,.00093,.00093,.00093,.00093,.00093,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,
.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00092,.00091,
.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,.00091,
.00091,.00091,.00091,.00091,.00091,.00091,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,
.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00090,.00089,.00089,
.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,.00089,
.00089,.00089,.00089,.00089,.00089,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,
.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00088,.00087,.00087,
.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,.00087,
.00087,.00087,.00087,.00087,.00087,.00087,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,
.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00086,.00085,
.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,
.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00085,.00084,.00084,.00084,.00084,.00084,.00084,.00084,
.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,.00084,
.00084,.00084,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,
.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00083,.00082,.00082,.00082,.00082,
.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,.00082,
.00082,.00082,.00082,.00082,.00082,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,
.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,.00081,
.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,
.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00080,.00079,.00079,.00079,.00079,.00079,
.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,.00079,
.00079,.00079,.00079,.00079,.00079,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,
.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,.00078,
.00078,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,
.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00077,.00076,.00076,.00076,
.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,
.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00076,.00075,.00075,.00075,.00075,.00075,.00075,.00075,
.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,.00075,
.00075,.00075,.00075,.00075,.00075,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,
.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,.00074,
.00074,.00074,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,
.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00073,.00072,
.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,
.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00072,.00071,.00071,.00071,
.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,
.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00071,.00070,.00070,.00070,.00070,.00070,
.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,
.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00070,.00069,.00069,.00069,.00069,.00069,.00069,
.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,
.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00069,.00068,.00068,.00068,.00068,.00068,.00068,.00068,
.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00068,
.00068,.00068,.00068,.00068,.00068,.00068,.00068,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,
.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00067,
.00067,.00067,.00067,.00067,.00067,.00067,.00067,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,
.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00066,
.00066,.00066,.00066,.00066,.00066,.00066,.00066,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,
.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,
.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00065,.00064,.00064,.00064,.00064,.00064,.00064,.00064,
.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,
.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00064,.00063,.00063,.00063,.00063,.00063,.00063,
.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,
.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00063,.00062,.00062,.00062,.00062,
.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,
.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00062,.00061,.00061,
.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,
.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,.00061,
.00061,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,
.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,.00060,
.00060,.00060,.00060,.00060,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,
.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,
.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00059,.00058,.00058,.00058,.00058,.00058,.00058,.00058,
.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,
.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00058,.00057,.00057,
.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,
.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,.00057,
.00057,.00057,.00057,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,
.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,
.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00056,.00055,.00055,.00055,.00055,.00055,.00055,
.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,
.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,.00055,
.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,
.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00054,
.00054,.00054,.00054,.00054,.00054,.00054,.00054,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,
.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,
.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,.00053,
.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,
.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,
.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00052,.00051,.00051,.00051,.00051,.00051,.00051,.00051,
.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,
.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,.00051,
.00051,.00051,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,
.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,
.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00050,.00049,.00049,.00049,
.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,
.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,
.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00049,.00048,.00048,.00048,.00048,.00048,.00048,.00048,
.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,
.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,.00048,
.00048,.00048,.00048,.00048,.00048,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,
.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,
.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,.00047,
.00047,.00047,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,
.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,
.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,.00046,
.00046,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,
.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,
.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,.00045,
.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,
.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,
.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,.00044,
.00044,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,
.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,
.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,.00043,
.00043,.00043,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,
.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,
.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,.00042,
.00042,.00042,.00042,.00042,.00042,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,
.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,
.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,
.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00041,.00040,.00040,.00040,.00040,.00040,.00040,
.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,
.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,
.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00040,.00039,
.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,
.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,
.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,.00039,
.00039,.00039,.00039,.00039,.00039,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,
.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,
.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,
.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00038,.00037,.00037,
.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,
.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,
.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00037,
.00037,.00037,.00037,.00037,.00037,.00037,.00037,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,
.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,
.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,
.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,.00036,
.00036,.00036,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,
.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,
.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,
.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00035,.00034,
.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,
.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,
.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,
.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00034,.00033,.00033,
.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,
.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,
.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,
.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00033,.00032,
.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,
.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,
.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,
.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,.00032,
.00032,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,
.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,
.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,
.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,.00031,
.00031,.00031,.00031,.00031,.00031,.00031,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,
.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,
.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,
.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,
.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00030,.00029,.00029,
.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,
.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,
.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,
.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00029,
.00029,.00029,.00029,.00029,.00029,.00029,.00029,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,
.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,
.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,
.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,
.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,.00028,
.00028,.00028,.00028,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,
.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,
.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,
.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,
.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,.00027,
.00027,.00027,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,
.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,
.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,
.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,
.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,.00026,
.00026,.00026,.00026,.00026,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,
.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,
.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,
.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,
.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,
.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00025,.00024,.00024,.00024,.00024,.00024,.00024,
.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,
.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,
.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,
.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,
.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,.00024,
.00024,.00024,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,
.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,
.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,
.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,
.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,
.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00023,.00022,
.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,
.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,
.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,
.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,
.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,
.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,.00022,
.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,
.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,
.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,
.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,
.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,
.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,.00021,
.00021,.00021,.00021,.00021,.00021,.00021,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,.00020,
.00020,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,.00019,
.00019,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00018,
.00018,.00018,.00018,.00018,.00018,.00018,.00018,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,.00017,
.00017,.00017,.00017,.00017,.00017,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,
.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00016,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,
.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00015,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,.00014,
.00014,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,.00013,
.00013,.00013,.00013,.00013,.00013,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00012,
.00012,.00012,.00012,.00012,.00012,.00012,.00012,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,
.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00011,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,
.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00010,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,
.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00009,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00008,
.00008,.00008,.00008,.00008,.00008,.00008,.00008,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,
.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00007,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,
.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00006,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,
.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00005,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,.00004,
.00004,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,
.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00003,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,.00002,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,
.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00001,.00000,.00000,.00000,.00000,.00000,.00000,.00000);

#-------Load O Stat Probabilities: P----------------------------------------------------------------
@OP= (.00557000,.00556000,.00555000,.00554000,.00553000,.00552000,.00551000,.00550000,.00549000,.00548000,.00547000,.00546000,.00545000,.00544000,.00543000,
.00542000,.00541000,.00540000,.00539000,.00538000,.00537000,.00536000,.00535000,.00534000,.00533000,.00532000,.00531000,.00530000,.00529000,.00528000,
.00527000,.00526000,.00525000,.00524000,.00523000,.00522000,.00521000,.00520000,.00519000,.00518000,.00517000,.00516000,.00515000,.00514000,.00513000,
.00512000,.00511000,.00510000,.00509000,.00508000,.00507000,.00506000,.00505000,.00504000,.00503000,.00502000,.00501000,.00500000,.00499000,.00498000,
.00497000,.00496000,.00495000,.00494000,.00493000,.00492000,.00491000,.00490000,.00489000,.00488000,.00487000,.00486000,.00485000,.00484000,.00483000,
.00482000,.00481000,.00480000,.00479000,.00478000,.00477000,.00476000,.00475000,.00474000,.00473000,.00472000,.00471000,.00470000,.00469000,.00468000,
.00467000,.00466000,.00465000,.00464000,.00463000,.00462000,.00461000,.00460000,.00459000,.00458000,.00457000,.00456000,.00455000,.00454000,.00453000,
.00452000,.00451000,.00450000,.00449000,.00448000,.00447000,.00446000,.00445000,.00444000,.00443000,.00442000,.00441000,.00440000,.00439000,.00438000,
.00437000,.00436000,.00435000,.00434000,.00433000,.00432000,.00431000,.00430000,.00429000,.00428000,.00427000,.00426000,.00425000,.00424000,.00423000,
.00422000,.00421000,.00420000,.00419000,.00418000,.00417000,.00416000,.00415000,.00414000,.00413000,.00412000,.00411000,.00410000,.00409000,.00408000,
.00407000,.00406000,.00405000,.00404000,.00403000,.00402000,.00401000,.00400000,.00399000,.00398000,.00397000,.00396000,.00395000,.00394000,.00393000,
.00392000,.00391000,.00390000,.00389000,.00388000,.00387000,.00386000,.00385000,.00384000,.00383000,.00382000,.00381000,.00380000,.00379000,.00378000,
.00377000,.00376000,.00375000,.00374000,.00373000,.00372000,.00371000,.00370000,.00369000,.00368000,.00367000,.00366000,.00365000,.00364000,.00363000,
.00362000,.00361000,.00360000,.00359000,.00358000,.00357000,.00356000,.00355000,.00354000,.00353000,.00352000,.00351000,.00350000,.00349000,.00348000,
.00347000,.00346000,.00345000,.00344000,.00343000,.00342000,.00341000,.00340000,.00339000,.00338000,.00337000,.00336000,.00335000,.00334000,.00333000,
.00332000,.00331000,.00330000,.00329000,.00328000,.00327000,.00326000,.00325000,.00324000,.00323000,.00322000,.00321000,.00320000,.00319000,.00318000,
.00317000,.00316000,.00315000,.00314000,.00313000,.00312000,.00311000,.00310000,.00309000,.00308000,.00307000,.00306000,.00305000,.00304000,.00303000,
.00302000,.00301000,.00300000,.00299000,.00298000,.00297000,.00296000,.00295000,.00294000,.00293000,.00292000,.00291000,.00290000,.00289000,.00288000,
.00287000,.00286000,.00285000,.00284000,.00283000,.00282000,.00281000,.00280000,.00279000,.00278000,.00277000,.00276000,.00275000,.00274000,.00273000,
.00272000,.00271000,.00270000,.00269000,.00268000,.00267000,.00266000,.00265000,.00264000,.00263000,.00262000,.00261000,.00260000,.00259000,.00258000,
.00257000,.00256000,.00255000,.00254000,.00253000,.00252000,.00251000,.00250000,.00249000,.00248000,.00247000,.00246000,.00245000,.00244000,.00243000,
.00242000,.00241000,.00240000,.00239000,.00238000,.00237000,.00236000,.00235000,.00234000,.00233000,.00232000,.00231000,.00230000,.00229000,.00228000,
.00227000,.00226000,.00225000,.00224000,.00223000,.00222000,.00221000,.00220000,.00219000,.00218000,.00217000,.00216000,.00215000,.00214000,.00213000,
.00212000,.00211000,.00210000,.00209000,.00208000,.00207000,.00206000,.00205000,.00204000,.00203000,.00202000,.00201000,.00200000,.00199000,.00198000,
.00197000,.00196000,.00195000,.00194000,.00193000,.00192000,.00191000,.00190000,.00189000,.00188000,.00187000,.00186000,.00185000,.00184000,.00183000,
.00182000,.00181000,.00180000,.00179000,.00178000,.00177000,.00176000,.00175000,.00174000,.00173000,.00172000,.00171000,.00170000,.00169000,.00168000,
.00167000,.00166000,.00165000,.00164000,.00163000,.00162000,.00161000,.00160000,.00159000,.00158000,.00157000,.00156000,.00155000,.00154000,.00153000,
.00152000,.00151000,.00150000,.00149000,.00148000,.00147000,.00146000,.00145000,.00144000,.00143000,.00142000,.00141000,.00140000,.00139000,.00138000,
.00137900,.00137800,.00137700,.00137600,.00137500,.00137400,.00137300,.00137200,.00137100,.00137000,.00136900,.00136800,.00136700,.00136600,.00136500,
.00136400,.00136300,.00136200,.00136100,.00136000,.00135900,.00135800,.00135700,.00135600,.00135500,.00135400,.00135300,.00135200,.00135100,.00135000,
.00134900,.00134800,.00134700,.00134600,.00134500,.00134400,.00134300,.00134200,.00134100,.00134000,.00133900,.00133800,.00133700,.00133600,.00133500,
.00133400,.00133300,.00133200,.00133100,.00133000,.00132900,.00132800,.00132700,.00132600,.00132500,.00132400,.00132300,.00132200,.00132100,.00132000,
.00131900,.00131800,.00131700,.00131600,.00131500,.00131400,.00131300,.00131200,.00131100,.00131000,.00130900,.00130800,.00130700,.00130600,.00130500,
.00130400,.00130300,.00130200,.00130100,.00130000,.00129900,.00129800,.00129700,.00129600,.00129500,.00129400,.00129300,.00129200,.00129100,.00129000,
.00128900,.00128800,.00128700,.00128600,.00128500,.00128400,.00128300,.00128200,.00128100,.00128000,.00127900,.00127800,.00127700,.00127600,.00127500,
.00127400,.00127300,.00127200,.00127100,.00127000,.00126900,.00126800,.00126700,.00126600,.00126500,.00126400,.00126300,.00126200,.00126100,.00126000,
.00125900,.00125800,.00125700,.00125600,.00125500,.00125400,.00125300,.00125200,.00125100,.00125000,.00124900,.00124800,.00124700,.00124600,.00124500,
.00124400,.00124300,.00124200,.00124100,.00124000,.00123900,.00123800,.00123700,.00123600,.00123500,.00123400,.00123300,.00123200,.00123100,.00123000,
.00122900,.00122800,.00122700,.00122600,.00122500,.00122400,.00122300,.00122200,.00122100,.00122000,.00121900,.00121800,.00121700,.00121600,.00121500,
.00121400,.00121300,.00121200,.00121100,.00121000,.00120900,.00120800,.00120700,.00120600,.00120500,.00120400,.00120300,.00120200,.00120100,.00120000,
.00119900,.00119800,.00119700,.00119600,.00119500,.00119400,.00119300,.00119200,.00119100,.00119000,.00118900,.00118800,.00118700,.00118600,.00118500,
.00118400,.00118300,.00118200,.00118100,.00118000,.00117900,.00117800,.00117700,.00117600,.00117500,.00117400,.00117300,.00117200,.00117100,.00117000,
.00116900,.00116800,.00116700,.00116600,.00116500,.00116400,.00116300,.00116200,.00116100,.00116000,.00115900,.00115800,.00115700,.00115600,.00115500,
.00115400,.00115300,.00115200,.00115100,.00115000,.00114900,.00114800,.00114700,.00114600,.00114500,.00114400,.00114300,.00114200,.00114100,.00114000,
.00113900,.00113800,.00113700,.00113600,.00113500,.00113400,.00113300,.00113200,.00113100,.00113000,.00112900,.00112800,.00112700,.00112600,.00112500,
.00112400,.00112300,.00112200,.00112100,.00112000,.00111900,.00111800,.00111700,.00111600,.00111500,.00111400,.00111300,.00111200,.00111100,.00111000,
.00110900,.00110800,.00110700,.00110600,.00110500,.00110400,.00110300,.00110200,.00110100,.00110000,.00109900,.00109800,.00109700,.00109600,.00109500,
.00109400,.00109300,.00109200,.00109100,.00109000,.00108900,.00108800,.00108700,.00108600,.00108500,.00108400,.00108300,.00108200,.00108100,.00108000,
.00107900,.00107800,.00107700,.00107600,.00107500,.00107400,.00107300,.00107200,.00107100,.00107000,.00106900,.00106800,.00106700,.00106600,.00106500,
.00106400,.00106300,.00106200,.00106100,.00106000,.00105900,.00105800,.00105700,.00105600,.00105500,.00105400,.00105300,.00105200,.00105100,.00105000,
.00104900,.00104800,.00104700,.00104600,.00104500,.00104400,.00104300,.00104200,.00104100,.00104000,.00103900,.00103800,.00103700,.00103600,.00103500,
.00103400,.00103300,.00103200,.00103100,.00103000,.00102900,.00102800,.00102700,.00102600,.00102500,.00102400,.00102300,.00102200,.00102100,.00102000,
.00101900,.00101800,.00101700,.00101600,.00101500,.00101400,.00101300,.00101200,.00101100,.00101000,.00100900,.00100800,.00100700,.00100600,.00100500,
.00100400,.00100300,.00100200,.00100100,.00100000,.00099900,.00099800,.00099700,.00099600,.00099500,.00099400,.00099300,.00099200,.00099100,.00099000,
.00098900,.00098800,.00098700,.00098600,.00098500,.00098400,.00098300,.00098200,.00098100,.00098000,.00097900,.00097800,.00097700,.00097600,.00097500,
.00097400,.00097300,.00097200,.00097100,.00097000,.00096900,.00096800,.00096700,.00096600,.00096500,.00096400,.00096300,.00096200,.00096100,.00096000,
.00095900,.00095800,.00095700,.00095600,.00095500,.00095400,.00095300,.00095200,.00095100,.00095000,.00094900,.00094800,.00094700,.00094600,.00094500,
.00094400,.00094300,.00094200,.00094100,.00094000,.00093900,.00093800,.00093700,.00093600,.00093500,.00093400,.00093300,.00093200,.00093100,.00093000,
.00092900,.00092800,.00092700,.00092600,.00092500,.00092400,.00092300,.00092200,.00092100,.00092000,.00091900,.00091800,.00091700,.00091600,.00091500,
.00091400,.00091300,.00091200,.00091100,.00091000,.00090900,.00090800,.00090700,.00090600,.00090500,.00090400,.00090300,.00090200,.00090100,.00090000,
.00089900,.00089800,.00089700,.00089600,.00089500,.00089400,.00089300,.00089200,.00089100,.00089000,.00088900,.00088800,.00088700,.00088600,.00088500,
.00088400,.00088300,.00088200,.00088100,.00088000,.00087900,.00087800,.00087700,.00087600,.00087500,.00087400,.00087300,.00087200,.00087100,.00087000,
.00086900,.00086800,.00086700,.00086600,.00086500,.00086400,.00086300,.00086200,.00086100,.00086000,.00085900,.00085800,.00085700,.00085600,.00085500,
.00085400,.00085300,.00085200,.00085100,.00085000,.00084900,.00084800,.00084700,.00084600,.00084500,.00084400,.00084300,.00084200,.00084100,.00084000,
.00083900,.00083800,.00083700,.00083600,.00083500,.00083400,.00083300,.00083200,.00083100,.00083000,.00082900,.00082800,.00082700,.00082600,.00082500,
.00082400,.00082300,.00082200,.00082100,.00082000,.00081900,.00081800,.00081700,.00081600,.00081500,.00081400,.00081300,.00081200,.00081100,.00081000,
.00080900,.00080800,.00080700,.00080600,.00080500,.00080400,.00080300,.00080200,.00080100,.00080000,.00079900,.00079800,.00079700,.00079600,.00079500,
.00079400,.00079300,.00079200,.00079100,.00079000,.00078900,.00078800,.00078700,.00078600,.00078500,.00078400,.00078300,.00078200,.00078100,.00078000,
.00077900,.00077800,.00077700,.00077600,.00077500,.00077400,.00077300,.00077200,.00077100,.00077000,.00076900,.00076800,.00076700,.00076600,.00076500,
.00076400,.00076300,.00076200,.00076100,.00076000,.00075900,.00075800,.00075700,.00075600,.00075500,.00075400,.00075300,.00075200,.00075100,.00075000,
.00074900,.00074800,.00074700,.00074600,.00074500,.00074400,.00074300,.00074200,.00074100,.00074000,.00073900,.00073800,.00073700,.00073600,.00073500,
.00073400,.00073300,.00073200,.00073100,.00073000,.00072900,.00072800,.00072700,.00072600,.00072500,.00072400,.00072300,.00072200,.00072100,.00072000,
.00071900,.00071800,.00071700,.00071600,.00071500,.00071400,.00071300,.00071200,.00071100,.00071000,.00070900,.00070800,.00070700,.00070600,.00070500,
.00070400,.00070300,.00070200,.00070100,.00070000,.00069900,.00069800,.00069700,.00069600,.00069500,.00069400,.00069300,.00069200,.00069100,.00069000,
.00068900,.00068800,.00068700,.00068600,.00068500,.00068400,.00068300,.00068200,.00068100,.00068000,.00067900,.00067800,.00067700,.00067600,.00067500,
.00067400,.00067300,.00067200,.00067100,.00067000,.00066900,.00066800,.00066700,.00066600,.00066500,.00066400,.00066300,.00066200,.00066100,.00066000,
.00065900,.00065800,.00065700,.00065600,.00065500,.00065400,.00065300,.00065200,.00065100,.00065000,.00064900,.00064800,.00064700,.00064600,.00064500,
.00064400,.00064300,.00064200,.00064100,.00064000,.00063900,.00063800,.00063700,.00063600,.00063500,.00063400,.00063300,.00063200,.00063100,.00063000,
.00062900,.00062800,.00062700,.00062600,.00062500,.00062400,.00062300,.00062200,.00062100,.00062000,.00061900,.00061800,.00061700,.00061600,.00061500,
.00061400,.00061300,.00061200,.00061100,.00061000,.00060900,.00060800,.00060700,.00060600,.00060500,.00060400,.00060300,.00060200,.00060100,.00060000,
.00059900,.00059800,.00059700,.00059600,.00059500,.00059400,.00059300,.00059200,.00059100,.00059000,.00058900,.00058800,.00058700,.00058600,.00058500,
.00058400,.00058300,.00058200,.00058100,.00058000,.00057900,.00057800,.00057700,.00057600,.00057500,.00057400,.00057300,.00057200,.00057100,.00057000,
.00056900,.00056800,.00056700,.00056600,.00056500,.00056400,.00056300,.00056200,.00056100,.00056000,.00055900,.00055800,.00055700,.00055600,.00055500,
.00055400,.00055300,.00055200,.00055100,.00055000,.00054900,.00054800,.00054700,.00054600,.00054500,.00054400,.00054300,.00054200,.00054100,.00054000,
.00053900,.00053800,.00053700,.00053600,.00053500,.00053400,.00053300,.00053200,.00053100,.00053000,.00052900,.00052800,.00052700,.00052600,.00052500,
.00052400,.00052300,.00052200,.00052100,.00052000,.00051900,.00051800,.00051700,.00051600,.00051500,.00051400,.00051300,.00051200,.00051100,.00051000,
.00050900,.00050800,.00050700,.00050600,.00050500,.00050400,.00050300,.00050200,.00050100,.00050000,.00049900,.00049800,.00049700,.00049600,.00049500,
.00049400,.00049300,.00049200,.00049100,.00049000,.00048900,.00048800,.00048700,.00048600,.00048500,.00048400,.00048300,.00048200,.00048100,.00048000,
.00047900,.00047800,.00047700,.00047600,.00047500,.00047400,.00047300,.00047200,.00047100,.00047000,.00046900,.00046800,.00046700,.00046600,.00046500,
.00046400,.00046300,.00046200,.00046100,.00046000,.00045900,.00045800,.00045700,.00045600,.00045500,.00045400,.00045300,.00045200,.00045100,.00045000,
.00044900,.00044800,.00044700,.00044600,.00044500,.00044400,.00044300,.00044200,.00044100,.00044000,.00043900,.00043800,.00043700,.00043600,.00043500,
.00043400,.00043300,.00043200,.00043100,.00043000,.00042900,.00042800,.00042700,.00042600,.00042500,.00042400,.00042300,.00042200,.00042100,.00042000,
.00041900,.00041800,.00041700,.00041600,.00041500,.00041400,.00041300,.00041200,.00041100,.00041000,.00040900,.00040800,.00040700,.00040600,.00040500,
.00040400,.00040300,.00040200,.00040100,.00040000,.00039900,.00039800,.00039700,.00039600,.00039500,.00039400,.00039300,.00039200,.00039100,.00039000,
.00038900,.00038800,.00038700,.00038600,.00038500,.00038400,.00038300,.00038200,.00038100,.00038000,.00037900,.00037800,.00037700,.00037600,.00037500,
.00037400,.00037300,.00037200,.00037100,.00037000,.00036900,.00036800,.00036700,.00036600,.00036500,.00036400,.00036300,.00036200,.00036100,.00036000,
.00035900,.00035800,.00035700,.00035600,.00035500,.00035400,.00035300,.00035200,.00035100,.00035000,.00034900,.00034800,.00034700,.00034600,.00034500,
.00034400,.00034300,.00034200,.00034100,.00034000,.00033900,.00033800,.00033700,.00033600,.00033500,.00033400,.00033300,.00033200,.00033100,.00033000,
.00032900,.00032800,.00032700,.00032600,.00032500,.00032400,.00032300,.00032200,.00032100,.00032000,.00031900,.00031800,.00031700,.00031600,.00031500,
.00031400,.00031300,.00031200,.00031100,.00031000,.00030900,.00030800,.00030700,.00030600,.00030500,.00030400,.00030300,.00030200,.00030100,.00030000,
.00029900,.00029800,.00029700,.00029600,.00029500,.00029400,.00029300,.00029200,.00029100,.00029000,.00028900,.00028800,.00028700,.00028600,.00028500,
.00028400,.00028300,.00028200,.00028100,.00028000,.00027900,.00027800,.00027700,.00027600,.00027500,.00027400,.00027300,.00027200,.00027100,.00027000,
.00026900,.00026800,.00026700,.00026600,.00026500,.00026400,.00026300,.00026200,.00026100,.00026000,.00025900,.00025800,.00025700,.00025600,.00025500,
.00025400,.00025300,.00025200,.00025100,.00025000,.00024900,.00024800,.00024700,.00024600,.00024500,.00024400,.00024300,.00024200,.00024100,.00024000,
.00023900,.00023800,.00023700,.00023600,.00023500,.00023400,.00023300,.00023200,.00023100,.00023000,.00022900,.00022800,.00022700,.00022600,.00022500,
.00022400,.00022300,.00022200,.00022100,.00022000,.00021900,.00021800,.00021700,.00021600,.00021500,.00021400,.00021300,.00021200,.00021100,.00021000,
.00020900,.00020800,.00020700,.00020600,.00020500,.00020400,.00020300,.00020200,.00020100,.00020000,.00019900,.00019800,.00019700,.00019600,.00019500,
.00019400,.00019300,.00019200,.00019100,.00019000,.00018900,.00018800,.00018700,.00018600,.00018500,.00018400,.00018300,.00018200,.00018100,.00018000,
.00017900,.00017800,.00017700,.00017600,.00017500,.00017400,.00017300,.00017200,.00017100,.00017000,.00016900,.00016800,.00016700,.00016600,.00016500,
.00016400,.00016300,.00016200,.00016100,.00016000,.00015900,.00015800,.00015700,.00015600,.00015500,.00015400,.00015300,.00015200,.00015100,.00015000,
.00014900,.00014800,.00014700,.00014600,.00014500,.00014400,.00014300,.00014200,.00014100,.00014000,.00013900,.00013800,.00013700,.00013600,.00013500,
.00013400,.00013300,.00013200,.00013100,.00013000,.00012900,.00012800,.00012700,.00012600,.00012500,.00012400,.00012300,.00012200,.00012100,.00012000,
.00011990,.00011980,.00011970,.00011960,.00011950,.00011940,.00011930,.00011920,.00011910,.00011900,.00011890,.00011880,.00011870,.00011860,.00011850,
.00011840,.00011830,.00011820,.00011810,.00011800,.00011790,.00011780,.00011770,.00011760,.00011750,.00011740,.00011730,.00011720,.00011710,.00011700,
.00011690,.00011680,.00011670,.00011660,.00011650,.00011640,.00011630,.00011620,.00011610,.00011600,.00011590,.00011580,.00011570,.00011560,.00011550,
.00011540,.00011530,.00011520,.00011510,.00011500,.00011490,.00011480,.00011470,.00011460,.00011450,.00011440,.00011430,.00011420,.00011410,.00011400,
.00011390,.00011380,.00011370,.00011360,.00011350,.00011340,.00011330,.00011320,.00011310,.00011300,.00011290,.00011280,.00011270,.00011260,.00011250,
.00011240,.00011230,.00011220,.00011210,.00011200,.00011190,.00011180,.00011170,.00011160,.00011150,.00011140,.00011130,.00011120,.00011110,.00011100,
.00011090,.00011080,.00011070,.00011060,.00011050,.00011040,.00011030,.00011020,.00011010,.00011000,.00010990,.00010980,.00010970,.00010960,.00010950,
.00010940,.00010930,.00010920,.00010910,.00010900,.00010890,.00010880,.00010870,.00010860,.00010850,.00010840,.00010830,.00010820,.00010810,.00010800,
.00010790,.00010780,.00010770,.00010760,.00010750,.00010740,.00010730,.00010720,.00010710,.00010700,.00010690,.00010680,.00010670,.00010660,.00010650,
.00010640,.00010630,.00010620,.00010610,.00010600,.00010590,.00010580,.00010570,.00010560,.00010550,.00010540,.00010530,.00010520,.00010510,.00010500,
.00010490,.00010480,.00010470,.00010460,.00010450,.00010440,.00010430,.00010420,.00010410,.00010400,.00010390,.00010380,.00010370,.00010360,.00010350,
.00010340,.00010330,.00010320,.00010310,.00010300,.00010290,.00010280,.00010270,.00010260,.00010250,.00010240,.00010230,.00010220,.00010210,.00010200,
.00010190,.00010180,.00010170,.00010160,.00010150,.00010140,.00010130,.00010120,.00010110,.00010100,.00010090,.00010080,.00010070,.00010060,.00010050,
.00010040,.00010030,.00010020,.00010010,.00010000,.00009990,.00009980,.00009970,.00009960,.00009950,.00009940,.00009930,.00009920,.00009910,.00009900,
.00009890,.00009880,.00009870,.00009860,.00009850,.00009840,.00009830,.00009820,.00009810,.00009800,.00009790,.00009780,.00009770,.00009760,.00009750,
.00009740,.00009730,.00009720,.00009710,.00009700,.00009690,.00009680,.00009670,.00009660,.00009650,.00009640,.00009630,.00009620,.00009610,.00009600,
.00009590,.00009580,.00009570,.00009560,.00009550,.00009540,.00009530,.00009520,.00009510,.00009500,.00009490,.00009480,.00009470,.00009460,.00009450,
.00009440,.00009430,.00009420,.00009410,.00009400,.00009390,.00009380,.00009370,.00009360,.00009350,.00009340,.00009330,.00009320,.00009310,.00009300,
.00009290,.00009280,.00009270,.00009260,.00009250,.00009240,.00009230,.00009220,.00009210,.00009200,.00009190,.00009180,.00009170,.00009160,.00009150,
.00009140,.00009130,.00009120,.00009110,.00009100,.00009090,.00009080,.00009070,.00009060,.00009050,.00009040,.00009030,.00009020,.00009010,.00009000,
.00008990,.00008980,.00008970,.00008960,.00008950,.00008940,.00008930,.00008920,.00008910,.00008900,.00008890,.00008880,.00008870,.00008860,.00008850,
.00008840,.00008830,.00008820,.00008810,.00008800,.00008790,.00008780,.00008770,.00008760,.00008750,.00008740,.00008730,.00008720,.00008710,.00008700,
.00008690,.00008680,.00008670,.00008660,.00008650,.00008640,.00008630,.00008620,.00008610,.00008600,.00008590,.00008580,.00008570,.00008560,.00008550,
.00008540,.00008530,.00008520,.00008510,.00008500,.00008490,.00008480,.00008470,.00008460,.00008450,.00008440,.00008430,.00008420,.00008410,.00008400,
.00008390,.00008380,.00008370,.00008360,.00008350,.00008340,.00008330,.00008320,.00008310,.00008300,.00008290,.00008280,.00008270,.00008260,.00008250,
.00008240,.00008230,.00008220,.00008210,.00008200,.00008190,.00008180,.00008170,.00008160,.00008150,.00008140,.00008130,.00008120,.00008110,.00008100,
.00008090,.00008080,.00008070,.00008060,.00008050,.00008040,.00008030,.00008020,.00008010,.00008000,.00007990,.00007980,.00007970,.00007960,.00007950,
.00007940,.00007930,.00007920,.00007910,.00007900,.00007890,.00007880,.00007870,.00007860,.00007850,.00007840,.00007830,.00007820,.00007810,.00007800,
.00007790,.00007780,.00007770,.00007760,.00007750,.00007740,.00007730,.00007720,.00007710,.00007700,.00007690,.00007680,.00007670,.00007660,.00007650,
.00007640,.00007630,.00007620,.00007610,.00007600,.00007590,.00007580,.00007570,.00007560,.00007550,.00007540,.00007530,.00007520,.00007510,.00007500,
.00007490,.00007480,.00007470,.00007460,.00007450,.00007440,.00007430,.00007420,.00007410,.00007400,.00007390,.00007380,.00007370,.00007360,.00007350,
.00007340,.00007330,.00007320,.00007310,.00007300,.00007290,.00007280,.00007270,.00007260,.00007250,.00007240,.00007230,.00007220,.00007210,.00007200,
.00007190,.00007180,.00007170,.00007160,.00007150,.00007140,.00007130,.00007120,.00007110,.00007100,.00007090,.00007080,.00007070,.00007060,.00007050,
.00007040,.00007030,.00007020,.00007010,.00007000,.00006990,.00006980,.00006970,.00006960,.00006950,.00006940,.00006930,.00006920,.00006910,.00006900,
.00006890,.00006880,.00006870,.00006860,.00006850,.00006840,.00006830,.00006820,.00006810,.00006800,.00006790,.00006780,.00006770,.00006760,.00006750,
.00006740,.00006730,.00006720,.00006710,.00006700,.00006690,.00006680,.00006670,.00006660,.00006650,.00006640,.00006630,.00006620,.00006610,.00006600,
.00006590,.00006580,.00006570,.00006560,.00006550,.00006540,.00006530,.00006520,.00006510,.00006500,.00006490,.00006480,.00006470,.00006460,.00006450,
.00006440,.00006430,.00006420,.00006410,.00006400,.00006390,.00006380,.00006370,.00006360,.00006350,.00006340,.00006330,.00006320,.00006310,.00006300,
.00006290,.00006280,.00006270,.00006260,.00006250,.00006240,.00006230,.00006220,.00006210,.00006200,.00006190,.00006180,.00006170,.00006160,.00006150,
.00006140,.00006130,.00006120,.00006110,.00006100,.00006090,.00006080,.00006070,.00006060,.00006050,.00006040,.00006030,.00006020,.00006010,.00006000,
.00005990,.00005980,.00005970,.00005960,.00005950,.00005940,.00005930,.00005920,.00005910,.00005900,.00005890,.00005880,.00005870,.00005860,.00005850,
.00005840,.00005830,.00005820,.00005810,.00005800,.00005790,.00005780,.00005770,.00005760,.00005750,.00005740,.00005730,.00005720,.00005710,.00005700,
.00005690,.00005680,.00005670,.00005660,.00005650,.00005640,.00005630,.00005620,.00005610,.00005600,.00005590,.00005580,.00005570,.00005560,.00005550,
.00005540,.00005530,.00005520,.00005510,.00005500,.00005490,.00005480,.00005470,.00005460,.00005450,.00005440,.00005430,.00005420,.00005410,.00005400,
.00005390,.00005380,.00005370,.00005360,.00005350,.00005340,.00005330,.00005320,.00005310,.00005300,.00005290,.00005280,.00005270,.00005260,.00005250,
.00005240,.00005230,.00005220,.00005210,.00005200,.00005190,.00005180,.00005170,.00005160,.00005150,.00005140,.00005130,.00005120,.00005110,.00005100,
.00005090,.00005080,.00005070,.00005060,.00005050,.00005040,.00005030,.00005020,.00005010,.00005000,.00004990,.00004980,.00004970,.00004960,.00004950,
.00004940,.00004930,.00004920,.00004910,.00004900,.00004890,.00004880,.00004870,.00004860,.00004850,.00004840,.00004830,.00004820,.00004810,.00004800,
.00004790,.00004780,.00004770,.00004760,.00004750,.00004740,.00004730,.00004720,.00004710,.00004700,.00004690,.00004680,.00004670,.00004660,.00004650,
.00004640,.00004630,.00004620,.00004610,.00004600,.00004590,.00004580,.00004570,.00004560,.00004550,.00004540,.00004530,.00004520,.00004510,.00004500,
.00004490,.00004480,.00004470,.00004460,.00004450,.00004440,.00004430,.00004420,.00004410,.00004400,.00004390,.00004380,.00004370,.00004360,.00004350,
.00004340,.00004330,.00004320,.00004310,.00004300,.00004290,.00004280,.00004270,.00004260,.00004250,.00004240,.00004230,.00004220,.00004210,.00004200,
.00004190,.00004180,.00004170,.00004160,.00004150,.00004140,.00004130,.00004120,.00004110,.00004100,.00004090,.00004080,.00004070,.00004060,.00004050,
.00004040,.00004030,.00004020,.00004010,.00004000,.00003990,.00003980,.00003970,.00003960,.00003950,.00003940,.00003930,.00003920,.00003910,.00003900,
.00003890,.00003880,.00003870,.00003860,.00003850,.00003840,.00003830,.00003820,.00003810,.00003800,.00003790,.00003780,.00003770,.00003760,.00003750,
.00003740,.00003730,.00003720,.00003710,.00003700,.00003690,.00003680,.00003670,.00003660,.00003650,.00003640,.00003630,.00003620,.00003610,.00003600,
.00003590,.00003580,.00003570,.00003560,.00003550,.00003540,.00003530,.00003520,.00003510,.00003500,.00003490,.00003480,.00003470,.00003460,.00003450,
.00003440,.00003430,.00003420,.00003410,.00003400,.00003390,.00003380,.00003370,.00003360,.00003350,.00003340,.00003330,.00003320,.00003310,.00003300,
.00003290,.00003280,.00003270,.00003260,.00003250,.00003240,.00003230,.00003220,.00003210,.00003200,.00003190,.00003180,.00003170,.00003160,.00003150,
.00003140,.00003130,.00003120,.00003110,.00003100,.00003090,.00003080,.00003070,.00003060,.00003050,.00003040,.00003030,.00003020,.00003010,.00003000,
.00002990,.00002980,.00002970,.00002960,.00002950,.00002940,.00002930,.00002920,.00002910,.00002900,.00002890,.00002880,.00002870,.00002860,.00002850,
.00002840,.00002830,.00002820,.00002810,.00002800,.00002790,.00002780,.00002770,.00002760,.00002750,.00002740,.00002730,.00002720,.00002710,.00002700,
.00002690,.00002680,.00002670,.00002660,.00002650,.00002640,.00002630,.00002620,.00002610,.00002600,.00002590,.00002580,.00002570,.00002560,.00002550,
.00002540,.00002530,.00002520,.00002510,.00002500,.00002490,.00002480,.00002470,.00002460,.00002450,.00002440,.00002430,.00002420,.00002410,.00002400,
.00002390,.00002380,.00002370,.00002360,.00002350,.00002340,.00002330,.00002320,.00002310,.00002300,.00002290,.00002280,.00002270,.00002260,.00002250,
.00002240,.00002230,.00002220,.00002210,.00002200,.00002190,.00002180,.00002170,.00002160,.00002150,.00002140,.00002130,.00002120,.00002110,.00002100,
.00002090,.00002080,.00002070,.00002060,.00002050,.00002040,.00002030,.00002020,.00002010,.00002000,.00001990,.00001980,.00001970,.00001960,.00001950,
.00001940,.00001930,.00001920,.00001910,.00001900,.00001890,.00001880,.00001870,.00001860,.00001850,.00001840,.00001830,.00001820,.00001810,.00001800,
.00001790,.00001780,.00001770,.00001760,.00001750,.00001740,.00001730,.00001720,.00001710,.00001700,.00001690,.00001680,.00001670,.00001660,.00001650,
.00001640,.00001630,.00001620,.00001610,.00001600,.00001590,.00001580,.00001570,.00001560,.00001550,.00001540,.00001530,.00001520,.00001510,.00001500,
.00001490,.00001480,.00001470,.00001460,.00001450,.00001440,.00001430,.00001420,.00001410,.00001400,.00001390,.00001380,.00001370,.00001360,.00001350,
.00001349,.00001348,.00001347,.00001346,.00001345,.00001344,.00001343,.00001342,.00001341,.00001340,.00001339,.00001338,.00001337,.00001336,.00001335,
.00001334,.00001333,.00001332,.00001331,.00001330,.00001329,.00001328,.00001327,.00001326,.00001325,.00001324,.00001323,.00001322,.00001321,.00001320,
.00001319,.00001318,.00001317,.00001316,.00001315,.00001314,.00001313,.00001312,.00001311,.00001310,.00001309,.00001308,.00001307,.00001306,.00001305,
.00001304,.00001303,.00001302,.00001301,.00001300,.00001299,.00001298,.00001297,.00001296,.00001295,.00001294,.00001293,.00001292,.00001291,.00001290,
.00001289,.00001288,.00001287,.00001286,.00001285,.00001284,.00001283,.00001282,.00001281,.00001280,.00001279,.00001278,.00001277,.00001276,.00001275,
.00001274,.00001273,.00001272,.00001271,.00001270,.00001269,.00001268,.00001267,.00001266,.00001265,.00001264,.00001263,.00001262,.00001261,.00001260,
.00001259,.00001258,.00001257,.00001256,.00001255,.00001254,.00001253,.00001252,.00001251,.00001250,.00001249,.00001248,.00001247,.00001246,.00001245,
.00001244,.00001243,.00001242,.00001241,.00001240,.00001239,.00001238,.00001237,.00001236,.00001235,.00001234,.00001233,.00001232,.00001231,.00001230,
.00001229,.00001228,.00001227,.00001226,.00001225,.00001224,.00001223,.00001222,.00001221,.00001220,.00001219,.00001218,.00001217,.00001216,.00001215,
.00001214,.00001213,.00001212,.00001211,.00001210,.00001209,.00001208,.00001207,.00001206,.00001205,.00001204,.00001203,.00001202,.00001201,.00001200,
.00001199,.00001198,.00001197,.00001196,.00001195,.00001194,.00001193,.00001192,.00001191,.00001190,.00001189,.00001188,.00001187,.00001186,.00001185,
.00001184,.00001183,.00001182,.00001181,.00001180,.00001179,.00001178,.00001177,.00001176,.00001175,.00001174,.00001173,.00001172,.00001171,.00001170,
.00001169,.00001168,.00001167,.00001166,.00001165,.00001164,.00001163,.00001162,.00001161,.00001160,.00001159,.00001158,.00001157,.00001156,.00001155,
.00001154,.00001153,.00001152,.00001151,.00001150,.00001149,.00001148,.00001147,.00001146,.00001145,.00001144,.00001143,.00001142,.00001141,.00001140,
.00001139,.00001138,.00001137,.00001136,.00001135,.00001134,.00001133,.00001132,.00001131,.00001130,.00001129,.00001128,.00001127,.00001126,.00001125,
.00001124,.00001123,.00001122,.00001121,.00001120,.00001119,.00001118,.00001117,.00001116,.00001115,.00001114,.00001113,.00001112,.00001111,.00001110,
.00001109,.00001108,.00001107,.00001106,.00001105,.00001104,.00001103,.00001102,.00001101,.00001100,.00001099,.00001098,.00001097,.00001096,.00001095,
.00001094,.00001093,.00001092,.00001091,.00001090,.00001089,.00001088,.00001087,.00001086,.00001085,.00001084,.00001083,.00001082,.00001081,.00001080,
.00001079,.00001078,.00001077,.00001076,.00001075,.00001074,.00001073,.00001072,.00001071,.00001070,.00001069,.00001068,.00001067,.00001066,.00001065,
.00001064,.00001063,.00001062,.00001061,.00001060,.00001059,.00001058,.00001057,.00001056,.00001055,.00001054,.00001053,.00001052,.00001051,.00001050,
.00001049,.00001048,.00001047,.00001046,.00001045,.00001044,.00001043,.00001042,.00001041,.00001040,.00001039,.00001038,.00001037,.00001036,.00001035,
.00001034,.00001033,.00001032,.00001031,.00001030,.00001029,.00001028,.00001027,.00001026,.00001025,.00001024,.00001023,.00001022,.00001021,.00001020,
.00001019,.00001018,.00001017,.00001016,.00001015,.00001014,.00001013,.00001012,.00001011,.00001010,.00001009,.00001008,.00001007,.00001006,.00001005,
.00001004,.00001003,.00001002,.00001001,.00001000,.00000999,.00000998,.00000997,.00000996,.00000995,.00000994,.00000993,.00000992,.00000991,.00000990,
.00000989,.00000988,.00000987,.00000986,.00000985,.00000984,.00000983,.00000982,.00000981,.00000980,.00000979,.00000978,.00000977,.00000976,.00000975,
.00000974,.00000973,.00000972,.00000971,.00000970,.00000969,.00000968,.00000967,.00000966,.00000965,.00000964,.00000963,.00000962,.00000961,.00000960,
.00000959,.00000958,.00000957,.00000956,.00000955,.00000954,.00000953,.00000952,.00000951,.00000950,.00000949,.00000948,.00000947,.00000946,.00000945,
.00000944,.00000943,.00000942,.00000941,.00000940,.00000939,.00000938,.00000937,.00000936,.00000935,.00000934,.00000933,.00000932,.00000931,.00000930,
.00000929,.00000928,.00000927,.00000926,.00000925,.00000924,.00000923,.00000922,.00000921,.00000920,.00000919,.00000918,.00000917,.00000916,.00000915,
.00000914,.00000913,.00000912,.00000911,.00000910,.00000909,.00000908,.00000907,.00000906,.00000905,.00000904,.00000903,.00000902,.00000901,.00000900,
.00000899,.00000898,.00000897,.00000896,.00000895,.00000894,.00000893,.00000892,.00000891,.00000890,.00000889,.00000888,.00000887,.00000886,.00000885,
.00000884,.00000883,.00000882,.00000881,.00000880,.00000879,.00000878,.00000877,.00000876,.00000875,.00000874,.00000873,.00000872,.00000871,.00000870,
.00000869,.00000868,.00000867,.00000866,.00000865,.00000864,.00000863,.00000862,.00000861,.00000860,.00000859,.00000858,.00000857,.00000856,.00000855,
.00000854,.00000853,.00000852,.00000851,.00000850,.00000849,.00000848,.00000847,.00000846,.00000845,.00000844,.00000843,.00000842,.00000841,.00000840,
.00000839,.00000838,.00000837,.00000836,.00000835,.00000834,.00000833,.00000832,.00000831,.00000830,.00000829,.00000828,.00000827,.00000826,.00000825,
.00000824,.00000823,.00000822,.00000821,.00000820,.00000819,.00000818,.00000817,.00000816,.00000815,.00000814,.00000813,.00000812,.00000811,.00000810,
.00000809,.00000808,.00000807,.00000806,.00000805,.00000804,.00000803,.00000802,.00000801,.00000800,.00000799,.00000798,.00000797,.00000796,.00000795,
.00000794,.00000793,.00000792,.00000791,.00000790,.00000789,.00000788,.00000787,.00000786,.00000785,.00000784,.00000783,.00000782,.00000781,.00000780,
.00000779,.00000778,.00000777,.00000776,.00000775,.00000774,.00000773,.00000772,.00000771,.00000770,.00000769,.00000768,.00000767,.00000766,.00000765,
.00000764,.00000763,.00000762,.00000761,.00000760,.00000759,.00000758,.00000757,.00000756,.00000755,.00000754,.00000753,.00000752,.00000751,.00000750,
.00000749,.00000748,.00000747,.00000746,.00000745,.00000744,.00000743,.00000742,.00000741,.00000740,.00000739,.00000738,.00000737,.00000736,.00000735,
.00000734,.00000733,.00000732,.00000731,.00000730,.00000729,.00000728,.00000727,.00000726,.00000725,.00000724,.00000723,.00000722,.00000721,.00000720,
.00000719,.00000718,.00000717,.00000716,.00000715,.00000714,.00000713,.00000712,.00000711,.00000710,.00000709,.00000708,.00000707,.00000706,.00000705,
.00000704,.00000703,.00000702,.00000701,.00000700,.00000699,.00000698,.00000697,.00000696,.00000695,.00000694,.00000693,.00000692,.00000691,.00000690,
.00000689,.00000688,.00000687,.00000686,.00000685,.00000684,.00000683,.00000682,.00000681,.00000680,.00000679,.00000678,.00000677,.00000676,.00000675,
.00000674,.00000673,.00000672,.00000671,.00000670,.00000669,.00000668,.00000667,.00000666,.00000665,.00000664,.00000663,.00000662,.00000661,.00000660,
.00000659,.00000658,.00000657,.00000656,.00000655,.00000654,.00000653,.00000652,.00000651,.00000650,.00000649,.00000648,.00000647,.00000646,.00000645,
.00000644,.00000643,.00000642,.00000641,.00000640,.00000639,.00000638,.00000637,.00000636,.00000635,.00000634,.00000633,.00000632,.00000631,.00000630,
.00000629,.00000628,.00000627,.00000626,.00000625,.00000624,.00000623,.00000622,.00000621,.00000620,.00000619,.00000618,.00000617,.00000616,.00000615,
.00000614,.00000613,.00000612,.00000611,.00000610,.00000609,.00000608,.00000607,.00000606,.00000605,.00000604,.00000603,.00000602,.00000601,.00000600,
.00000599,.00000598,.00000597,.00000596,.00000595,.00000594,.00000593,.00000592,.00000591,.00000590,.00000589,.00000588,.00000587,.00000586,.00000585,
.00000584,.00000583,.00000582,.00000581,.00000580,.00000579,.00000578,.00000577,.00000576,.00000575,.00000574,.00000573,.00000572,.00000571,.00000570,
.00000569,.00000568,.00000567,.00000566,.00000565,.00000564,.00000563,.00000562,.00000561,.00000560,.00000559,.00000558,.00000557,.00000556,.00000555,
.00000554,.00000553,.00000552,.00000551,.00000550,.00000549,.00000548,.00000547,.00000546,.00000545,.00000544,.00000543,.00000542,.00000541,.00000540,
.00000539,.00000538,.00000537,.00000536,.00000535,.00000534,.00000533,.00000532,.00000531,.00000530,.00000529,.00000528,.00000527,.00000526,.00000525,
.00000524,.00000523,.00000522,.00000521,.00000520,.00000519,.00000518,.00000517,.00000516,.00000515,.00000514,.00000513,.00000512,.00000511,.00000510,
.00000509,.00000508,.00000507,.00000506,.00000505,.00000504,.00000503,.00000502,.00000501,.00000500,.00000499,.00000498,.00000497,.00000496,.00000495,
.00000494,.00000493,.00000492,.00000491,.00000490,.00000489,.00000488,.00000487,.00000486,.00000485,.00000484,.00000483,.00000482,.00000481,.00000480,
.00000479,.00000478,.00000477,.00000476,.00000475,.00000474,.00000473,.00000472,.00000471,.00000470,.00000469,.00000468,.00000467,.00000466,.00000465,
.00000464,.00000463,.00000462,.00000461,.00000460,.00000459,.00000458,.00000457,.00000456,.00000455,.00000454,.00000453,.00000452,.00000451,.00000450,
.00000449,.00000448,.00000447,.00000446,.00000445,.00000444,.00000443,.00000442,.00000441,.00000440,.00000439,.00000438,.00000437,.00000436,.00000435,
.00000434,.00000433,.00000432,.00000431,.00000430,.00000429,.00000428,.00000427,.00000426,.00000425,.00000424,.00000423,.00000422,.00000421,.00000420,
.00000419,.00000418,.00000417,.00000416,.00000415,.00000414,.00000413,.00000412,.00000411,.00000410,.00000409,.00000408,.00000407,.00000406,.00000405,
.00000404,.00000403,.00000402,.00000401,.00000400,.00000399,.00000398,.00000397,.00000396,.00000395,.00000394,.00000393,.00000392,.00000391,.00000390,
.00000389,.00000388,.00000387,.00000386,.00000385,.00000384,.00000383,.00000382,.00000381,.00000380,.00000379,.00000378,.00000377,.00000376,.00000375,
.00000374,.00000373,.00000372,.00000371,.00000370,.00000369,.00000368,.00000367,.00000366,.00000365,.00000364,.00000363,.00000362,.00000361,.00000360,
.00000359,.00000358,.00000357,.00000356,.00000355,.00000354,.00000353,.00000352,.00000351,.00000350,.00000349,.00000348,.00000347,.00000346,.00000345,
.00000344,.00000343,.00000342,.00000341,.00000340,.00000339,.00000338,.00000337,.00000336,.00000335,.00000334,.00000333,.00000332,.00000331,.00000330,
.00000329,.00000328,.00000327,.00000326,.00000325,.00000324,.00000323,.00000322,.00000321,.00000320,.00000319,.00000318,.00000317,.00000316,.00000315,
.00000314,.00000313,.00000312,.00000311,.00000310,.00000309,.00000308,.00000307,.00000306,.00000305,.00000304,.00000303,.00000302,.00000301,.00000300,
.00000299,.00000298,.00000297,.00000296,.00000295,.00000294,.00000293,.00000292,.00000291,.00000290,.00000289,.00000288,.00000287,.00000286,.00000285,
.00000284,.00000283,.00000282,.00000281,.00000280,.00000279,.00000278,.00000277,.00000276,.00000275,.00000274,.00000273,.00000272,.00000271,.00000270,
.00000269,.00000268,.00000267,.00000266,.00000265,.00000264,.00000263,.00000262,.00000261,.00000260,.00000259,.00000258,.00000257,.00000256,.00000255,
.00000254,.00000253,.00000252,.00000251,.00000250,.00000249,.00000248,.00000247,.00000246,.00000245,.00000244,.00000243,.00000242,.00000241,.00000240,
.00000239,.00000238,.00000237,.00000236,.00000235,.00000234,.00000233,.00000232,.00000231,.00000230,.00000229,.00000228,.00000227,.00000226,.00000225,
.00000224,.00000223,.00000222,.00000221,.00000220,.00000219,.00000218,.00000217,.00000216,.00000215,.00000214,.00000213,.00000212,.00000211,.00000210,
.00000209,.00000208,.00000207,.00000206,.00000205,.00000204,.00000203,.00000202,.00000201,.00000200,.00000199,.00000198,.00000197,.00000196,.00000195,
.00000194,.00000193,.00000192,.00000191,.00000190,.00000189,.00000188,.00000187,.00000186,.00000185,.00000184,.00000183,.00000182,.00000181,.00000180,
.00000179,.00000178,.00000177,.00000176,.00000175,.00000174,.00000173,.00000172,.00000171,.00000170,.00000169,.00000168,.00000167,.00000166,.00000165,
.00000164,.00000163,.00000162,.00000161,.00000160,.00000159,.00000158,.00000157,.00000156,.00000155,.00000154,.00000153,.00000152,.00000151,.00000150,
.00000149,.00000148,.00000147,.00000146,.00000145,.00000144,.00000143,.00000142,.00000141,.00000140,.00000139,.00000138,.00000137,.00000136,.00000135,
.00000134,.00000133,.00000132,.00000131,.00000130,.00000129,.00000128,.00000127,.00000126,.00000125,.00000124,.00000123,.00000122,.00000121,.00000120,
.00000119,.00000118,.00000117,.00000116,.00000115,.00000114,.00000113,.00000112,.00000111,.00000110,.00000109,.00000108,.00000107,.00000106,.00000105,
.00000104,.00000103,.00000102,.00000101,.00000100,.00000099,.00000098,.00000097,.00000096,.00000095,.00000094,.00000093,.00000092,.00000091,.00000090,
.00000089,.00000088,.00000087,.00000086,.00000085,.00000084,.00000083,.00000082,.00000081,.00000080,.00000079,.00000078,.00000077,.00000076,.00000075,
.00000074,.00000073,.00000072,.00000071,.00000070,.00000069,.00000068,.00000067,.00000066,.00000065,.00000064,.00000063,.00000062,.00000061,.00000060,
.00000059,.00000058,.00000057,.00000056,.00000055,.00000054,.00000053,.00000052,.00000051,.00000050,.00000049,.00000048,.00000047,.00000046,.00000045,
.00000044,.00000043,.00000042,.00000041,.00000040,.00000039,.00000038,.00000037,.00000036,.00000035,.00000034,.00000033,.00000032,.00000031,.00000030,
.00000029,.00000028,.00000027,.00000026,.00000025,.00000024,.00000023,.00000022,.00000021,.00000020,.00000019,.00000018,.00000017,.00000016,.00000015,
.00000014,.00000013,.00000012,.00000011,.00000010,.00000009,.00000008,.00000007,.00000006,.00000005,.00000004,.00000003,.00000002,.00000001,0);


#-------Load O Stat Values: 1/(1-NORMSDIST((NORMSINV(1-P)-3.44)/0.35)) from Excel---------
@OV=(1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,
1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.01,1.02,1.02,1.02,1.02,1.02,1.02,1.02,
1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,
1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,
1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,
1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,1.02,
1.02,1.02,1.02,1.02,1.02,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,
1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,
1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,1.03,
1.03,1.03,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,
1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,1.04,
1.04,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,
1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.05,1.06,1.06,1.06,1.06,1.06,1.06,1.06,
1.06,1.06,1.06,1.06,1.06,1.06,1.06,1.06,1.06,1.06,1.07,1.07,1.07,1.07,1.07,
1.07,1.07,1.07,1.07,1.07,1.07,1.07,1.07,1.07,1.08,1.08,1.08,1.08,1.08,1.08,
1.08,1.08,1.08,1.08,1.08,1.08,1.09,1.09,1.09,1.09,1.09,1.09,1.09,1.09,1.09,
1.10,1.10,1.10,1.10,1.10,1.10,1.10,1.10,1.10,1.11,1.11,1.11,1.11,1.11,1.11,
1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,1.11,
1.11,1.11,1.11,1.11,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,
1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,
1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,
1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,
1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.12,1.13,1.13,1.13,1.13,1.13,
1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,
1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,
1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,
1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.13,1.14,1.14,1.14,1.14,1.14,1.14,
1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,
1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,
1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,1.14,
1.14,1.14,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,
1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,
1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,1.15,
1.15,1.15,1.15,1.15,1.15,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,
1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,
1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,1.16,
1.16,1.16,1.16,1.16,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,
1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,
1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.17,1.18,
1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,
1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,1.18,
1.18,1.18,1.18,1.18,1.18,1.18,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,
1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,
1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.19,1.20,1.20,1.20,1.20,1.20,
1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,
1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.20,1.21,1.21,1.21,
1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,
1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.21,1.22,1.22,1.22,1.22,
1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,
1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.22,1.23,1.23,1.23,1.23,1.23,1.23,
1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,1.23,
1.23,1.23,1.23,1.23,1.23,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,
1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.24,1.25,
1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,1.25,
1.25,1.25,1.25,1.25,1.25,1.25,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,
1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.26,1.27,1.27,
1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,1.27,
1.27,1.27,1.27,1.28,1.28,1.28,1.28,1.28,1.28,1.28,1.28,1.28,1.28,1.28,1.28,
1.28,1.28,1.28,1.28,1.28,1.28,1.28,1.29,1.29,1.29,1.29,1.29,1.29,1.29,1.29,
1.29,1.29,1.29,1.29,1.29,1.29,1.29,1.29,1.29,1.29,1.30,1.30,1.30,1.30,1.30,
1.30,1.30,1.30,1.30,1.30,1.30,1.30,1.30,1.30,1.30,1.30,1.30,1.31,1.31,1.31,
1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.31,1.32,
1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.32,1.33,
1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.33,1.34,
1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.34,1.35,1.35,
1.35,1.35,1.35,1.35,1.35,1.35,1.35,1.35,1.35,1.35,1.35,1.35,1.36,1.36,1.36,
1.36,1.36,1.36,1.36,1.36,1.36,1.36,1.36,1.36,1.36,1.37,1.37,1.37,1.37,1.37,
1.37,1.37,1.37,1.37,1.37,1.37,1.37,1.38,1.38,1.38,1.38,1.38,1.38,1.38,1.38,
1.38,1.38,1.38,1.38,1.39,1.39,1.39,1.39,1.39,1.39,1.39,1.39,1.39,1.39,1.39,
1.40,1.40,1.40,1.40,1.40,1.40,1.40,1.40,1.40,1.40,1.40,1.41,1.41,1.41,1.41,
1.41,1.41,1.41,1.41,1.41,1.41,1.41,1.42,1.42,1.42,1.42,1.42,1.42,1.42,1.42,
1.42,1.42,1.43,1.43,1.43,1.43,1.43,1.43,1.43,1.43,1.43,1.43,1.44,1.44,1.44,
1.44,1.44,1.44,1.44,1.44,1.44,1.45,1.45,1.45,1.45,1.45,1.45,1.45,1.45,1.45,
1.46,1.46,1.46,1.46,1.46,1.46,1.46,1.46,1.46,1.47,1.47,1.47,1.47,1.47,1.47,
1.47,1.47,1.48,1.48,1.48,1.48,1.48,1.48,1.48,1.48,1.49,1.49,1.49,1.49,1.49,
1.49,1.49,1.49,1.50,1.50,1.50,1.50,1.50,1.50,1.50,1.50,1.51,1.51,1.51,1.51,
1.51,1.51,1.51,1.52,1.52,1.52,1.52,1.52,1.52,1.52,1.52,1.53,1.53,1.53,1.53,
1.53,1.53,1.54,1.54,1.54,1.54,1.54,1.54,1.54,1.55,1.55,1.55,1.55,1.55,1.55,
1.55,1.56,1.56,1.56,1.56,1.56,1.56,1.57,1.57,1.57,1.57,1.57,1.57,1.58,1.58,
1.58,1.58,1.58,1.58,1.59,1.59,1.59,1.59,1.59,1.59,1.60,1.60,1.60,1.60,1.60,
1.60,1.61,1.61,1.61,1.61,1.61,1.62,1.62,1.62,1.62,1.62,1.62,1.63,1.63,1.63,
1.63,1.63,1.64,1.64,1.64,1.64,1.64,1.65,1.65,1.65,1.65,1.65,1.66,1.66,1.66,
1.66,1.66,1.67,1.67,1.67,1.67,1.68,1.68,1.68,1.68,1.68,1.69,1.69,1.69,1.69,
1.70,1.70,1.70,1.70,1.70,1.71,1.71,1.71,1.71,1.72,1.72,1.72,1.72,1.73,1.73,
1.73,1.73,1.74,1.74,1.74,1.74,1.75,1.75,1.75,1.75,1.76,1.76,1.76,1.76,1.77,
1.77,1.77,1.77,1.78,1.78,1.78,1.79,1.79,1.79,1.79,1.80,1.80,1.80,1.81,1.81,
1.81,1.81,1.82,1.82,1.82,1.83,1.83,1.83,1.84,1.84,1.84,1.85,1.85,1.85,1.86,
1.86,1.86,1.86,1.87,1.87,1.87,1.88,1.88,1.89,1.89,1.89,1.90,1.90,1.90,1.91,
1.91,1.91,1.92,1.92,1.92,1.93,1.93,1.94,1.94,1.94,1.95,1.95,1.95,1.96,1.96,
1.97,1.97,1.97,1.98,1.98,1.99,1.99,2.00,2.00,2.00,2.01,2.01,2.02,2.02,2.03,
2.03,2.03,2.04,2.04,2.05,2.05,2.06,2.06,2.07,2.07,2.08,2.08,2.09,2.09,2.10,
2.10,2.11,2.11,2.12,2.12,2.13,2.13,2.14,2.14,2.15,2.15,2.16,2.16,2.17,2.18,
2.18,2.19,2.19,2.20,2.20,2.21,2.22,2.22,2.23,2.23,2.24,2.25,2.25,2.26,2.27,
2.27,2.28,2.29,2.29,2.30,2.31,2.31,2.32,2.33,2.33,2.34,2.35,2.36,2.36,2.37,
2.38,2.38,2.39,2.40,2.41,2.42,2.42,2.43,2.44,2.45,2.46,2.46,2.47,2.48,2.49,
2.50,2.51,2.52,2.53,2.53,2.54,2.55,2.56,2.57,2.58,2.59,2.60,2.61,2.62,2.63,
2.64,2.65,2.66,2.67,2.68,2.69,2.70,2.72,2.73,2.74,2.75,2.76,2.77,2.79,2.80,
2.81,2.82,2.83,2.85,2.86,2.87,2.89,2.90,2.91,2.93,2.94,2.95,2.97,2.98,3.00,
3.01,3.03,3.04,3.06,3.07,3.09,3.11,3.12,3.14,3.16,3.17,3.19,3.21,3.23,3.24,
3.26,3.28,3.30,3.32,3.34,3.36,3.38,3.40,3.42,3.44,3.46,3.49,3.51,3.53,3.55,
3.58,3.60,3.62,3.65,3.67,3.70,3.73,3.75,3.78,3.81,3.83,3.86,3.89,3.92,3.95,
3.95,3.96,3.96,3.96,3.97,3.97,3.97,3.98,3.98,3.98,3.99,3.99,3.99,3.99,4.00,
4.00,4.00,4.01,4.01,4.01,4.02,4.02,4.02,4.03,4.03,4.03,4.04,4.04,4.04,4.05,
4.05,4.05,4.05,4.06,4.06,4.06,4.07,4.07,4.07,4.08,4.08,4.08,4.09,4.09,4.09,
4.10,4.10,4.10,4.11,4.11,4.11,4.12,4.12,4.12,4.13,4.13,4.13,4.14,4.14,4.14,
4.15,4.15,4.16,4.16,4.16,4.17,4.17,4.17,4.18,4.18,4.18,4.19,4.19,4.19,4.20,
4.20,4.20,4.21,4.21,4.21,4.22,4.22,4.23,4.23,4.23,4.24,4.24,4.24,4.25,4.25,
4.25,4.26,4.26,4.27,4.27,4.27,4.28,4.28,4.28,4.29,4.29,4.29,4.30,4.30,4.31,
4.31,4.31,4.32,4.32,4.32,4.33,4.33,4.34,4.34,4.34,4.35,4.35,4.36,4.36,4.36,
4.37,4.37,4.37,4.38,4.38,4.39,4.39,4.39,4.40,4.40,4.41,4.41,4.41,4.42,4.42,
4.43,4.43,4.43,4.44,4.44,4.45,4.45,4.45,4.46,4.46,4.47,4.47,4.47,4.48,4.48,
4.49,4.49,4.50,4.50,4.50,4.51,4.51,4.52,4.52,4.53,4.53,4.53,4.54,4.54,4.55,
4.55,4.55,4.56,4.56,4.57,4.57,4.58,4.58,4.59,4.59,4.59,4.60,4.60,4.61,4.61,
4.62,4.62,4.62,4.63,4.63,4.64,4.64,4.65,4.65,4.66,4.66,4.67,4.67,4.67,4.68,
4.68,4.69,4.69,4.70,4.70,4.71,4.71,4.72,4.72,4.73,4.73,4.73,4.74,4.74,4.75,
4.75,4.76,4.76,4.77,4.77,4.78,4.78,4.79,4.79,4.80,4.80,4.81,4.81,4.82,4.82,
4.83,4.83,4.84,4.84,4.85,4.85,4.86,4.86,4.87,4.87,4.88,4.88,4.89,4.89,4.90,
4.90,4.91,4.91,4.92,4.92,4.93,4.93,4.94,4.94,4.95,4.95,4.96,4.96,4.97,4.97,
4.98,4.99,4.99,5.00,5.00,5.01,5.01,5.02,5.02,5.03,5.03,5.04,5.04,5.05,5.06,
5.06,5.07,5.07,5.08,5.08,5.09,5.09,5.10,5.11,5.11,5.12,5.12,5.13,5.13,5.14,
5.14,5.15,5.16,5.16,5.17,5.17,5.18,5.19,5.19,5.20,5.20,5.21,5.21,5.22,5.23,
5.23,5.24,5.24,5.25,5.26,5.26,5.27,5.27,5.28,5.29,5.29,5.30,5.30,5.31,5.32,
5.32,5.33,5.34,5.34,5.35,5.35,5.36,5.37,5.37,5.38,5.39,5.39,5.40,5.41,5.41,
5.42,5.42,5.43,5.44,5.44,5.45,5.46,5.46,5.47,5.48,5.48,5.49,5.50,5.50,5.51,
5.52,5.52,5.53,5.54,5.54,5.55,5.56,5.56,5.57,5.58,5.58,5.59,5.60,5.61,5.61,
5.62,5.63,5.63,5.64,5.65,5.66,5.66,5.67,5.68,5.68,5.69,5.70,5.71,5.71,5.72,
5.73,5.73,5.74,5.75,5.76,5.76,5.77,5.78,5.79,5.79,5.80,5.81,5.82,5.82,5.83,
5.84,5.85,5.85,5.86,5.87,5.88,5.89,5.89,5.90,5.91,5.92,5.92,5.93,5.94,5.95,
5.96,5.96,5.97,5.98,5.99,6.00,6.00,6.01,6.02,6.03,6.04,6.05,6.05,6.06,6.07,
6.08,6.09,6.10,6.10,6.11,6.12,6.13,6.14,6.15,6.16,6.16,6.17,6.18,6.19,6.20,
6.21,6.22,6.22,6.23,6.24,6.25,6.26,6.27,6.28,6.29,6.30,6.31,6.31,6.32,6.33,
6.34,6.35,6.36,6.37,6.38,6.39,6.40,6.41,6.42,6.43,6.43,6.44,6.45,6.46,6.47,
6.48,6.49,6.50,6.51,6.52,6.53,6.54,6.55,6.56,6.57,6.58,6.59,6.60,6.61,6.62,
6.63,6.64,6.65,6.66,6.67,6.68,6.69,6.70,6.71,6.72,6.73,6.74,6.75,6.77,6.78,
6.79,6.80,6.81,6.82,6.83,6.84,6.85,6.86,6.87,6.88,6.90,6.91,6.92,6.93,6.94,
6.95,6.96,6.97,6.98,7.00,7.01,7.02,7.03,7.04,7.05,7.07,7.08,7.09,7.10,7.11,
7.12,7.14,7.15,7.16,7.17,7.18,7.20,7.21,7.22,7.23,7.24,7.26,7.27,7.28,7.29,
7.31,7.32,7.33,7.34,7.36,7.37,7.38,7.39,7.41,7.42,7.43,7.45,7.46,7.47,7.49,
7.50,7.51,7.53,7.54,7.55,7.57,7.58,7.59,7.61,7.62,7.63,7.65,7.66,7.68,7.69,
7.70,7.72,7.73,7.75,7.76,7.77,7.79,7.80,7.82,7.83,7.85,7.86,7.88,7.89,7.90,
7.92,7.93,7.95,7.96,7.98,7.99,8.01,8.02,8.04,8.06,8.07,8.09,8.10,8.12,8.13,
8.15,8.16,8.18,8.20,8.21,8.23,8.24,8.26,8.28,8.29,8.31,8.33,8.34,8.36,8.38,
8.39,8.41,8.43,8.44,8.46,8.48,8.50,8.51,8.53,8.55,8.56,8.58,8.60,8.62,8.64,
8.65,8.67,8.69,8.71,8.73,8.74,8.76,8.78,8.80,8.82,8.84,8.85,8.87,8.89,8.91,
8.93,8.95,8.97,8.99,9.01,9.03,9.05,9.07,9.09,9.11,9.13,9.15,9.17,9.19,9.21,
9.23,9.25,9.27,9.29,9.31,9.33,9.35,9.37,9.39,9.42,9.44,9.46,9.48,9.50,9.52,
9.55,9.57,9.59,9.61,9.63,9.66,9.68,9.70,9.72,9.75,9.77,9.79,9.82,9.84,9.86,
9.89,9.91,9.93,9.96,9.98,10.01,10.03,10.05,10.08,10.10,10.13,10.15,10.18,10.20,10.23,
10.25,10.28,10.30,10.33,10.36,10.38,10.41,10.43,10.46,10.49,10.51,10.54,10.57,10.60,10.62,
10.65,10.68,10.70,10.73,10.76,10.79,10.82,10.85,10.87,10.90,10.93,10.96,10.99,11.02,11.05,
11.08,11.11,11.14,11.17,11.20,11.23,11.26,11.29,11.32,11.35,11.38,11.41,11.45,11.48,11.51,
11.54,11.57,11.61,11.64,11.67,11.71,11.74,11.77,11.81,11.84,11.87,11.91,11.94,11.98,12.01,
12.05,12.08,12.12,12.15,12.19,12.23,12.26,12.30,12.34,12.37,12.41,12.45,12.49,12.52,12.56,
12.60,12.64,12.68,12.72,12.75,12.79,12.83,12.87,12.91,12.95,13.00,13.04,13.08,13.12,13.16,
13.20,13.25,13.29,13.33,13.37,13.42,13.46,13.50,13.55,13.59,13.64,13.68,13.73,13.77,13.82,
13.87,13.91,13.96,14.01,14.06,14.10,14.15,14.20,14.25,14.30,14.35,14.40,14.45,14.50,14.55,
14.60,14.65,14.70,14.75,14.81,14.86,14.91,14.97,15.02,15.08,15.13,15.19,15.24,15.30,15.35,
15.41,15.47,15.53,15.58,15.64,15.70,15.76,15.82,15.88,15.94,16.00,16.06,16.13,16.19,16.25,
16.31,16.38,16.44,16.51,16.57,16.64,16.71,16.77,16.84,16.91,16.98,17.04,17.11,17.18,17.25,
17.33,17.40,17.47,17.54,17.62,17.69,17.77,17.84,17.92,17.99,18.07,18.15,18.23,18.30,18.38,
18.46,18.55,18.63,18.71,18.79,18.88,18.96,19.05,19.13,19.22,19.31,19.39,19.48,19.57,19.66,
19.75,19.85,19.94,20.0,20.1,20.2,20.3,20.4,20.5,20.6,20.7,20.8,20.9,21.0,21.1,
21.2,21.3,21.4,21.5,21.7,21.8,21.9,22.0,22.1,22.2,22.3,22.4,22.6,22.7,22.8,
22.9,23.0,23.2,23.3,23.4,23.5,23.7,23.8,23.9,24.1,24.2,24.3,24.5,24.6,24.7,
24.9,25.0,25.2,25.3,25.4,25.6,25.7,25.9,26.0,26.2,26.4,26.5,26.7,26.8,27.0,
27.2,27.3,27.5,27.7,27.8,28.0,28.2,28.4,28.6,28.7,28.9,29.1,29.3,29.5,29.7,
29.9,30,30,30,31,31,31,31,32,32,32,32,32,33,33,
33,33,34,34,34,34,35,35,35,35,36,36,36,36,37,
37,37,38,38,38,39,39,39,40,40,40,41,41,41,42,
42,42,43,43,43,44,44,45,45,45,46,46,47,47,48,
48,49,49,49,50,50,51,51,52,53,53,54,54,55,55,
56,57,57,58,58,59,60,60,61,62,63,63,64,65,66,
66,66,66,66,66,66,66,66,66,66,67,67,67,67,67,
67,67,67,67,67,67,67,68,68,68,68,68,68,68,68,
68,68,68,68,69,69,69,69,69,69,69,69,69,69,69,
69,70,70,70,70,70,70,70,70,70,70,70,71,71,71,
71,71,71,71,71,71,71,71,72,72,72,72,72,72,72,
72,72,72,72,73,73,73,73,73,73,73,73,73,73,74,
74,74,74,74,74,74,74,74,74,74,75,75,75,75,75,
75,75,75,75,75,76,76,76,76,76,76,76,76,76,77,
77,77,77,77,77,77,77,77,77,78,78,78,78,78,78,
78,78,78,79,79,79,79,79,79,79,79,79,79,80,80,
80,80,80,80,80,80,80,81,81,81,81,81,81,81,81,
82,82,82,82,82,82,82,82,82,83,83,83,83,83,83,
83,83,84,84,84,84,84,84,84,84,84,85,85,85,85,
85,85,85,85,86,86,86,86,86,86,86,86,87,87,87,
87,87,87,87,87,88,88,88,88,88,88,88,89,89,89,
89,89,89,89,89,90,90,90,90,90,90,90,91,91,91,
91,91,91,91,92,92,92,92,92,92,92,93,93,93,93,
93,93,93,94,94,94,94,94,94,94,95,95,95,95,95,
95,95,96,96,96,96,96,96,97,97,97,97,97,97,97,
98,98,98,98,98,98,99,99,99,99,99,99,99,100,100,
100,100,100,100,101,101,101,101,101,101,102,102,102,102,102,
102,103,103,103,103,103,103,104,104,104,104,104,105,105,105,
105,105,105,106,106,106,106,106,106,107,107,107,107,107,108,
108,108,108,108,109,109,109,109,109,109,110,110,110,110,110,
111,111,111,111,111,112,112,112,112,112,113,113,113,113,113,
114,114,114,114,114,115,115,115,115,115,116,116,116,116,116,
117,117,117,117,117,118,118,118,118,119,119,119,119,119,120,
120,120,120,121,121,121,121,121,122,122,122,122,123,123,123,
123,123,124,124,124,124,125,125,125,125,126,126,126,126,127,
127,127,127,128,128,128,128,128,129,129,129,129,130,130,130,
130,131,131,131,132,132,132,132,133,133,133,133,134,134,134,
134,135,135,135,135,136,136,136,137,137,137,137,138,138,138,
138,139,139,139,140,140,140,140,141,141,141,142,142,142,143,
143,143,143,144,144,144,145,145,145,146,146,146,146,147,147,
147,148,148,148,149,149,149,150,150,150,151,151,151,151,152,
152,152,153,153,153,154,154,154,155,155,155,156,156,156,157,
157,158,158,158,159,159,159,160,160,160,161,161,161,162,162,
162,163,163,164,164,164,165,165,165,166,166,167,167,167,168,
168,169,169,169,170,170,170,171,171,172,172,172,173,173,174,
174,174,175,175,176,176,177,177,177,178,178,179,179,180,180,
180,181,181,182,182,183,183,183,184,184,185,185,186,186,187,
187,188,188,188,189,189,190,190,191,191,192,192,193,193,194,
194,195,195,196,196,197,197,198,198,199,199,200,200,201,201,
202,202,203,203,204,204,205,205,206,207,207,208,208,209,209,
210,210,211,212,212,213,213,214,214,215,216,216,217,217,218,
218,219,220,220,221,221,222,223,223,224,225,225,226,226,227,
228,228,229,230,230,231,231,232,233,233,234,235,235,236,237,
237,238,239,240,240,241,242,242,243,244,244,245,246,247,247,
248,249,249,250,251,252,252,253,254,255,255,256,257,258,259,
259,260,261,262,263,263,264,265,266,267,267,268,269,270,271,
272,272,273,274,275,276,277,278,278,279,280,281,282,283,284,
285,286,287,287,288,289,290,291,292,293,294,295,296,297,298,
299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,
314,315,316,318,319,320,321,322,323,324,325,326,328,329,330,
331,332,333,334,336,337,338,339,340,342,343,344,345,347,348,
349,350,352,353,354,356,357,358,359,361,362,363,365,366,368,
369,370,372,373,375,376,377,379,380,382,383,385,386,388,389,
391,392,394,395,397,398,400,401,403,405,406,408,409,411,413,
414,416,418,419,421,423,425,426,428,430,432,433,435,437,439,
441,442,444,446,448,450,452,454,456,458,460,461,463,465,467,
469,472,474,476,478,480,482,484,486,488,490,493,495,497,499,
501,504,506,508,511,513,515,518,520,522,525,527,530,532,535,
537,540,542,545,547,550,553,555,558,560,563,566,569,571,574,
577,580,583,585,588,591,594,597,600,603,606,609,612,615,618,
622,625,628,631,634,638,641,644,648,651,654,658,661,665,668,
672,675,679,683,686,690,694,698,701,705,709,713,717,721,725,
729,733,737,741,745,750,754,758,763,767,771,776,780,785,789,
794,799,803,808,813,818,823,827,832,837,842,848,853,858,863,
869,874,879,885,890,896,901,907,913,919,924,930,936,942,948,
955,961,967,973,980,986,993,999,1006,1013,1020,1026,1033,1040,1047,
1055,1062,1069,1077,1084,1092,1099,1107,1115,1123,1131,1139,1147,1155,1163,
1172,1180,1189,1198,1207,1216,1225,1234,1243,1252,1262,1271,1281,1291,1301,
1311,1321,1331,1341,1352,1363,1373,1384,1395,1406,1418,1429,1441,1453,1464,
1476,1489,1501,1514,1526,1539,1552,1565,1578,1592,1606,1620,1634,1648,1662,
1677,1692,1707,1722,1737,1753,1769,1785,1801,1818,1835,1852,1869,1886,1904,
1922,1940,1959,1978,1997,2016,2036,2056,2076,2097,2118,2139,2160,2182,2204,
2227,2250,2273,2297,2321,2345,2370,2395,2421,2447,2473,2500,2527,2555,2583,
2612,2641,2671,2701,2732,2763,2795,2827,2860,2893,2927,2962,2997,3033,3070,
3107,3145,3184,3223,3264,3305,3346,3389,3432,3476,3521,3567,3614,3662,3711,
3760,3811,3863,3916,3969,4025,4081,4138,4197,4257,4318,4380,4444,4509,4576,
4644,4714,4785,4858,4933,5009,5087,5167,5249,5333,5419,5507,5597,5689,5784,
5881,5980,6082,6187,6294,6404,6517,6633,6752,6874,7000,7129,7261,7398,7538,
7682,7830,7983,8140,8301,8468,8639,8816,8998,9186,9379,9579,9785,9998,10217,
10444,10678,10920,11171,11430,11698,11975,12262,12559,12867,13187,13518,13862,14218,14588,
14973,15373,15788,16220,16670,17139,17627,18135,18666,19219,19797,20401,21032,21692,22383,
23106,23864,24659,25493,26369,27289,28257,29276,30349,31481,32675,33935,35268,36678,38172,
39755,41435,43220,45119,47141,49297,51598,54057,56690,59512,62540,65796,69302,73083,77169,
81590,86385,91596,97269,103460,110231,117655,125815,134810,144752,155774,168033,181714,197038,214267,
233718,255775,280907,309687,342826,381212,425963,478503,540663,614825,704133,812793,946524,1113240,1324112,
1595272,1950614,2426592,3080751,4007638,5370236,7466253,10880092,16869120,28487066,54509588,127377139,430988846,3673244371,$BigM);

goto Input;
Last: